commit 0cebe14d13f7f6ca0cf0b6cad68b09d1bfc5ad9a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Sep 28 10:40:29 2011 -0400

    1.29.4

 NEWS |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit e1fc8eb24084e44c5358d10d96f991cee2c4ae32
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Sep 28 10:36:43 2011 -0400

    1.29.4

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4ed3e3c87d347e067cd2f1f0604854caa6e6b35f
Author: Kalev Lember <kalevlember@gmail.com>
Date:   Mon Jul 11 22:21:13 2011 -0400

    Part of Bug 653985 - Pango 1.29.x make GTK3-demo.exe crashed in
    Windows

    Fixes a regression from ea702f4 which changed PangoFallbackEngine
    to be
    abstract.

 pango/pango-engine.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 26092c20b0936ff669513fbd64537123b99d036e
Author: Javier Jardón <jjardon@gnome.org>
Date:   Thu Jun 16 20:04:41 2011 +0100

    Bump version to 1.29.3

 NEWS         |    4 ++++
 configure.in |    2 +-
 2 files changed, 5 insertions(+), 1 deletions(-)

commit f895a8644b45dce0cce5d2005e53e4de67ec0041
Author: Javier Jardón <jjardon@gnome.org>
Date:   Thu Jun 16 20:03:21 2011 +0100

    Revert latest commit

    This reverts commit 6d1c98aed05ad10111c896708aca86436fc2328a.

 docs/check.docs |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit 6d1c98aed05ad10111c896708aca86436fc2328a
Author: Javier Jardón <jjardon@gnome.org>
Date:   Thu Jun 16 19:01:00 2011 +0100

    asd

 docs/check.docs |    8 +++-----
 1 files changed, 3 insertions(+), 5 deletions(-)

commit 8cf8ef31973b80901be403b490a88b144b67863c
Author: Javier Jardón <jjardon@gnome.org>
Date:   Thu Jun 16 17:15:41 2011 +0100

    Bump version to 2.29.1

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4156c5a892731f5b047ede9c0e05e06fc9ed3f48
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jun 16 12:12:31 2011 -0400

    Update NEWS

 NEWS |   56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 56 insertions(+), 0 deletions(-)

commit 2f3adfb762a0af6414f1c93627c2bd26ee90e7f8
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jun 15 12:32:25 2011 -0400

    introspection: Remove incorrect trailing colon from (skip)

    The syntax doesn't include this, and apparently it confuses gtk-doc.

 pango/pangocairo-context.c |    2 +-
 pango/pangocairo-fontmap.c |    2 +-
 pango/pangoxft-fontmap.c   |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit b3c8d7d7a183775d280841c6bd4a6c5f77b77120
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:   Wed Jun 15 17:48:28 2011 +0200

    Exclude headers that are not valid from gtkdoc generation

    Also regenerate the types list to reflect the changes.

    This still throws some warnings regarding non-existent declarations
    that we excluded but allows us to distcheck on linux.

 docs/Makefile.am |   20 +++++++++++++++++++-
 1 files changed, 19 insertions(+), 1 deletions(-)

commit b895d225346084dd9bd167c39ae1f3e2c2526252
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jun 15 11:29:48 2011 -0400

    Revert "layout: Make sure all lines are ellipsized"

    This reverts commit 00d2842d8a5ded059fc058d05b2cffcf16186710.

 pango/pango-layout.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit d415fb6aaffcfacdebcf94b05de5e055f3c9e70a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jun 15 09:04:20 2011 -0400

    Cull some dead code

    Some static analysis tool complained about dead code,
    and it is right in this case.

    https://bugzilla.gnome.org/show_bug.cgi?id=652616

 pango/pango-layout.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 00d2842d8a5ded059fc058d05b2cffcf16186710
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Apr 18 23:15:30 2011 +0200

    layout: Make sure all lines are ellipsized

    All lines that are too long should be ellipsized when ellipsizing is
    enabled. Not just those lines where we thought they'd need to be in
    advance. It might turn out that a word is too long so that we cannot
    wrap it. In that case we still want to break as soon as possible, but
    still ellipsize the line.

    https://bugzilla.gnome.org/show_bug.cgi?id=649783

 pango/pango-layout.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 8e0fa0d1ab97c256829dab28a5c371689584bcd3
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Jun 10 23:07:58 2011 -0400

    Bug 652227 - Unconditional use of stdint.h

 pango/opentype/hb-common.h |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 4c7807daee7189f481d7c18b56b06d7b7dba7884
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Jun 9 11:36:59 2011 -0400

    Stop using G_CONST_RETURN in Pango

    G_CONST_RETURN is headed for deprecation (as per bug #644611).  Stop
    using it in Pango.

    https://bugzilla.gnome.org/show_bug.cgi?id=652202

 modules/hebrew/hebrew-shaper.c |    2 +-
 pango/fonts.c                  |    6 +++---
 pango/pango-attributes.c       |    2 +-
 pango/pango-attributes.h       |    2 +-
 pango/pango-context.c          |    2 +-
 pango/pango-context.h          |    6 +++---
 pango/pango-font.h             |    6 +++---
 pango/pango-fontmap.c          |    2 +-
 pango/pango-language.c         |    6 +++---
 pango/pango-language.h         |    6 +++---
 pango/pango-layout.c           |    4 ++--
 pango/pango-layout.h           |    2 +-
 pango/pango-ot-ruleset.c       |    2 +-
 pango/pango-renderer.c         |    2 +-
 pango/pango-renderer.h         |    2 +-
 pango/pango-script.c           |    8 ++++----
 pango/pango-script.h           |   12 ++++++------
 pango/pango-utils.c            |    4 ++--
 pango/pango-utils.h            |   12 ++++++------
 pango/pangocairo-context.c     |    4 ++--
 pango/pangoft2.c               |    2 +-
 pango/pangox-fontmap.c         |    4 ++--
 22 files changed, 49 insertions(+), 49 deletions(-)

commit c5a91abf1e24735be6c67dcb5d4e9ee0d66edd65
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jun 2 21:34:18 2011 -0400

    Fix make check

 pango/pangox.def |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 77f8691aee23357feea015d4c3d008a2335ee5f0
Author: Matej Knopp <matej.knopp@gmail.com>
Date:   Tue May 31 08:20:35 2011 +0200

    Bug 650781 - Font Families are listed lowercase

    Fix CoreText backend to not use the casefold string as family name.

 pango/pangocoretext-fontmap.c |   12 +++++-------
 1 files changed, 5 insertions(+), 7 deletions(-)

commit d69e2462d6fa52114662c1e4122d081f14675541
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed May 25 12:06:27 2011 +0800

    Dist the Visual C++ 2008 README.txt file

    accidently removed that during my last changes...doh.

 build/win32/vs9/Makefile.am |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 104055ffcb95be030052340a26183609471afeaf
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri May 20 17:20:50 2011 +0800

    Update config.h.win32.in

    There were some typoes in the autotools macros used-fix them up.

 config.h.win32.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit a2541fc641826b8442fee48f9b42cdbd002045db
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed May 18 12:39:40 2011 +0800

    Minor updates to Visual C++ 2008 README.txt

    Make pathnames Windows-like... missed them just now. doh.

 build/win32/vs9/README.txt |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 26e8f0e5f0744fc56829a40aadf1c5eedc98bd3f
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed May 18 11:43:42 2011 +0800

    Update Visual C++ 2008 README.txt

    Make the instructions to compile Pango with Visual C++
    clearer.

 build/win32/vs9/README.txt |   57
 ++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 55 insertions(+), 2 deletions(-)

commit 5abf6bd16b4ee121f86db6d7f676957b382b96db
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue May 17 22:20:42 2011 -0400

    Part of Bug 377539 - Make Pango thread-safe

 pango/pango-utils.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0e3aac21285509566fac9c9974e1ab194a88a126
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue May 17 22:20:31 2011 -0400

    [docs] Update templates

 docs/tmpl/layout.sgml |   19 +++++++++++++++++++
 1 files changed, 19 insertions(+), 0 deletions(-)

commit cdf228e0d70baef19022d35c1a7540ea0f71890d
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue May 17 18:03:25 2011 +0800

    Update pango.def

    The entry of the symbols for commit
    4587e5d2231b717dd116253a49badc1ba3aa5db5 in this file was not correct.

    Fix that here.

 pango/pango.def |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ce24c762004000d588441ed530dc681688ff728f
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue May 17 16:16:09 2011 +0800

    Update Visual C++ 2008 property sheet

    Create a pango.aliases file in $(OutDir)etc\pango during the "install"
    phase.  The contents of the file is identical to the one that is
    suggested in README.win32

 build/win32/vs9/pango.vsprops |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 43096d64a9766fd56f974de26de7d9a4930ba222
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon May 16 10:03:18 2011 -0400

    Minor

 pango/pango-layout.c |    8 +++++---
 pango/pango-layout.h |    4 ++--
 2 files changed, 7 insertions(+), 5 deletions(-)

commit 64937a55909d78e024be12a6fcb85d1e9678b33a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon May 16 09:34:21 2011 -0400

    Add an index for 1.30 api additions

    Turns out the index for 1.28 additions was mislabeled, too.

 docs/pango-docs.sgml |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit ff16b948572c1bdc301d27af41b34566d28c6610
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon May 16 09:32:59 2011 -0400

    Provide access to PangoLayout.n_chars

    This lets us avoid a bunch of g_utf8_strlen() calls, when
    Pango is already maintaining this information anyway.

    https://bugzilla.gnome.org/show_bug.cgi?id=650208

 docs/pango-sections.txt |    1 +
 pango/pango-layout.c    |   20 ++++++++++++++++++++
 pango/pango-layout.h    |    2 ++
 pango/pango.def         |    1 +
 4 files changed, 24 insertions(+), 0 deletions(-)

commit 4587e5d2231b717dd116253a49badc1ba3aa5db5
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat May 14 08:31:02 2011 -0400

    Add a readonly version of pango_layout_get_log_attrs()

    Otherwise, we are forced to either make many unnecessary copies
    or pass the log attrs around alongside the layout in APIs operating
    on the attrs.
    https://bugzilla.gnome.org/show_bug.cgi?id=650170

 docs/pango-sections.txt |    1 +
 pango/pango-layout.c    |   35 +++++++++++++++++++++++++++++++++++
 pango/pango-layout.h    |    3 +++
 pango/pango.def         |    1 +
 4 files changed, 40 insertions(+), 0 deletions(-)

commit c43c4884bf4b405f58a0c966384ee751f82ee69c
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon May 16 17:52:41 2011 +0800

    Various Visual C++ support updates

    -Move the stub stdint.h back into the vs9 folder as stdint.h is
    shipped
     with Visual C++ 2010, and update the corresponding Makefile.am's
     accordingly
    -Add new solution to build Pango with FontConfig-the former solution
    file
     will build Pango without FontConfig.  This is to simplify the use
     of the GTK+ stack as many will probably not use FontConfig on
     Windows,
     therefore this is to reduce the number of dependencies
    -Added configurations in Pango, PangoWin32, PangoCairo regarding
    FontConfig
     (To make sure their configurations are consistent across the board)
    -Cleaned up the various project files for a bit.

 build/win32/Makefile.am             |    2 +-
 build/win32/stdint.h                |   36 -----
 build/win32/vs9/Makefile.am         |    4 +-
 build/win32/vs9/install.vcproj      |   67 ++++++++-
 build/win32/vs9/pango.sln           |   20 +--
 build/win32/vs9/pango.vcprojin      |  200 ++++++++++++++++++-------
 build/win32/vs9/pango.vsprops       |   11 ++-
 build/win32/vs9/pango_fc.sln        |   82 ++++++++++
 build/win32/vs9/pangocairo.vcprojin |  157 +++++++++++++++++++-
 build/win32/vs9/pangoft2.vcprojin   |  280
 +++++++----------------------------
 build/win32/vs9/pangowin32.vcproj   |  146 +++++++++++++++++--
 build/win32/vs9/stdint.h            |   36 +++++
 12 files changed, 683 insertions(+), 358 deletions(-)

commit 23ac9e61a66258fdf5c52671b243c4044fd8824e
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon May 16 17:44:51 2011 +0800

    Update preconfigured config.h(.win32.in)

    -Update for Visual C++ 2010 regarding stdint.h (it is shipped with
    VS 2010
     by default)
    -Allow option to not use FontConfig

 config.h.win32.in |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit ae9013c6a598eb589449bac0fedda58a624f9240
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon May 16 12:44:02 2011 +0800

    Update Visual C++ property sheet

    Force the use of the pre-generated sources and headers, so that
    language/script modules can be used directly and correctly from
    the main Pango/PangoWin32/PangoFT2 DLL(s)

 build/win32/vs9/pango.vsprops |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit 3b0ec344f0c8af11192decb3ab3c7795f83416c1
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon May 16 12:14:22 2011 +0800

    Update Visual C++ support a bit

    -Move the stub unistd.h and stdint.h required up a level to ease the
     addition of Visual C++ 2010 support
    -Dist the Visual C++-stub unistd.h and stdint.h
    -Update the pangoft2 project again to reflect the change in the
    location
     of the Visual C++-stub headers

 build/win32/Makefile.am           |    2 ++
 build/win32/stdint.h              |   36
 ++++++++++++++++++++++++++++++++++++
 build/win32/unistd.h              |    1 +
 build/win32/vs9/pangoft2.vcprojin |    8 ++++----
 build/win32/vs9/stdint.h          |   36
 ------------------------------------
 build/win32/vs9/unistd.h          |    1 -
 6 files changed, 43 insertions(+), 41 deletions(-)

commit becb5cebbf92833bb4e95db064e542c1d276d888
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon May 16 12:08:12 2011 +0800

    Update pangoft2 Visual C++ project

    Make the include paths and predefined macros consistent across
    the board.

 build/win32/vs9/pangoft2.vcprojin |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit 094e17cc0666206b336976f63ac8e4239f58a66c
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon May 16 12:03:13 2011 +0800

    Update pangowin32 Visual C++ project

    Now the code links directly to usp10.lib, so add that in the project
    files.

 build/win32/vs9/pangowin32.vcproj |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 632dbd4a7c30805cb42f632933806e6218d65ed0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun May 1 22:14:32 2011 -0400

    Fix doc templates

 docs/pango-sections.txt |   42 ++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 42 insertions(+), 0 deletions(-)

commit 6e9478e1d552c3c71ff72f707cd1dee8f60e902a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun May 1 21:06:58 2011 -0400

    [OT] Fix logic

    That part of code is to be removed thanks to HarfBuzz move though.

 pango/pango-ot-info.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit beecf8f88188391132d30b940c2a312ecaebba3a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun May 1 21:06:16 2011 -0400

    Fix compiler warnings

 pango/pango-engine.c    |   18 ++++++++++++------
 pango/pango-fontset.c   |   10 ++++++----
 pango/pango-utils.c     |    2 +-
 pango/pangofc-fontmap.c |    1 -
 pango/pangox.c          |    2 --
 5 files changed, 19 insertions(+), 14 deletions(-)

commit 9003800c297781223828c5d5e537aa34391c17ca
Author: John Ralls <jralls@ceridwen.us>
Date:   Sun May 1 12:12:21 2011 -0700

    Bug 648044; Change PangoCoreTextFace::weight to type PangoWeight
    and perform the conversion from the CFNumber with a mapping table
    in pango_core_test_face_from_ct_font_descriptor()

    This assigns PangoWeights which better align with the CoreText weights
    and better ensures that unique values are used for hash keys used
    for determining which faces need synthetic italic faces created.

 pango/pangocoretext-fontmap.c |   96
 +++++++++++++++++++----------------------
 1 files changed, 44 insertions(+), 52 deletions(-)

commit 0cc03a0a8e91627267236ff94cc424203c39b03a
Author: John Ralls <jralls@ceridwen.us>
Date:   Sat Apr 30 22:01:00 2011 -0700

    Finish conversion to using G_DEFINE_TYPE: Provide
    PangoCoreTextFamilyClass and PangoCoreTextFaceClass so that it
    actually compiles.

 pango/pangocoretext-fontmap.c |   93
 ++++++++++++++++++++++-------------------
 1 files changed, 50 insertions(+), 43 deletions(-)

commit 726ae04375c47fb314d70ea952f811bb223f998a
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sat Apr 30 12:45:36 2011 +0100

    pango/pangox-fontmap.c: Use G_DEFINE_TYPE

 pango/pangox-fontmap.c |  127
 +++++++++++-------------------------------------
 pango/pangox-private.h |    5 ++
 2 files changed, 34 insertions(+), 98 deletions(-)

commit 6b5a1af54ba73c7406effd361840f530d440b4af
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sat Apr 30 12:07:16 2011 +0100

    pango/pangocoretext-fontmap.c: Use G_DEFINE_TYPE

 pango/pangocoretext-fontmap.c |   37
 ++-----------------------------------
 1 files changed, 2 insertions(+), 35 deletions(-)

commit 02f80c9acdec53f58fef0e12f41363c3c4ea1efe
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sat Apr 30 12:03:36 2011 +0100

    pango/pangoatsui-fontmap.c: Use G_DEFINE_TYPE

 pango/pangoatsui-fontmap.c |   39 +++------------------------------------
 1 files changed, 3 insertions(+), 36 deletions(-)

commit e250030b45c7744e23fcd5c78aa916f1b4f4aee1
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sat Apr 30 11:55:55 2011 +0100

    pango/pango-renderer.c: parent_class is already defined in
    G_DEFINE_ABSTRACT_TYPE

 pango/pango-renderer.c |    6 +-----
 1 files changed, 1 insertions(+), 5 deletions(-)

commit c8aed76aefe5b2dc81420cf9498df831ff2a0d65
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sat Apr 30 11:53:57 2011 +0100

    ngo/pango-ot-ruleset.c:  Use G_DEFINE_TYPE

 pango/pango-ot-ruleset.c |   39 ++++-----------------------------------
 1 files changed, 4 insertions(+), 35 deletions(-)

commit 57ebe449bf7a14397548905ad006b093b28bb876
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sat Apr 30 11:49:04 2011 +0100

    pango/pango-ot-info.c: Use G_DEFINE_TYPE

 pango/pango-ot-info.c |   37 ++++++-------------------------------
 1 files changed, 6 insertions(+), 31 deletions(-)

commit cdf841adb0bddcd790a2230d04749a680d827015
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sat Apr 30 11:41:37 2011 +0100

    pango/pangox.c: Use G_DEFINE_TYPE

 pango/pangox.c |   37 +++----------------------------------
 1 files changed, 3 insertions(+), 34 deletions(-)

commit f2653e1d45b79613395fbf71452d40a493431a5c
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sat Apr 30 11:02:09 2011 +0100

    Remove unneeded custom macros

 pango/pango-impl-utils.h |   46
 ----------------------------------------------
 1 files changed, 0 insertions(+), 46 deletions(-)

commit b428d5ef171375b7aa1101aaef56ef7a2ceb544e
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sat Apr 30 11:01:48 2011 +0100

    pango/pangofc-fontmap.c: Use G_DEFINE_TYPE instead custom macro

 pango/pangofc-fontmap.c |   37 +++++++++++++------------------------
 1 files changed, 13 insertions(+), 24 deletions(-)

commit 446aeb6991c1dd4e6f688ac8fbface1dc67faa41
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sat Apr 30 11:00:31 2011 +0100

    pango/pango-fontset.c: Use G_DEFINE_TYPE instead custom macro

 pango/pango-fontset.c |   21 ++++++++++-----------
 1 files changed, 10 insertions(+), 11 deletions(-)

commit ea702f4c4feac29e6366a04c02953c425bb5f288
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sat Apr 30 11:00:01 2011 +0100

    pango/pango-engine.c: Use G_DEFINE_TYPE instead custom macro

 pango/pango-engine.c |   49
 ++++++++++++++++++++++++++++++++++++-------------
 1 files changed, 36 insertions(+), 13 deletions(-)

commit a8fe5748d8a921a18c203e0c3e5cb7d15ef01dd8
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sat Apr 30 10:59:29 2011 +0100

    pango/modules.c: Use G_DEFINE_TYPE instead custom macro

    https://bugzilla.gnome.org/show_bug.cgi?id=578018

 pango/modules.c |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit cf183c9ed22d0f906deb584a9ea4959881d9795f
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sat Apr 30 03:19:24 2011 +0100

    Use G_DEFINE_INTERFACE in PangoCairoFontMap

 pango/pangocairo-fontmap.c |   32 +++++---------------------------
 1 files changed, 5 insertions(+), 27 deletions(-)

commit 9a2a18ddd107370adbe4194e19cda136c1e507f4
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sat Apr 30 03:19:10 2011 +0100

    Use G_DEFINE_INTERFACE in PangoCairoFont

 pango/pangocairo-font.c |   34 ++++++----------------------------
 1 files changed, 6 insertions(+), 28 deletions(-)

commit f646ce13531b046a7c2530df2253e6b61362f0fb
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Tue Apr 26 19:46:55 2011 +0100

    Removing introspection warnings from pangoxft-fontmap

 pango/pangoxft-fontmap.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 6fc80c1c95000161fd00052927df081aa879fdaf
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Tue Apr 26 19:43:49 2011 +0100

    Removing introspection warnings from pangocairo-fontmap

 pango/pangocairo-fontmap.c |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit 7e30d468e12d2447244d8c67dd01c215f7f7f2e4
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Tue Apr 26 19:24:53 2011 +0100

    Removing introspection warnings from pangocairo-context

 pango/pangocairo-context.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit adab8c169c04eea795d009f8097eb00235db386b
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Tue Apr 26 00:15:46 2011 +0100

    Fixed (transfer full) introspection annotation for the return value
    in pango_glyph_item_apply_attr

 pango/pango-glyph-item.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 1a10aafb9acf4044ac6c9913837ce4a1c53c6e98
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Tue Apr 26 00:14:10 2011 +0100

    Fixed (transfer full) introspection annotation for the return value
    in pango_split_file_list

 pango/pango-utils.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit a502c5eff4d679ea5d623b698e3d6bcf5db023e9
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Tue Apr 26 00:07:46 2011 +0100

    Fixed (transfer full) and (element-type) introspection annotation
    for the return value in pango_reorder_items

 pango/pango-layout.c  |    2 +-
 pango/reorder-items.c |    3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit f635507af8adefbf7b1b4ae87159804920d40070
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 23:57:18 2011 +0100

    Fixed (transfer full) and (element-type) introspection annotation
    for the return value in pango_itemize_with_base_dir

 pango/pango-context.c |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

commit c2009f6e323d15e6fb4268b1f45a5cb29ec908b3
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 23:55:14 2011 +0100

    Fixed (transfer full) and (element-type) introspection annotation
    for the return value in pango_itemize

 pango/pango-context.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f02381600e245c9c5721d6b4d5e98e3f067282d5
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 23:47:55 2011 +0100

    Fixed annotation typo and added (allow-none) to
    pango_layout_index_to_line_x

 pango/pango-layout.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 4c34b796e0977b7b95e1e86c76e365671b1a6e9d
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 23:39:25 2011 +0100

    Fixed (transfer full) introspection annotation for the return value
    in pango_attr_list_filter

 pango/pango-attributes.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 133b534182bfbc9ff69fde54ce31d72af0308080
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 23:38:45 2011 +0100

    Fixed (scope) and (closure) introspection annotation for the return
    value in pango_attr_list_filter

 pango/pango-attributes.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 02fb7adc8ab51a04c5671c81d3fe2dcf4ed5258d
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 23:35:57 2011 +0100

    Fixed (transfer none) introspection annotation for the return value
    in pango_layout_iter_get_run_readonly

 pango/pango-layout.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5f55ce69f8611fe53670f1001d5b8ecae94b2bd3
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 23:21:47 2011 +0100

    Fixed (transfer none) introspection annotation for the return value
    in pango_layout_iter_get_layout

 pango/pango-layout.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c2d5d982840c08af3bf5cb0e2181919854e3a8f7
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 23:19:16 2011 +0100

    Fixed (transfer none) introspection annotation for the return value
    in pango_font_get_font_map

 pango/fonts.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit d129f5db7ab71e986e2c8dd8e08a8899ebda8ae2
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 23:14:24 2011 +0100

    Fixed (transfer full) introspection annotation for the return value
    in pango_fontset_get_font

 pango/pango-fontset.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 77fd2d97d3cb62ff4e2cebe19ad60e215a04fe13
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 23:10:31 2011 +0100

    Fixed (closure) and (scope) introspection annotation for the return
    value in pango_fontset_foreach

 pango/pango-fontset.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 776789e30d1227186c4efd7e38f1517c4daaab65
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 23:05:30 2011 +0100

    Fixing (transfer full) introspection annotation for the return value
    in pango_font_map_create_context

 pango/pango-fontmap.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d709d1bd56a9233aba5e53f3718b158ff695b3e8
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 22:02:27 2011 +0100

    Fixing (transfer full) introspection annotation for the return value
    in pango_font_map_load_fontset

 pango/pango-fontmap.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 2ebd68ee8773fc5bd866b30068432bd81151b269
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 21:50:34 2011 +0100

    Fixed typos in the PangoContext gtk-doc

 pango/pango-context.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 22822d7700e87dbe8a8125072775e40bd8b53f99
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 21:47:42 2011 +0100

    Fixing (transfer full) introspection annotation for the return value
    in pango_font_map_load_font

 pango/pango-fontmap.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 1b4d351d114996e357912b5c1bfc979cfb39b294
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 21:46:36 2011 +0100

    Fixing (transfer none) introspection annotation for the return value
    in pango_context_get_font_map

 pango/pango-context.c |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit 52a495cef9d35c02d54ca010e24f1e8f44384193
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 21:44:21 2011 +0100

    Fixing (transfer full) introspection annotation for the return value
    in pango_context_load_font

 pango/pango-context.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 19e6c35b5c78efd6b22ec04af4a8624d3c0068e0
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 21:38:36 2011 +0100

    Fixing (transfer none) introspection annotation for the return value
    in pango_context_load_fontset

 pango/pango-context.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 4acacd27dd882c8aec4a7f49cc487724e69e2e14
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 21:30:18 2011 +0100

    Fixing (transfer none) introspection annotation for the return value
    in pango_layout_copy

 pango/pango-layout.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit b803f39784f2feb178ad64979a01aa03d0a2ab3d
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 21:29:16 2011 +0100

    Fixing (transfer none) introspection annotation for the return value
    in pango_renderer_get_layout

 pango/pango-renderer.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit db3ac6083dcd3fe6c9f31c70d314f8a572545057
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 20:52:48 2011 +0100

    Fixing array introspection annotation for pango_attr_iterator_get_font

 pango/pango-attributes.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5d0ee19f32e062240d2084bf037d0a9e31bce6df
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 20:47:27 2011 +0100

    Fixing array introspection annotation for
    pango_layout_line_get_x_ranges

 pango/pango-layout.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e8a88f1270431a74292a401ff195de1f72575932
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 20:45:03 2011 +0100

    Adding allow-none introspection metadata to pango_language_from_string

 pango/pango-language.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9ba9b52e188c3ee903fbbb59d50132bbc9019b3a
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 18:47:30 2011 +0100

    Adding allow-none introspection metadata to pango_itemize

 pango/pango-context.c |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

commit 025fe509acd3033e8fe4ffd1bea4584b286c527f
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 18:45:04 2011 +0100

    Adding allow-none introspection metadata to
    pango_itemize_with_base_dir

 pango/pango-context.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 5ad1c470011e732913d26dcd63be4adcdcbf33a9
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 18:41:45 2011 +0100

    Adding (out) introspection metadata to pango_read_line

 pango/pango-utils.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2f52540631fe1d6868901f00e6de0018e021bdd9
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 18:41:03 2011 +0100

    Adding (inout) introspection metadata to pango_skip_space

 pango/pango-utils.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8058e20ba19b728daa4c5b777676d99fe194366c
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 18:40:43 2011 +0100

    Adding (inout)/(out) introspection metadata to pango_scan_word

 pango/pango-utils.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 17972485e6036d0e9f36f06d6e0c8b4d3060180c
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 18:40:18 2011 +0100

    Adding (inout)/(out) introspection metadata to pango_scan_string

 pango/pango-utils.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 7a1057f6e1763533773d4ef41ff67cbb0ced1f52
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 18:34:01 2011 +0100

    Adding (inout) introspection metadata to pango_scan_int

 pango/pango-utils.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 918dd91598bba4916f98d9866e6715232e0db322
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 18:15:20 2011 +0100

    adding (out) introspection metadata to pango_parse_enum

 pango/pango-utils.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 50d7ad6f2073742c7b0423f578171b380b8196f5
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 18:13:13 2011 +0100

    adding allow-none introspection metadata to pango_parse_enum

 pango/pango-utils.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit d1c260d3d48ffa32aebe16e987fea187e635c370
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 18:09:27 2011 +0100

    Add out and array metadata annotations to pango_lookup_aliases

 pango/pango-utils.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit fe789d8e8d062e6f495e54bef585a74958bd671e
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 18:05:31 2011 +0100

    adding (inout) introspection metadata to pango_quantize_line_geometry

 pango/pango-utils.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 2bcf1b9dbba5be761ddaa4db984ae74087c230f0
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 18:03:16 2011 +0100

    adding allow-none introspection metadata to pango_extents_to_pixels

 pango/pango-utils.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 22dde4fcb56755435fd44890a40afee6d3e5ceba
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 18:00:02 2011 +0100

    adding allow-none introspection metadata to
    pango_attr_shape_new_with_data

 pango/pango-attributes.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit c07ff4f3755f7d00f44f94b5731d1abe47f35cb6
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 17:57:12 2011 +0100

    adding (out) introspection metadata to pango_tab_array_get_tabs

 pango/pango-tabs.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 02fec2d8be12c44d16a569c70952b84ff8a98ce4
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 17:54:39 2011 +0100

    adding allow-none introspection metadata to pango_tab_array_get_tabs

 pango/pango-tabs.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 4ee2ce45c44f97e7e1232021447fd2fb710c8a75
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 17:32:30 2011 +0100

    adding (out) introspection metadata to pango_tab_array_get_tab

 pango/pango-tabs.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit cbd5942b82b6b7336accf3fc053366b67a002390
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 17:31:51 2011 +0100

    adding allow-none introspection metadata to pango_tab_array_get_tab

 pango/pango-tabs.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 1050fa307ebdd54f08eb3cf7dee56a769b09941e
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 17:27:38 2011 +0100

    adding (out) introspection metadata to pango_script_iter_get_range

 pango/pango-script.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit c73479690963e11fa7f4d4a87475cb02c78ca0c1
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 17:25:35 2011 +0100

    adding allow-none introspection metadata to
    pango_script_iter_get_range

 pango/pango-script.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit b96debcfa2c7a8cd8fae3e4cc9aa1d460ec7f33e
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 17:24:00 2011 +0100

    adding allow-none introspection metadata to pango_renderer_set_matrix

 pango/pango-renderer.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 139b37c44c297e009ece5a8efa040f36125e8acb
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 17:20:46 2011 +0100

    adding allow-none introspection metadata to pango_renderer_set_color

 pango/pango-renderer.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9ec9fe8dee8425612c49193150d35ecb9e3300c1
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 17:06:15 2011 +0100

    adding allow-none introspection metadata to
    pango_renderer_draw_glyph_item

 pango/pango-renderer.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f811e4de18034dd8c6ef2bbd6895aa3e4d3deb3c
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 16:58:20 2011 +0100

    adding allow-none introspection metadata to
    pango_matrix_get_font_scale_factor

 pango/pango-matrix.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 877447d21c495622ac84de2ac85364b3f4df7891
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 16:57:22 2011 +0100

    adding (inout) introspection metadata to
    pango_matrix_transform_distance

 pango/pango-matrix.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 0c3a5f2acf7c2fd74de7652d277b7851e216e3ec
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 16:47:35 2011 +0100

    adding (inout) introspection metadata to pango_matrix_transform_point

 pango/pango-matrix.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 3132f0f62ff0485d33047e5390ada5feee5b7e8f
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 16:41:12 2011 +0100

    adding (inout) introspection metadata to
    pango_matrix_transform_rectangle

 pango/pango-matrix.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b84e0bae01ff08b26a614f3c91b6e6d276ae95ed
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 16:40:33 2011 +0100

    adding allow-none introspection metadata to
    pango_matrix_transform_rectangle

 pango/pango-matrix.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 64fa9090b202a1d27b0baf96e75763239ef21dde
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 16:39:23 2011 +0100

    adding (inout) introspection metadata to
    pango_matrix_transform_pixel_rectangle

 pango/pango-matrix.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 646a51dfad73beee3ddb578f305d064cdf056b98
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 16:37:36 2011 +0100

    adding allow-none introspection metadata to
    pango_matrix_transform_pixel_rectangle

 pango/pango-matrix.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a04ac359f79d0d460bf164801ac9ef39bae276dc
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 16:30:03 2011 +0100

    adding allow-none introspection metadata to
    pango_layout_get_pixel_extents

 pango/pango-layout.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit a92ee9af8c9801edc484a680b2d2247f83c4a36f
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 16:25:45 2011 +0100

    adding allow-none introspection metadata to
    pango_layout_line_get_extents

 pango/pango-layout.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 136cdd90a78dc82ce66c519fba9e64fb3ada6a33
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 16:18:39 2011 +0100

    adding (out) introspection metadata to
    pango_layout_iter_get_run_textents

 pango/pango-layout.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 3c6029984d59c0c4ac4d393617fc7fa7e33e2216
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 16:18:15 2011 +0100

    adding allow-none introspection metadata to
    pango_layout_iter_get_run_extents

 pango/pango-layout.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 863bf48c6a3d621a33f7d4d82def6f5a6bcc24b0
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 16:15:53 2011 +0100

    adding (out) introspection metadata to pango_layout_get_line_extents

 pango/pango-layout.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 519739bd0fefbb1e81c56a62992422952e6292e2
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 16:15:12 2011 +0100

    adding allow-none introspection metadata to
    pango_layout_get_line_extents

 pango/pango-layout.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit ece5e47c80bdaab44b5b709d4486059abefd1191
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 16:13:30 2011 +0100

    adding (out) introspection metadata to pango_layout_get_layout_extents

 pango/pango-layout.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 05c192dfcde8783d6921e1abb2f39f2fba52db6d
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 16:12:49 2011 +0100

    adding allow-none introspection metadata to
    pango_layout_get_layout_extents

 pango/pango-layout.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 6ed0fec2a65ea767c717998f8b89038275e721f0
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 16:07:01 2011 +0100

    Fixing pango_layout_iter_get_line_yrange documentation and
    instropection annotation

 pango/pango-layout.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit de232401243a09abde2639aac34d4e4ff2f8e1e7
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 16:00:34 2011 +0100

    adding (out) introspection metadata to
    pango_layout_get_cluster_extents

 pango/pango-layout.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 44a4b7b352ef9a559584c85df1692a882edf9673
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 15:55:36 2011 +0100

    adding allow-none introspection metadata to
    pango_layout_get_cluster_extents

 pango/pango-layout.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit cd00b2fefad50a6a2fe24b8539a4341632ae5217
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 15:52:52 2011 +0100

    adding allow-none introspection metadata to pango_layout_set_tabs

 pango/pango-layout.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ee5963ce9cf98bc5ab795d19d0f432d613c86708
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 15:49:03 2011 +0100

    adding allow-none and out caller-allocate introspection metadata to
    pango_layout_set_markup_with_accel. Correct some documentation typos.

 pango/pango-layout.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 74661a3c1b6e01f504816cf8fd065dccffd40b66
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 15:39:35 2011 +0100

    adding allow-none introspection metadata to
    pango_layout_set_font_description

 pango/pango-layout.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d3e0539d3063badd1f2fcf9f564280cff2350a0a
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 15:34:46 2011 +0100

    adding allow-none and transfer full introspection metadata to
    pango_layout_set_attributes

 pango/pango-layout.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 112227f7a2aa851417cd475f7a27f76d77fb2d51
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 15:31:43 2011 +0100

    adding allow-none introspection metadata to pango_layout_get_size

 pango/pango-layout.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 31257eceac3dbe9bc267775dc35b187b99f7ac7d
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 15:29:39 2011 +0100

    adding allow-none introspection metadata to
    pango_layout_get_pixel_size

 pango/pango-layout.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 357249f89307a9cafbcfb105f3796c52e322329b
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 15:22:34 2011 +0100

    adding allow-none introspection metadata to
    pango_layout_get_pixel_extents

 pango/pango-layout.c |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit 33a261862474aa9077f939fab428078883e99844
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 15:01:06 2011 +0100

    adding allow-none introspection metadata to pango_layout_get_extents

 pango/pango-layout.c |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit 6767b4b0a39d2faeb57829edaf87472ebce9983b
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 14:54:22 2011 +0100

    adding allow-none introspection metadata to
    pango_layout_get_cursor_pos

 pango/pango-layout.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 3ff035bde4665f5aa9ef12ebe516270b40c1f1d9
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 14:52:41 2011 +0100

    adding (out caller-allocates) introspection metadata to
    pango_language_get_scripts parameters

 pango/pango-language.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 031dd86aac9764e1762ca3028d3a4f5ad0fa47e3
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 13:31:27 2011 +0100

    adding output parameters introspection metadata to
    pango_glypth_string_extents

 pango/glyphstring.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit aa08f45bfea5c5c91652fc98ac056579caabf369
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 13:29:19 2011 +0100

    adding allow-none introspection metadata to pango_language_get_scripts
    parameters

 pango/pango-language.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 030cb9e8d0e7615ab67d829a58b92d7a5d70466b
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 13:24:37 2011 +0100

    adding allow-none introspection metadata to pango_glyph_string_extents
    parameters

 pango/glyphstring.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit ff493f9733fb4e3d700b8c880335ca273d22273a
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 13:22:27 2011 +0100

    adding allow-none introspection metadata to
    pango_font_description_merge parameters

 pango/fonts.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 44fbe23a64625b6e1e7521135f14a61a60ecb8f6
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 13:19:14 2011 +0100

    adding allow-none introspection metadata to
    pango_font_description_better_match parameters

 pango/fonts.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ea31f7f4ca5ce352726e63518d7496a6caaed7c4
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 13:17:01 2011 +0100

    adding allow-none introspection metadata to pango_font_get_metrics
    parameters

 pango/fonts.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit cec9683199595651136e3fb0e4753e0b55215ab8
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 13:12:39 2011 +0100

    fixing metadata typo in pango_font_get_glypth_extents

 pango/fonts.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e3afea7d120f2f2957185840d94aab70da3e2063
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 13:10:56 2011 +0100

    adding output parameters introspection metadata to
    pango_font_get_glypth_extents

 pango/fonts.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 81474cb91d2c5b2d8226d54e1f87f49828195c01
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 13:07:30 2011 +0100

    adding allow-none introspection metadata to
    pango_font_get_glypth_extents parameters

 pango/fonts.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 7502b164c84dc385e637305cdda3f8caeb87e23a
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 12:54:30 2011 +0100

    adding transfer ownership introspection metadata to
    pango_font_descriptions_free

 pango/fonts.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 79e5e6d9fe52797da4bea582177772d9b8b992ce
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 12:49:32 2011 +0100

    adding array length introspection metadata to
    pango_font_descriptions_free

 pango/fonts.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b17a51d9d5b64215622ab33d12813037326dd3a6
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 12:41:28 2011 +0100

    adding allow-none to pango_font_descriptions_free parameters

 pango/fonts.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 54f16645d14ec475ac070e969e883051d2f53add
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 12:26:26 2011 +0100

    adding allow-none to pango_context_set_matrix parameters

 pango/pango-context.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 9bea909f3eaff4ea3cd5d3065a9860ab0081db11
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 12:25:15 2011 +0100

    adding allow-none to pango_context_get_metrics parameters

 pango/pango-context.c |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit d45ce5856f0e7be9402c425bcd967bacf9ffe060
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Mon Apr 25 12:21:15 2011 +0100

    adding allow-none to pango_attr_iterator_get_font parameters

 pango/pango-attributes.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit deda590f67fb2d62ea3bc090d35319774dfc69b7
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Fri Apr 15 19:03:01 2011 +0100

    Adding allow-none and moving (out) to the beginning of the annotation
    as requested by walters in #647827

 pango/fonts.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b8fbe2ce364cc1f8cdaea125e97537b85e97daab
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Fri Apr 15 03:32:08 2011 +0100

    Fix introspection for pango_font_map_list_families and
    pango_font_family_list_faces

 pango/fonts.c         |    4 ++--
 pango/pango-fontmap.c |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 5856beb94cbba10568e6f3805f09cd3fc633cf33
Author: Alberto Ruiz <aruiz@gnome.org>
Date:   Fri Apr 15 03:14:21 2011 +0100

    Fix introspection for list families

 pango/pango-context.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit ad401ec2d5f7662b89804e5c269945fc26c0f232
Author: Kristian Rietveld <kris@gtk.org>
Date:   Thu Apr 14 12:22:30 2011 +0200

    Correctly generate module-defs-coretext.c in configure.in

    Patch by Jerome Lambourg

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cf1d6fdaaec524b5892200bdc7c2a4560e853719
Author: Kristian Rietveld <kris@gtk.org>
Date:   Sun Mar 27 17:31:38 2011 +0200

    Build fix after rebase

 pango/pangocairo-coretextfont.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit b8e8e9b8f5b377377037478506b789ee4c2f9b34
Author: Kristian Rietveld <kris@gtk.org>
Date:   Sun Mar 27 17:23:01 2011 +0200

    Add module-defs-coretext.c to MODULE_DEF_FILES

 pango/Makefile.am |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 5e658c9e8942468666b72eed97adca595796817c
Author: Kristian Rietveld <kris@gtk.org>
Date:   Fri Mar 19 10:40:42 2010 +0100

    Really get _pango_cairo_core_text_font_new right

 pango/pangocairo-coretextfont.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit ef900792d05308405f7ae98f28b007cdeea63499
Author: Kristian Rietveld <kris@gtk.org>
Date:   Wed Mar 17 23:01:48 2010 +0100

    Get _pango_cairo_core_text_font_new right

 pango/pangocairo-coretextfont.c |   27 +++++++++++----------------
 1 files changed, 11 insertions(+), 16 deletions(-)

commit a98b025b603fc1605c48f0fcebcdcefe5c99d6dc
Author: Kristian Rietveld <kris@gtk.org>
Date:   Wed Mar 17 22:56:48 2010 +0100

    Properly propagate font size in pango_core_text_font_map_load_font

 pango/pangocoretext-fontmap.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit 32fea7e2821f28c470048f5951d8de1b787104a5
Author: Kristian Rietveld <kris@gtk.org>
Date:   Sun Mar 7 17:16:33 2010 +0100

    Shape engine should return array in LTR order when expected

 modules/basic/basic-coretext.c |   35 ++++++++++++++++++++++++++---------
 1 files changed, 26 insertions(+), 9 deletions(-)

commit 6854053a1603a6dfe8421376d3455255800ce735
Author: Kristian Rietveld <kris@gtk.org>
Date:   Sat Mar 6 19:08:37 2010 +0100

    Remove pointless FIXME

 pango/pangocoretext.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit b5efdc928f392c2ec47c206af3cbeddb986553a0
Author: Kristian Rietveld <kris@gtk.org>
Date:   Sat Mar 6 19:06:36 2010 +0100

    Handle oblique fonts; synthesize italic fonts when needed

    Deduce from the given style name whether a font is oblique.  If a font
    family does not have an italic or oblique variant, then add synthetic
    italic variants that are handled by Pango.

 pango/pangocairo-coretextfont.c |   14 ++++++-
 pango/pangocoretext-fontmap.c   |   71
 ++++++++++++++++++++++++++++++++++++++-
 pango/pangocoretext-private.h   |    1 +
 3 files changed, 83 insertions(+), 3 deletions(-)

commit 76124c029f4262831f0c8eaca802b45179c407da
Author: Kristian Rietveld <kris@gtk.org>
Date:   Sat Mar 6 11:16:09 2010 +0100

    Factor out translation of CTFontDescriptor into seperate function

 pango/pangocoretext-fontmap.c |  113
 ++++++++++++++++++++++-------------------
 1 files changed, 61 insertions(+), 52 deletions(-)

commit 87882adf1ccacfb49e8c119b1fcb6d13a0e4731f
Author: Kristian Rietveld <kris@gtk.org>
Date:   Fri Mar 5 21:46:38 2010 +0100

    Start implementation of CoreText backend

    On Mac OS X systems where CoreText is available (that is, 10.5 or
    higher), we will build the CoreText backend instead of the ATSUI
    backend.  In this case, the ATSUI backend will not be built and
    installed.  This change is necessary because since Mac OS 10.5
    ATSUI has been marked as deprecated.

    For older systems, we will have to continue to use the
    ATSUI backend.

 configure.in                       |   57 ++-
 modules/basic/Makefile.am          |   17 +
 modules/basic/basic-coretext.c     |  232 +++++++++
 pango/Makefile.am                  |   21 +
 pango/modules.h                    |    1 +
 pango/pangocairo-coretext.h        |   55 ++
 pango/pangocairo-coretextfont.c    |  279 +++++++++++
 pango/pangocairo-coretextfont.h    |   37 ++
 pango/pangocairo-coretextfontmap.c |  107 ++++
 pango/pangocairo-fontmap.c         |   14 +-
 pango/pangocoretext-fontmap.c      |  952
 ++++++++++++++++++++++++++++++++++++
 pango/pangocoretext-private.h      |  101 ++++
 pango/pangocoretext.c              |  205 ++++++++
 pango/pangocoretext.h              |   80 +++
 14 files changed, 2155 insertions(+), 3 deletions(-)

commit 08fd5cf33d875c161dd5280b92d1633469943620
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Apr 7 13:12:33 2011 -0400

    Bug 646213 - Hangul Jamo render as U+00xx boxes and produce valgrind
    errors

    Fix the previous fix!

 modules/hangul/hangul-fc.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 6b1910adacb133e229acde532a5a43d588d12faa
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Apr 6 16:04:15 2011 -0400

    Bug 646213 - Hangul Jamo render as U+00xx boxes and produce valgrind
    errors

 modules/hangul/hangul-fc.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6b522430ad65fe047b077f9cc3990a97e8869e23
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Mar 14 17:05:39 2011 -0300

    Handle realloc failure in the buffer

    Ported from
    http://cgit.freedesktop.org/harfbuzz/commit/?id=a6a79df5fe2e
    by Karl Tomlinson <karlt+@karlt.net>

 pango/opentype/hb-buffer-private.h |    1 +
 pango/opentype/hb-buffer.c         |   70
 +++++++++++++++++++++---------------
 pango/opentype/hb-buffer.h         |    2 +-
 3 files changed, 43 insertions(+), 30 deletions(-)

commit ec69005aa8d865bc04e5a80258ee7a78bc0468ba
Author: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>
Date:   Mon Mar 14 13:18:16 2011 +0100

    build: gtk-doc scanner links agains glib

    https://bugzilla.gnome.org/show_bug.cgi?id=644724

 docs/Makefile.am |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 729352cf1c328615b05e7368a5888a23f7382c4e
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Thu Feb 17 12:39:25 2011 -0500

    [gi] add out annotations to pango layout API

    https://bugzilla.gnome.org/show_bug.cgi?id=642593

 pango/pango-layout.c |   80
 ++++++++++++++++++++++++++-----------------------
 1 files changed, 42 insertions(+), 38 deletions(-)

commit 4e6248d76f55c6184f28afe614d7d76b6fa3d455
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Feb 17 11:19:48 2011 -0500

    Bug 639882 - Heap corruption in font parsing with FreeType2 backend

 pango/pangoft2-render.c |   16 ++++++++++++++--
 1 files changed, 14 insertions(+), 2 deletions(-)

commit 12de1ecf9ab9c925e7021288b10175af74007e94
Author: Laszlo Pandy <lpandy@src.gnome.org>
Date:   Wed Feb 9 16:55:36 2011 +0100

    [GI] Add (allow-none) annotations to pango_parse_markup().

 pango/pango-markup.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit a7a0db3caa56c9924d823017a23dbc0e71f3ba60
Author: Laszlo Pandy <lpandy@src.gnome.org>
Date:   Fri Feb 4 14:30:59 2011 +0100

    [GI] Annotate out arguments of pango_parse_markup().

 pango/pango-markup.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 34448ab65f41dfb0c098a3e0d112b084ef84f8d8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Dec 28 03:17:55 2010 -0600

    Bug 636348 - Hex boxes are incorrectly scaled with non identity
    cairo scale

 pango/pangocairo-font.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 4da05d60a8c9e7f22329c58264e0ca6c683dbf0c
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sat Dec 11 14:52:53 2010 +0100

    Annotate pango_layout_get_context().

 pango/pango-layout.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit d4a36df5f2e1a1487d7e9f7e966c16bb167a5b96
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Dec 6 16:26:00 2010 -0500

    [git.mk] Support Mallard docs

 git.mk |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 588847fe4b5ed905f3a035825567e08a3b4d516d
Author: Sven Herzberg <herzi@gnome-de.org>
Date:   Mon Nov 15 19:04:47 2010 +0100

    ensure gnome-autogen.sh's behaviour

    * autogen.sh: make sure that autoreconf calls aclocal the same way
      gnome-autogen.sh would have done

 autogen.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 807c776bf36667c697c0c9bd76d37160e9c1d8cc
Author: Christian Persch <chpe@gnome.org>
Date:   Sat May 24 16:22:06 2008 +0200

    Use G_DEFINE_BOXED_TYPE.

    Bug #539622.

 configure.in             |    2 +-
 pango/fonts.c            |   32 ++++++--------------------------
 pango/glyphstring.c      |   15 +++------------
 pango/pango-attributes.c |   15 +++------------
 pango/pango-color.c      |   15 +++------------
 pango/pango-glyph-item.c |   28 ++++++----------------------
 pango/pango-item.c       |   14 +++-----------
 pango/pango-language.c   |   14 +++-----------
 pango/pango-layout.c     |   29 ++++++-----------------------
 pango/pango-matrix.c     |   15 +++------------
 pango/pango-tabs.c       |   14 +++-----------
 11 files changed, 40 insertions(+), 153 deletions(-)

commit c06264ae25218dd72a70bf5eb93d552f2763f9aa
Author: Javier Jardón <jjardon@gnome.org>
Date:   Tue Oct 26 18:22:03 2010 +0200

    Use autoreconf instead gnome-autogen.sh

    Fixed https://bugzilla.gnome.org/show_bug.cgi?id=633208

 autogen.sh |   38 +++++++++++++++++++++-----------------
 1 files changed, 21 insertions(+), 17 deletions(-)

commit bcad3f2dfe3542d5d91e3172f883ca3d7943228e
Author: Colin Walters <walters@verbum.org>
Date:   Wed Sep 29 10:41:26 2010 -0400

    introspection: Fix some annotation syntax usage

 pango/pango-attributes.c |    4 ++--
 pango/pango-layout.c     |    6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 457f5eb78316f6a81735183a3c96c3817dcd4136
Author: Colin Walters <walters@verbum.org>
Date:   Tue Sep 28 15:51:44 2010 -0400

    introspection: Use --include-uninstalled

    For inter-module includes we need to use --include-uninstalled,
    otherwise we may try to process pkg-config entries for uninstalled
    .pc files.

    Also:

    * Don't include pangoft2 in its own package list.
    * Filter out non-public pango-color-table.h

    https://bugzilla.gnome.org/show_bug.cgi?id=630857

 configure.in      |    2 +-
 pango/Makefile.am |   13 ++++++++-----
 2 files changed, 9 insertions(+), 6 deletions(-)

commit 14b387aaf9ac6f0f2f2f2428233c1c62ccf13be2
Author: Colin Walters <walters@verbum.org>
Date:   Tue Sep 28 15:17:53 2010 -0400

    configure.in: Add missing ;

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1f32ac0356cfc5c961570d7291d70603d85efa8b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 28 14:16:46 2010 -0400

    Bug 630812 - Ignore gnome-doc-utils, .dirstamp and GSettings files
    in git.mk

    Patches from Philip Withnall.

    [PATCH 1/3] Ignore gnome-doc-utils' .mo files and generated headers

    gnome-doc-utils can optionally generate a header (specified in
    DOC_H_FILE)
    which is cleaned by gnome-doc-utils.make in mostlyclean. Additionally,
    it
    generates MO files for the documentation translations which are
    also cleaned
    by gnome-doc-utils.make in mostlyclean.

    [PATCH 2/3] Ignore .dirstamp files

    These are automatically removed on distclean by automake under some
    circumstances.

    [PATCH 3/3] Ignore files generated by gsettings.m4

    gsettings.m4 generates .valid files and can optionally generate
    enum files,
    which are all removed on mostlyclean by gsettings.m4.

 git.mk |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

commit ce7af5623349df44c4787a44296645db405c5e0c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 22 15:45:33 2010 -0400

    Doc template changes

 docs/tmpl/atsui-fonts.sgml        |    3 +++
 docs/tmpl/bidi.sgml               |    3 +++
 docs/tmpl/coverage-maps.sgml      |    4 ++++
 docs/tmpl/engines.sgml            |    4 ++++
 docs/tmpl/fonts.sgml              |    4 ++++
 docs/tmpl/freetype-fonts.sgml     |    6 ++++++
 docs/tmpl/glyphs.sgml             |    4 ++++
 docs/tmpl/layout.sgml             |    3 +++
 docs/tmpl/main.sgml               |    5 +++++
 docs/tmpl/modules.sgml            |    3 +++
 docs/tmpl/opentype.sgml           |    3 +++
 docs/tmpl/pango-engine-lang.sgml  |    3 +++
 docs/tmpl/pango-engine-shape.sgml |    3 +++
 docs/tmpl/pango-renderer.sgml     |    3 +++
 docs/tmpl/pango-version.sgml      |    5 +++++
 docs/tmpl/pangocairo.sgml         |    5 +++++
 docs/tmpl/pangofc-decoder.sgml    |    3 +++
 docs/tmpl/pangofc-font.sgml       |    3 +++
 docs/tmpl/pangofc-fontmap.sgml    |    3 +++
 docs/tmpl/scripts.sgml            |    4 ++++
 docs/tmpl/tab-stops.sgml          |    3 +++
 docs/tmpl/text-attributes.sgml    |    4 ++++
 docs/tmpl/utils.sgml              |    5 +++++
 docs/tmpl/vertical.sgml           |    3 +++
 docs/tmpl/win32-fonts.sgml        |    9 +++++++++
 docs/tmpl/x-fonts.sgml            |    3 +++
 docs/tmpl/xft-fonts.sgml          |    3 +++
 27 files changed, 104 insertions(+), 0 deletions(-)

commit 837f1bae095f90c662fdc51fd39a0eeb2bb8f850
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 21 15:53:52 2010 -0400

    Fix docs build on Ubuntu

    I'm guessing that Ubuntu has broken libtool by not automatically
    adding
    dependent libraries from the .la file...

 docs/Makefile.am |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit 47ba8cfcb857d62f15f4df58d5d5c7bd5088a107
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 27 21:07:34 2010 -0400

    Bug 628497 - Crash in pango_layout_line_get_extents at pango-layout.c

    Cleanup LINE_IS_VALID() usage.

 pango/pango-layout.c |    9 +--------
 1 files changed, 1 insertions(+), 8 deletions(-)

commit 152e0aab5bb29d691e5e69e2f375b3b42e15e48e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Sep 23 15:49:57 2010 -0400

    Bug 626966 - SIGFPE _hb_sanitize_array

    Fix two div-by-zero's.  Both have been fixed upstream.

 pango/opentype/hb-open-type-private.hh      |    2 +-
 pango/opentype/hb-ot-layout-gpos-private.hh |    1 +
 2 files changed, 2 insertions(+), 1 deletions(-)

commit 254f42980e272f0560b28d466c2b65a1748b1132
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 14 14:50:01 2010 -0400

    Bug 629632 - configure bug

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4f5c9708455308eb2fb692817db6ef103505da72
Author: Tor Lillqvist <tml@iki.fi>
Date:   Sat Sep 11 14:52:28 2010 +0300

    Reduce DLL hijack risk and simplify code in basic-win32 module

    Dont load usp10.dll dynamically with LoadLibrary(). Just link to the
    Uniscribe API directly. MinGW comes with an import library so no
    problem with that either. The Uniscribe DLL is present on all versions
    of Windows we care for.

 modules/basic/Makefile.am   |    3 +-
 modules/basic/basic-win32.c |  136
 ++++++++++---------------------------------
 2 files changed, 33 insertions(+), 106 deletions(-)

commit 0aa7efebfbbe72336f5db23279ef1c93ab839b17
Author: Colin Walters <walters@verbum.org>
Date:   Tue Aug 31 18:12:40 2010 -0400

    introspection: Filter out private headers

    We shouldn't scan private headers.  Also add --warn-all.

    https://bugzilla.gnome.org/show_bug.cgi?id=627973

 pango/Makefile.am |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 7030230ac42811e44fb47d9af0149e425abacc79
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 25 15:48:41 2010 -0400

    Bug 627978 - explicitly link with the math lib (-lm) for use of 'cos'

 examples/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit b13aea4f55a6db5518866af72cd079a5c002a8f1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 25 12:00:34 2010 -0400

    Bug 627902 - explicitely link dump-boundaries to GLib

 tests/Makefile.am |   19 +++++++++++--------
 1 files changed, 11 insertions(+), 8 deletions(-)

commit 2baffa4c47b64c4b6a0603eaeb951a6be6ba5b5e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 24 19:47:49 2010 -0400

    Fix include

 pango/pango-engine-private.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d3f2af76130687f72653c1866fb8af91b6500250
Author: Robert Ancell <robert.ancell@canonical.com>
Date:   Tue Aug 10 16:31:44 2010 +1000

    Bug 626500 - Fails to compile with gobject-introspection 0.9

 pango/Makefile.am            |    2 +-
 pango/pango-engine-private.h |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 955b51cc5221a2624ea6c49c3f42e6f32f127419
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 6 12:48:10 2010 -0400

    Bug 625807 - approximate character width is 0 on pangoft2

    Fix regression.

 pango/pangofc-font.c |   48
 +++++++++++++++++++++++++++++++++++++++++++++---
 1 files changed, 45 insertions(+), 3 deletions(-)

commit 9b43da625483b68aa8702d217523bf9d8a8100d6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 22 23:15:33 2010 -0400

    Bug 617772 - pango fails to build from git outside source tree

    Depends on gobject-introspection >= 0.6.14, where introspection
    sources are
    referenced via VPATH. Remove $(srcdir) prefix in sources.

    Signed-off-by: Theppitak Karoonboonyanan <thep@linux.thai.net>

 configure.in      |    2 +-
 pango/Makefile.am |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit e94a21a9b52a5b9f9e4a5f1e19f9c84a16bf2838
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Thu Jul 8 15:51:33 2010 -0400

    Add PANGO_LIBDIR and PANGO_SYSCONFDIR enviroment variables

    Add environment variables to override the compile time values
    for the libdir and sysconfdir. This provides additional
    flexibility and enables using a static pango.modules file
    for libraries packaged with an application on OS X by setting
    environment variables at application startup and using
    paths of the form:

     @executable_path/../lib/pango/modules/..

    in the modules file.

    https://bugzilla.gnome.org/show_bug.cgi?id=554524

 pango/pango-utils.c |   26 +++++++++++++++++---------
 1 files changed, 17 insertions(+), 9 deletions(-)

commit 3743d1c82066ecd4f8d6d6fba993b15fcc8d9773
Author: Tor Lillqvist <tml@iki.fi>
Date:   Sun Jun 27 23:40:18 2010 +0300

    Typo fix

    As such libpangowin32 is deprecated, I guess...

 pango/pangowin32.def |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3882c7dcaa00c0489c4bfdd582b3fefe5e3741b9
Author: Tor Lillqvist <tml@iki.fi>
Date:   Sat Jun 26 16:05:13 2010 +0300

    Improve performance on Windows especially for non-Latin scripts

    The use of Uniscribe script caches was decidedly suboptimal. Use one
    persistent SCRIPT_CACHE per Win32 font and script.

    Patch by by David E. Hollingsworth and Fredrik Corneliusson, from bug

 modules/basic/basic-win32.c |   50
 ++++++++++++++++++++++++++++++++----------
 pango/pangowin32-private.h  |    7 ++---
 pango/pangowin32.c          |   29 +++++++++---------------
 pango/pangowin32.def        |    1 +
 4 files changed, 53 insertions(+), 34 deletions(-)

commit e4880b237e9056a95ad2ca25798f84d7372629f1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jun 15 11:36:18 2010 -0400

    Bump version to 1.29

 configure.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit cf1022c02c89d50a64743b1cf8d989817e4e1fd1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jun 15 10:05:16 2010 -0400

    Backport this commit from harfbuzz-ng repo:

    Fix awful confusion between lookup format and subtable format

    As reported by John Daggett.

 pango/opentype/hb-ot-layout-gpos-private.hh |   12 ++++++------
 pango/opentype/hb-ot-layout-gsub-private.hh |   12 ++++++------
 2 files changed, 12 insertions(+), 12 deletions(-)

commit 14763c551fa3c68bfe8ba02389a5f07ab65153b2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jun 15 08:38:59 2010 -0400

    Bug 621612 - VPATH build fix

 pango-view/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a30783a14c4dc69adc43922474e79721fec54829
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jun 3 11:53:21 2010 -0400

    Fix a test failure

    See
    http://build.gnome.org/builders/pango-RHEL5/builds/310/steps/pango%20check/logs/stdio

 pango/pangoft2.def |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8be1be82dbea3e81596366d1fa65d9b79d73850c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed May 26 16:21:47 2010 -0400

    Cypriot is RTL

 pango/pango-gravity.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 495932623fb3390dd4249e08a3fd8593ebceaef4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon May 10 20:45:07 2010 -0400

    Fix glyph class building.  Oops!

    Bug 605870 - Incorrect shaping for Syriac

 pango/pango-ot-info.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 1caf2947f0941e2354dd4f43d56934e1ec706b6e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue May 4 13:40:35 2010 -0400

    [cairo] Scale font metrics to user space

    Bug 457990 - font metrics are not converted to user space in cairo
    backend

 pango/pangocairo-font.c    |   37 +++++++++++++++++++++++++++++++++++--
 pango/pangocairo-private.h |    2 +-
 2 files changed, 36 insertions(+), 3 deletions(-)

commit 34e05035af0ce854df1cc2f77c0b11dbc1a3cb36
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue May 4 11:55:27 2010 -0400

    [cairo] Refactor common code in create_metrics_for_context()

 pango/pangocairo-atsuifont.c |   31 +++++--------------------
 pango/pangocairo-fcfont.c    |    8 +++---
 pango/pangocairo-font.c      |   48
 ++++++++++++++++++++++++++++++++++++++-
 pango/pangocairo-private.h   |    4 +-
 pango/pangocairo-win32font.c |   31 +++++--------------------
 pango/pangofc-font.c         |   51
 ++---------------------------------------
 pango/pangofc-private.h      |    4 +-
 7 files changed, 70 insertions(+), 107 deletions(-)

commit fd31122c5a153c3a21ae015cdd1c72aef79671d0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Apr 21 02:04:22 2010 -0400

    [HB] Minor

 pango/opentype/hb-ot-layout-gpos-private.hh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 140cfe4b4a40f95a379c1b78881b1edf12f72145
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Apr 21 00:49:40 2010 -0400

    [HB] Improve comments

 pango/opentype/hb-open-type-private.hh |   22 ++++++++++++++--------
 1 files changed, 14 insertions(+), 8 deletions(-)

commit 4eca6bc0c98b573cc28005413e40790af8b10930
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Apr 21 00:40:50 2010 -0400

    [HB] Remove stale TODO item

 pango/opentype/hb-open-type-private.hh |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 9091e0f4d59b4f6dec4b0992f86ddcc141c0b919
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Apr 21 00:32:47 2010 -0400

    [HB] Use a function template instead of struct template for Null

 pango/opentype/hb-open-type-private.hh |   24 ++++++++++--------------
 1 files changed, 10 insertions(+), 14 deletions(-)

commit 39620ce42fa212d4e76f49ac257d2b2cf6da20fa
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Apr 21 00:14:12 2010 -0400

    [HB] Simplify Tag struct

 pango/opentype/hb-open-file-private.hh        |    3 ++-
 pango/opentype/hb-open-type-private.hh        |    6 +-----
 pango/opentype/hb-ot-layout-common-private.hh |    3 ++-
 3 files changed, 5 insertions(+), 7 deletions(-)

commit b11755c2f68d0dfe1dac7a7bce29defa25255bc9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Apr 20 23:50:45 2010 -0400

    [HB] Cosmetic

 pango/opentype/hb-open-type-private.hh        |    8 ++++----
 pango/opentype/hb-ot-layout-common-private.hh |    6 +++---
 2 files changed, 7 insertions(+), 7 deletions(-)

commit 5453f4b097811e31e8205d3729bee1fc97d2e541
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Apr 20 15:52:47 2010 -0400

    [HB] Fix Class operator return type

 pango/opentype/hb-ot-layout-common-private.hh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 851f873072b26b32c514c459ba2ca141dd1b79e0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Apr 20 15:51:53 2010 -0400

    [HB] Add couple consts to operators

 pango/opentype/hb-open-type-private.hh |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit fc23518fc6fb391a0e7dc872c6a2e89a09cad018
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Apr 20 15:25:27 2010 -0400

    [HB] Remove ASSERT_SIZE_DATA

 pango/opentype/hb-open-type-private.hh        |    4 ----
 pango/opentype/hb-ot-layout-common-private.hh |    9 ++++++---
 2 files changed, 6 insertions(+), 7 deletions(-)

commit 1c90dc64539551c8e0b86415a4949b8eb21b5b1c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Mar 29 00:04:12 2010 -0400

    GNOME Bug 613015 - [HB] Does not sanitize Device tables referenced
    from ValueRecords

 pango/opentype/hb-ot-layout-gpos-private.hh |  147
 +++++++++++++++++++++------
 1 files changed, 116 insertions(+), 31 deletions(-)

commit 0d0cbf451613c301ae358cc4dbe54fb63ae5fc9e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Apr 19 02:34:10 2010 -0400

    [HB] Round instead of trunc

 pango/opentype/hb-ot-layout-gpos-private.hh |   20 ++++++++++----------
 pango/opentype/hb-private.h                 |    2 +-
 2 files changed, 11 insertions(+), 11 deletions(-)

commit 5383831f1c73eaed7696fddad3e2fb823858a8ff
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Apr 19 02:29:04 2010 -0400

    [HB] Fix warnings

 pango/opentype/hb-open-type-private.hh          |    2 +-
 pango/opentype/hb-ot-layout-gdef-private.hh     |    4 ++--
 pango/opentype/hb-ot-layout-gpos-private.hh     |    4 ++--
 pango/opentype/hb-ot-layout-gsubgpos-private.hh |    6 +++---
 4 files changed, 8 insertions(+), 8 deletions(-)

commit 52ab3d508ad900cc435aa6529cd4a333db43af78
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Apr 19 02:27:56 2010 -0400

    [HB] Fix debug build

 pango/opentype/hb-open-type-private.hh          |    2 +-
 pango/opentype/hb-ot-layout-gsubgpos-private.hh |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 1a36b77ee5030c099eff8a6ac7f0081a4a46d69d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Apr 1 03:33:22 2010 -0400

    Bug 582698 - Support CSS-style margin specification

 pango-view/viewer-render.c |   41
 ++++++++++++++++++++++++++++++++++-------
 1 files changed, 34 insertions(+), 7 deletions(-)

commit 91d8773a88938aaa0a78de9bc6f768baf7021bc8
Author: Tor Lillqvist <tml@iki.fi>
Date:   Tue Mar 30 10:28:51 2010 +0300

    Remove the .vcproj files before rewriting them

    In case they are write protected for some reason. Might help Behdad's
    problem with make dist.

 pango/Makefile.am |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 5f32f21772954f40d337a1e60299be47fc8be572
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Mar 27 17:00:19 2010 -0400

    [HB] Fix leak when duplicating blob

 pango/opentype/hb-blob.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit f4201009d192300442e76d25a83c0dab8022d0d6
Author: Kristian Rietveld <kris@gtk.org>
Date:   Sun Mar 21 21:23:56 2010 +0100

    Bug 611033 - Layout using ATSUI fontmap treats absolute font
    sizes a...

    pango_atsui_font_map_load_font() has been corrected to take into
    account
    whether the size retrieved from the given font description is absolute
    when setting this size again on best_description.

    _pango_cairo_atsui_font_new() has been cleaned up with regard to size
    conversion and usage.  The code now properly takes the absolute
    property
    into account and is more clear.

 pango/pangoatsui-fontmap.c   |    8 ++++++-
 pango/pangocairo-atsuifont.c |   47
 ++++++++++++++++++++---------------------
 2 files changed, 30 insertions(+), 25 deletions(-)

commit 7e2abeb19c4b0760d60ec8b388c9f98075700004
Author: Tor Lillqvist <tml@iki.fi>
Date:   Tue Mar 16 10:37:00 2010 +0200

    Dist also the .vcprojin files

    It has to be possible to run "make dist" also in an unpacked tarball.

 build/win32/vs9/Makefile.am |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 9cac172f82dd492d068590434199989021be236e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Mar 16 03:46:17 2010 -0400

    [HB] Fix the mystery bug!

    A couple bugs joined forces to exhibit the mystery behavior of
    crashes / infinite loops on OS X / wrong kerning / invalid memory
    access.  Pooh!

    The bugs were involved:

      - Wrong pointer math with ValueRecord in PairPosFormat1

      - Fallout from avoiding flex arrays, code not correctly updated
        to remove sizeof() usage.

    We strictly never use sizeof() directly now.  And the PairPos code
    is cleaned up.  Should fix them all.  Bugs are:

      Bug 605655 - Pango 1.26.2 introduces kerning bug
      Bug 611229 - Pango reads from uninitialized memory
      Bug 593240 - (pangoosx) Crash / infinite loop with Mac OS X

    We were also doing wrong math converting Device adjustments to
    hb_position_t.  Fallout from FreeType days.  Should shift 16, not
    6.  Fixed that too.

    There's still another bug: we don't sanitize Device records
    referenced from value records.  Fixing that also.

 pango/opentype/hb-open-file-private.hh          |    4 ++-
 pango/opentype/hb-open-type-private.hh          |   11 ++++---
 pango/opentype/hb-ot-layout-common-private.hh   |   10 +++++-
 pango/opentype/hb-ot-layout-gpos-private.hh     |   37
 +++++++++++++----------
 pango/opentype/hb-ot-layout-gsubgpos-private.hh |   15 +++++----
 5 files changed, 46 insertions(+), 31 deletions(-)

commit 7ee9ab4b2519131a9753499175ec43871232c84d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Mar 16 03:15:00 2010 -0400

    [HB] Cosmetic

 pango/opentype/hb-ot-layout-common-private.hh |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit d9e254f3220337577b22f229839e036f344ce048
Author: Tor Lillqvist <tml@iki.fi>
Date:   Tue Mar 16 00:46:24 2010 +0200

    Put the PANGO_MODULE_PREFIX defines in the project files

    Put the PANGO_MODULE_PREFIX defines in the project files instead of
    having them behind an ifdef in the source files.

 build/win32/vs9/pango.vcprojin    |   54 ++++++++-
 build/win32/vs9/pangoft2.vcprojin |  243
 +++++++++++++++++++++++++++++++++++--
 modules/arabic/arabic-fc.c        |    4 -
 modules/arabic/arabic-lang.c      |    4 -
 modules/basic/basic-fc.c          |    4 -
 modules/hangul/hangul-fc.c        |    4 -
 modules/hebrew/hebrew-fc.c        |    4 -
 modules/indic/indic-fc.c          |    4 -
 modules/indic/indic-lang.c        |    4 -
 modules/khmer/khmer-fc.c          |    4 -
 modules/syriac/syriac-fc.c        |    4 -
 modules/thai/thai-fc.c            |    4 -
 modules/tibetan/tibetan-fc.c      |    4 -
 13 files changed, 286 insertions(+), 55 deletions(-)

commit 27c81605322cab7ed738f51627a33ce640327d17
Author: Tor Lillqvist <tml@iki.fi>
Date:   Mon Mar 15 23:44:01 2010 +0200

    Build fix on Linux after previous commits

 modules/arabic/arabic-fc.c   |    2 +-
 modules/arabic/arabic-lang.c |    2 +-
 modules/basic/basic-fc.c     |    2 +-
 modules/hangul/hangul-fc.c   |    2 +-
 modules/hebrew/hebrew-fc.c   |    2 +-
 modules/indic/indic-fc.c     |    2 +-
 modules/indic/indic-lang.c   |    2 +-
 modules/khmer/khmer-fc.c     |    2 +-
 modules/syriac/syriac-fc.c   |    2 +-
 modules/thai/thai-fc.c       |    2 +-
 modules/tibetan/tibetan-fc.c |    2 +-
 11 files changed, 11 insertions(+), 11 deletions(-)

commit d5264003d594ae5e4d24eda4942a7cae0d39cbba
Author: Tor Lillqvist <tml@iki.fi>
Date:   Mon Mar 15 23:28:51 2010 +0200

    Add a couple of files accidentally left out in previous commit

 build/Makefile.am       |    1 +
 build/win32/Makefile.am |    1 +
 config.h.win32.in       |  151
 +++++++++++++++++++++++++++++++++++++++++++++++
 pango/pangocairo.rc.in  |   30 +++++++++
 4 files changed, 183 insertions(+), 0 deletions(-)

commit b68d520e9ff526be4301f6db09c0faa077cd864a
Author: Tor Lillqvist <tml@iki.fi>
Date:   Wed Feb 10 15:30:12 2010 +0200

    Add solution and project files for Visual Studio builds

    The VS files are kept in build/win32/vs9, the same relative location
    as in GLib, mostly for historical reasons.

    Update README.win32 to reflect the VS possibility.

    Include the VS solution and project files in the tarball when doing a
    release.

    To avoid having to list source files in several locations, generate
    files listing source files at "make dist" time in the corresponding
    source directories. Use the C preprocessor to preprocess .vcprojin
    files that include said list files into the actual .vcproj project
    files.

    Provide a rc file for the pangocairo DLL, too.

    Construct and provide in the tarball a pregenerated config.h.win32
    which can be used as config.h when building with Visual C without
    running any configure script. Provide pregenerarated
    module-defs.h.win32, module-defs-lang.c.win32 files too.

    Define PANGO_MODULE_PREFIX appropriately in the relevant module source
    files if not available from the compilation command line.

    Update module-defs-fc.c.win32 and module-defs-win32.c.win32 to match
    what the configure script provides.

 Makefile.am                         |    4 +-
 README.win32                        |   28 +----
 build/win32/vs9/Makefile.am         |    8 ++
 build/win32/vs9/README.txt          |   35 +++++++
 build/win32/vs9/install.vcproj      |   78 +++++++++++++++
 build/win32/vs9/pango.sln           |   79 +++++++++++++++
 build/win32/vs9/pango.vcprojin      |  161 ++++++++++++++++++++++++++++++
 build/win32/vs9/pango.vsprops       |  137 ++++++++++++++++++++++++++
 build/win32/vs9/pangocairo.vcprojin |  170
 ++++++++++++++++++++++++++++++++
 build/win32/vs9/pangoft2.vcprojin   |  183
 +++++++++++++++++++++++++++++++++++
 build/win32/vs9/pangowin32.vcproj   |  165
 +++++++++++++++++++++++++++++++
 build/win32/vs9/stdint.h            |   36 +++++++
 build/win32/vs9/unistd.h            |    1 +
 configure.in                        |    9 ++-
 modules/arabic/arabic-fc.c          |    4 +
 modules/arabic/arabic-lang.c        |    4 +
 modules/basic/basic-fc.c            |    5 +
 modules/basic/basic-win32.c         |    5 +
 modules/hangul/hangul-fc.c          |    4 +
 modules/hebrew/hebrew-fc.c          |    5 +
 modules/indic/indic-fc.c            |    4 +
 modules/indic/indic-lang.c          |    4 +
 modules/khmer/khmer-fc.c            |    4 +
 modules/syriac/syriac-fc.c          |    4 +
 modules/thai/thai-fc.c              |    5 +
 modules/tibetan/tibetan-fc.c        |    4 +
 pango/Makefile.am                   |   55 +++++++++-
 pango/mini-fribidi/Makefile.am      |   10 ++
 pango/module-defs-fc.c.win32        |   40 +++-----
 pango/module-defs-lang.c.win32      |   11 ++
 pango/module-defs-win32.c.win32     |   26 +----
 pango/module-defs.h.win32           |   74 ++++++++++++++
 pango/opentype/Makefile.am          |   10 ++
 33 files changed, 1293 insertions(+), 79 deletions(-)

commit 6118d5891fee776a087855c335a73c79fdaf036c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Mar 13 00:02:30 2010 -0500

    [git.mk] Fix bug with parallel make and subdirs

 git.mk |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit 238d7a23d619f842953ee41f9592bbf8c6c409c7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Mar 3 21:43:09 2010 -0500

    Bug 594101 - [Indic] needed character class data updates to support
    unicode 5.1

    Random character class changes...  It's all Chinese to me.

 modules/indic/indic-ot-class-tables.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 45c5cb6acd497e159e68835cba78061793eaad98
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Mar 3 20:43:26 2010 -0500

    Bug 345066 - backspace changes independent indic characters

 modules/indic/indic-lang.c |   73
 ++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 73 insertions(+), 0 deletions(-)

commit 8818723646aeb013dd39fca1c6e1162c7636b67f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Mar 1 22:30:51 2010 -0500

    Bug 609326 - Complex script shaping failed in the FT2 backend
    on Windows

    Check for face->stream->read == NULL instead of face->stream->base
    != NULL.

 pango/pango-ot-info.c |    8 +-------
 1 files changed, 1 insertions(+), 7 deletions(-)

commit 952847a6e2d53b33cea39d13255fd0f7c8075942
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Feb 23 16:44:55 2010 -0500

    Make blob unlocking 64bit-safe

    Bug 604128 - Applications crash when displaying Hebrew characters

 pango/opentype/hb-blob.c |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit 8c3bffeccbd0074e04adf894199393580de88e95
Author: Tor Lillqvist <tml@iki.fi>
Date:   Mon Mar 1 17:53:54 2010 +0200

    Bug 609326 - Complex script shaping failed in the FT2 backend
    on Windows

    I am not sure whether the root cause is a bug in FreeType, or the way
    Pango uses FreeType, or some more exotic mechanism. Anyway, add a
    simple workaround.

 pango/pango-ot-info.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit 77f99dd9e17c5051b2b2dcfe6e7746f924e9f71b
Author: Kristian Rietveld <kris@gtk.org>
Date:   Sun Feb 28 13:48:22 2010 +0100

    Bug 608923 - Incorrect/broken ligatures on MacOS

    Fix the basic ATSUI to probably work on 64-bit Snow Leopard.  The main
    culprit was most probably in the usage of CGFontRef, where ATSUFontID
    was expected.

 modules/basic/basic-atsui.c |   15 +++++++++------
 1 files changed, 9 insertions(+), 6 deletions(-)

commit 2c858fe6b36801e731fe764c1085a2cbcbc04037
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Feb 23 14:14:17 2010 -0500

    Bug 610791 - checks fail for unused documented symbols

    Hookup new symbol.

 docs/pango-docs.sgml       |    3 +++
 docs/pango-sections.txt    |    1 +
 docs/tmpl/atsui-fonts.sgml |    9 +++++++++
 3 files changed, 13 insertions(+), 0 deletions(-)

commit 728bec3cb2525b35b16cea772428a70350aba3fb
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Feb 22 16:06:18 2010 -0500

    Release 1.27.1

 NEWS         |   12 ++++++++++++
 configure.in |    4 ++--
 2 files changed, 14 insertions(+), 2 deletions(-)

commit ab8d5f6df3171197a7d3913bdf2195bca90fe6de
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Feb 22 16:03:15 2010 -0500

    Ensure proper alignment of NullPool

    Bug 593240 - (pangoosx) Crash / infinite loop with Mac OS X

 pango/opentype/hb-open-type-private.hh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit aae6aab95ce876f52c266bddb2b200344f8020bb
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Feb 22 14:01:01 2010 -0500

    Enable introspection for dist again

 Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b6a2d2b3fc0ad9e3506b0b530346d3c044488419
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Feb 17 15:13:37 2010 -0500

    Bug 610183 - Pango doesn't compile with gcc 3.3.3

    Disable some __attribute__s with gcc 3.

 pango/opentype/hb-private.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c7460fc1b71a491a1b33c19ba0d4cd3b8353c7cb
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jan 26 12:58:01 2010 -0500

    [HB] Remove unused argument

 pango/opentype/hb-ot-layout.cc |    1 -
 pango/opentype/hb-ot-layout.h  |    1 -
 pango/pango-ot-info.c          |    3 +--
 3 files changed, 1 insertions(+), 4 deletions(-)

commit 797d46714d27f147277fdd5346648d838c68fb8c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jan 26 12:30:44 2010 -0500

    [HB/GDEF] Fix bug in building synthetic GDEF table

 pango/opentype/hb-ot-layout.cc |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 558b96314f1184c5f031545ee238549ac3dd3868
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jan 12 15:23:43 2010 -0500

    Lets see if this shuts introspection down so I can get a release out

 Makefile.am  |    2 +-
 acinclude.m4 |   96
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 autogen.sh   |    2 +-
 3 files changed, 98 insertions(+), 2 deletions(-)

commit 0d5ece134cb0e4866456d90ecf9ac42e8c052e6e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jan 12 14:05:48 2010 -0500

    [configure] Remove stale code

 configure.in |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 2b3154b4b7cd9ad1cd532f095c10bedfccfae190
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jan 5 13:21:35 2010 +0100

    Bug 582697 - Add pango-view --pixels option

 pango-view/viewer-render.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit 0f0b9f963db52024f348359ce61c66bff6ce0531
Author: Johan Dahlin <johan@gnome.org>
Date:   Thu Dec 31 00:27:38 2009 +0100

    Do not get the gir and typelib dir for g-i

    Since it breaks when using a system install of gobject-introspection

 pango/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 5389aa2daacc6d41e1a2adeed24ca49f30d371ec
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Dec 25 16:03:12 2009 +0100

    Simplify cluster analysis

 pango/pango-layout.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit d52aa9ec30e74b593eee80082bf8f27bea08246f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Dec 25 16:02:34 2009 +0100

    Always recalculate run width after breaking the run

    Before we only did this if justifying.  However, computing the
    width is
    essentially free these days, so do it always.

 pango/pango-layout.c |   10 ++--------
 1 files changed, 2 insertions(+), 8 deletions(-)

commit 2cd9c4b416cbe55dd68106003f360e861a6722be
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Dec 25 16:00:11 2009 +0100

    Zero the space at the end of line when breaking lines

    Previously we were not zeroing the final space in the line when
    breaking
    lines and were doing that only after lines were broken.  This was
    broken
    since setting layout width to its own logical width (under width=-1)
    could
    result in differently broken lines.  That's fixed now.

    Problem originally reported on gtk-list on 2009-12-22 by Ben Pfaff.

 pango/pango-layout.c |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit dded011854cf721ca80587e3f7587d2af31a859d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Dec 25 15:59:54 2009 +0100

    Cosmetic

 pango/pango-layout.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 0dbcc691b8e14879a72d275d188848064d8c7e40
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Dec 25 15:30:57 2009 +0100

    [modules] Don't warn multiple times

 pango/modules.c |   44 ++++++++++++++++++++++++++++++++------------
 1 files changed, 32 insertions(+), 12 deletions(-)

commit ce6ee34f226b5f7582ea944fe8123bb0a04269d0
Author: Kristian Rietveld <kris@gtk.org>
Date:   Thu Dec 24 08:49:48 2009 +0100

    Don't use devel version numbers in Since tags

 pango/pangoatsui.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0f06d7758bc37a4942342d2c17a88944cbc88adb
Author: Kristian Rietveld <kris@gtk.org>
Date:   Tue Dec 22 12:26:12 2009 +0100

    Revert usage of CoreText in ATSUI backend

    Next to CGFontRef we also store an ATSFontRef now.  This required
    the addition of the public for backends function
    pango_atsui_font_get_atsfont().  I have marked this call to be
    available
    starting version 1.27, as Pango is now in the midst of the 1.26
    series.

    Since we now store the ATSFontRef next to CGFontRef, we can
    continue to
    make use of the ATS API in
    pango_cairo_atsui_font_create_metrics_for_context().  The CoreText
    calls
    have been removed.  Both Tiger and earlier, and Leopard and later
    machines
    will now use the ATS API.

    It is well known that the ATS API has been deprecated in Leopard.
    In the
    near future a brand-new CoreText backend has to be written (from
    scratch)
    that should be installed and used on Macs running Leopard and later.

    This patch has been tested on 32-bit Tiger and 64-bit Snow Leopard and
    found to be functioning correctly.  The build should now work
    again fine
    on Tiger machines, as it has been broken since the introduction of the
    CoreText calls.

 pango/pangoatsui-private.h   |    2 ++
 pango/pangoatsui.c           |   30 +++++++++++++++++++++++++++++-
 pango/pangoatsui.h           |    3 ++-
 pango/pangocairo-atsuifont.c |   23 +++++++++++------------
 4 files changed, 44 insertions(+), 14 deletions(-)

commit c39acaa75e118261838f74ce568c23f6643f9352
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Nov 6 15:20:29 2009 -0500

    Fix FT_Face finalizer call

 pango/pango-ot-info.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fd15a3a04c69af0f5c04cde8c659269d0b139c28
Author: Johan Dahlin <johan@gnome.org>
Date:   Fri Dec 18 09:14:50 2009 -0200

    Use introspection.m4

    Use introspection.m4 without requiring it to be included in the tree.

    https://bugzilla.gnome.org/show_bug.cgi?id=604770

 autogen.sh   |    1 +
 configure.in |   23 ++---------------------
 2 files changed, 3 insertions(+), 21 deletions(-)

commit f9adbd0a57b3f43451e6d1e05d75c96fd116c7ec
Author: Johan Dahlin <johan@gnome.org>
Date:   Wed Dec 16 17:53:29 2009 -0200

    Use Makefile.introspection

    To simplify the introspection scanner/compiler
    build rules. This also changes to the girs are included
    in the dist.

    https://bugzilla.gnome.org/show_bug.cgi?id=604770

 pango/Makefile.am |  145
 +++++++++++++++++++++-------------------------------
 1 files changed, 59 insertions(+), 86 deletions(-)

commit aad6150aa47601dcc1c3aa7766dec828197b5919
Author: Johan Dahlin <johan@gnome.org>
Date:   Wed Dec 16 17:51:45 2009 -0200

    Pass in --enable-introspection to distcheck

    https://bugzilla.gnome.org/show_bug.cgi?id=604770

 Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ee573c4e722c8ef7aff41c6cc98eaeab1ac57aec
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Dec 14 15:42:50 2009 -0500

    Release 1.26.2

 NEWS         |    9 +++++++++
 configure.in |    2 +-
 2 files changed, 10 insertions(+), 1 deletions(-)

commit 3230261dd6f856b77688cad7c40b7b83b63c17ed
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Nov 26 11:20:48 2009 -0500

    Simplify make rules

 pango/Makefile.am |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit 20889f065700ef005b1016729e9c26e078ef9e8a
Author: Kristian Rietveld <kris@gtk.org>
Date:   Sun Dec 6 20:53:20 2009 +0100

    Do not multiply return value of CTFontGetDescent with -1

    The return value of CTFontGetDescent is already positive, as opposed
    to the ats_metrics.descent value used before.  This is a regression
    introduced by the previous patch "porting" the backend to CoreText,
    which
    also broke support for Tiger and earlier -- we will fix that soonish.

 pango/pangocairo-atsuifont.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1a6d89b217fb259f91f8661351336cec651c55e3
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Nov 25 19:49:44 2009 -0500

    Bug 602823 - void function cannot return value

 pango/glyphstring.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b685d25141ba069d2494b17fada2ecedd6dd0df5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Nov 22 18:24:54 2009 -0500

    [GSUB] More ligature/component fixing

    We can only reuse the ligid if it belongs to a previous ligature,
    not a
    component!

    Cherry-picked from harfbuzz-ng repo.

 pango/opentype/hb-ot-layout-gsub-private.hh |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 40bade07f999a0535e0cbc8c2afe45d44e92a663
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Nov 22 18:23:35 2009 -0500

    Fix MarkMark issue with ligid and components

    Cherry-picked from harfbuzz-ng repo.

 pango/opentype/hb-ot-layout-gpos-private.hh |   11 ++++++-----
 pango/opentype/hb-ot-layout-gsub-private.hh |    6 +-----
 2 files changed, 7 insertions(+), 10 deletions(-)

commit 29010456474a512c4193f2fec583c2723f3e2806
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Nov 22 18:20:49 2009 -0500

    Bug 602660 - [HB] don't use flexible arrays

    Cherry-picked from harfbuzz-ng repo.

 pango/opentype/hb-open-file-private.hh          |    4 +-
 pango/opentype/hb-open-type-private.hh          |   36 +++++++----
 pango/opentype/hb-ot-layout-common-private.hh   |   33 +++++-----
 pango/opentype/hb-ot-layout-gdef-private.hh     |   14 ++---
 pango/opentype/hb-ot-layout-gpos-private.hh     |   76
 +++++++++--------------
 pango/opentype/hb-ot-layout-gsub-private.hh     |   44 +++++--------
 pango/opentype/hb-ot-layout-gsubgpos-private.hh |   47 +++++++--------
 pango/opentype/hb-private.h                     |    5 ++
 8 files changed, 122 insertions(+), 137 deletions(-)

commit 27b2a4a4d504d6ba06b8acd91eab17796bc3b3c8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Nov 19 20:35:07 2009 -0500

    Another C++ strictness fix

    Pango Bug 602408 - Invalid C++ code breaks compile with Sun C++
    Compiler
    (Error: A union member cannot have a user-defined assignment operator)

    According to the bug:

    C++ Programming Language by Bjarne Stroustrup: Chapter 10.4.12 forbids
    explicitly using of union members with constructors, destructors
    or assignment
    operations.

    So we use a set() method instead of the assignment operator.  Ugly,
    but hey,
    that's life.

    Cherry-pick from harfbuzz-ng repo.

 pango/opentype/hb-open-type-private.hh        |    8 ++++----
 pango/opentype/hb-ot-layout-common-private.hh |    2 +-
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 640404de481360206d0c08f7528ff14cf9166814
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Nov 17 21:38:53 2009 -0500

    Release 1.26.1

 NEWS         |   12 ++++++++++++
 configure.in |    2 +-
 2 files changed, 13 insertions(+), 1 deletions(-)

commit df2d2ecbedfcc9fd470313c08f3d7edad148a0d1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Nov 17 21:09:05 2009 -0500

    Fix pangocairo-fc fontsize weirdness

 pango/pangocairo-fcfont.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit d9abcaf566e9cd7f702c98958f99f90fd53b4c0b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Nov 17 19:31:23 2009 -0500

    Bug 341481 - pangocairo kerning problem with nonidentity scaling

    Finally fix this embarrassing bug.  The fix is a kludge, but it will
    be redone for 1.28 (harfbuzz-ng) anyway.

 pango/pango-ot-buffer.c |   56
 +++++++++++++++++++++++++++++++++++++++++-----
 pango/pangofc-font.c    |   19 ++++++++++++++++
 pango/pangofc-private.h |   44 ++++++++++++++++++++++++++++++++++++
 3 files changed, 113 insertions(+), 6 deletions(-)

commit 4ccabeffc20f899163bf610356871afb197e9bf8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Nov 17 16:20:42 2009 -0500

    Bug 596614 - Pango application receives SIGSEGV on pasting text
    with U+202E

    Fixed all modules to reverse glyphs if run is rtl.  Except for
    Hangul module.
    Fixed pango_shape() to detect that, warn, and reverse.

 modules/indic/indic-fc.c     |    1 +
 modules/khmer/khmer-fc.c     |    1 +
 modules/thai/thai-fc.c       |    1 +
 modules/tibetan/tibetan-fc.c |    1 +
 pango/glyphstring.c          |    2 --
 pango/pango-engine.c         |    3 +++
 pango/pango-impl-utils.h     |   26 +++++++++++++++++++++++++-
 pango/pango-ot-buffer.c      |   23 ++---------------------
 pango/shape.c                |   34 +++++++++++++++++++++++++++++++---
 9 files changed, 65 insertions(+), 27 deletions(-)

commit 718c533d28cb760e45c7b874420b14003445a9c1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Nov 11 11:57:59 2009 -0500

    Fix typo in previous commit

 pango-view/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 28e179b4f24e11f2af3b739c6c5c3bd560d2de74
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Nov 11 11:03:29 2009 -0500

    Bug 587768 - [patch] Don't build pango-view twice

    Second try.

 pango-view/Makefile.am |   28 +++++++++++++---------------
 1 files changed, 13 insertions(+), 15 deletions(-)

commit 16c3f1d491a04eb8b12f209f97904c7862fbb9db
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Nov 10 17:09:31 2009 -0500

    Bug 587768 - [patch] Don't build pango-view twice

    Try to fix parallel build..

 pango-view/Makefile.am |   25 ++++++++++++++++---------
 1 files changed, 16 insertions(+), 9 deletions(-)

commit 5f3d21b78679694f76e788e9308062380a0d0c8e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Nov 10 16:44:54 2009 -0500

    Remove REBUILD black magic

    Shouldn't be needed.

 configure.in      |   13 -------------
 pango/Makefile.am |    4 ++--
 2 files changed, 2 insertions(+), 15 deletions(-)

commit 8e9d153733cac83bfc8ce0c068d2af455d0e9a76
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Nov 3 17:11:53 2009 -0500

    Fix leak with non-mmapped fonts

 pango/pango-ot-info.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit bfbe9aea599bc98ffd4640268a66c90d6fa21736
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Oct 29 03:08:42 2009 -0400

    [HB] Add glyph_metrics typedef

 pango/opentype/hb-font.h |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit cdb7383be41b4ace0e6d9f3a05ac3983e8d4eaf0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Oct 29 03:05:18 2009 -0400

    [HB] Add point_index to get_contour_point()

    Pointed out by Keith Stribley on HarfBuzz list.

 pango/opentype/hb-font.h |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 44164ee60f5ef2fc4f7a03846b60d72eb67ecb0e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Oct 29 03:00:44 2009 -0400

    [HB] Fix lookup_flag ignoring

    Reported by Keith Stribley on HarfBuzz list.

 pango/opentype/hb-ot-layout-common-private.hh |    1 +
 pango/opentype/hb-ot-layout.cc                |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

commit 078b2d5b20c4c9e8b3f0a11d1d40e5510ef94cf6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Oct 23 16:45:36 2009 -0400

    Bug 594101 - [Indic] character class data updates to support
    unicode 5.1

    Add classification for new characters.  Patch from Parag AN.

 modules/indic/indic-ot-class-tables.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 1038b7959944dd25d7c2a76a3c769eb26b5fd6a2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Oct 22 17:24:21 2009 -0400

    Allow using uninstalled glib

    Reported by mpsuzuki on gtk-i18n-list on 2009-10-09.

 configure.in      |    5 +++++
 pango/Makefile.am |    4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 72b3642ec8f689eee5463ae8675323d91496238e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Oct 22 17:17:38 2009 -0400

    [configure] Allow using uninstalled cairo

    Reported by mpsuzuki on gtk-i18n-list on 2009-10-16.

 configure.in |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit 8598817414ab8bde6c218c6255faf378597394ea
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Oct 21 18:26:27 2009 -0400

    Update from vte

 git.mk |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 6cf73f0034b6db8f10a5cdc096c7a5d1ac53af94
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Oct 5 15:31:31 2009 -0400

    Typo

 pango/pangocairo-font.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8299e480df42f0c1c6481a87c83a6497e76856f0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 30 16:35:40 2009 -0400

    Bug 596837 - Typo in pango_cairo_show_layout documentation

 pango/pangocairo-render.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 18b4ad750528cf5018dc7aa53ba37d1a8af44e1f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 21 16:58:52 2009 -0400

    Release 1.26.0

 NEWS         |    6 ++++++
 configure.in |    4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 07bb283c9f2d5a1403964dc083c981d9b2e4919f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 21 13:58:56 2009 -0400

    [HB] Add comment

 pango/opentype/hb-ot-layout-gsubgpos-private.hh |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit d50615c838ef7b448021dacbe4daa49aa26ea388
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 21 13:43:54 2009 -0400

    [HB] Fix apply_lookup() loop

    Part of Bug 595539 - Regressions in rendering certain Thai sequences
    with
    OpenType font

 pango/opentype/hb-ot-layout-gsubgpos-private.hh |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 73f94ec879476f52adac105570f4cebe5bd02c0c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 21 13:40:38 2009 -0400

    [HB] Fix bug in chain_context_lookup() invocations

    Part of Bug 595539 - Regressions in rendering certain Thai sequences
    with
    OpenType font

 pango/opentype/hb-ot-layout-gsubgpos-private.hh |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 730bed768e8eb4ed14d21bd390403d8bfed71742
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 16 15:43:57 2009 -0400

    Bug 595350 - set LC_ALL=C, not LANG=C

 docs/check.docs  |    4 +++-
 git.mk           |    2 +-
 pango/check.defs |    3 ++-
 3 files changed, 6 insertions(+), 3 deletions(-)

commit 24bb7774579627b25a61a348ffe0fb25988a12f3
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 11 16:57:25 2009 -0400

    Bug 594936 - pango_layout_set_wrap

    Remove wrong optimization in pango_layout_set_wrap().  The assumption
    that
    if the layout was not wrapped before, it will not wrap now is
    simply wrong.

 pango/pango-layout.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ce01a496c7dad90c672e673c0e7ba8c5de350137
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 11 16:51:34 2009 -0400

    Bug 594934 - pango_layout_copy

    Use memcpy() to copy value fields so we don't miss any.

 pango/pango-layout-private.h |   27 +++++++++++++++------------
 pango/pango-layout.c         |   27 +++++++--------------------
 2 files changed, 22 insertions(+), 32 deletions(-)

commit 33bb108bd8c053de4ce37c6db26dd32ea20f46e2
Author: Tor Lillqvist <tml@iki.fi>
Date:   Thu Sep 10 18:49:31 2009 +0300

    Revert "[basic-win32] Increase performance of Uniscribe code"

    Unfortunately this change breaks complex script shaping.

    This reverts commit ea608c0bd7721d3019bed7ef2472289b1ea6fa53.

 modules/basic/basic-win32.c |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

commit 7f821fb6f714095c431f2195eb42ea2d288f84af
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 9 20:25:32 2009 -0400

    Only check doc coverage if building docs

 docs/Makefile.am |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 03e20e37a11971de6717c88d392362ec9e858880
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 8 11:41:38 2009 -0400

    Release 1.25.6

 NEWS         |    7 +++++++
 configure.in |    2 +-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit 29f4c73be091fa950269d5923923482905bcd14b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 30 21:02:28 2009 -0400

    [HB] Add TODO item

 pango/opentype/TODO |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit e10a17f28cbb8c6c4bd707b79af7e7d2b1370c16
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 28 17:17:11 2009 -0400

    [HB] Rename DEBUG to TRACE where appropriate

 pango/opentype/hb-open-file-private.hh          |    8 +-
 pango/opentype/hb-open-type-private.hh          |   50 ++++++------
 pango/opentype/hb-ot-layout-common-private.hh   |   32 ++++----
 pango/opentype/hb-ot-layout-gdef-private.hh     |   20 +++---
 pango/opentype/hb-ot-layout-gpos-private.hh     |   92
 +++++++++++-----------
 pango/opentype/hb-ot-layout-gsub-private.hh     |   72 +++++++++---------
 pango/opentype/hb-ot-layout-gsubgpos-private.hh |   78
 ++++++++++----------
 7 files changed, 176 insertions(+), 176 deletions(-)

commit a6fbd0752ada8f1ae64b77b09b84202c969a3b9b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 28 17:14:33 2009 -0400

    [HB] Add GSUB/GPOS tracing

 pango/opentype/hb-ot-layout-gpos-private.hh     |   29 ++++++++++++-
 pango/opentype/hb-ot-layout-gsub-private.hh     |   28 ++++++++++++-
 pango/opentype/hb-ot-layout-gsubgpos-private.hh |   49
 ++++++++++++++++++++++-
 3 files changed, 98 insertions(+), 8 deletions(-)

commit a9ab729acf465253f29a65481eb8730d1547f974
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 28 16:31:20 2009 -0400

    [HB] Allow enabling different debug facilities individually

 pango/opentype/hb-blob.c               |   28
 ++++++++++++++++------------
 pango/opentype/hb-open-type-private.hh |   32
 ++++++++++++++++++--------------
 2 files changed, 34 insertions(+), 26 deletions(-)

commit 3e74e62983e77a83a74be5de3470595e3b6d7f2b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 28 14:01:49 2009 -0400

    Enable silent rules by default

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 735e2efc3369d4ad28a1ab73352232e39f768e27
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 28 09:46:14 2009 -0400

    Fix stupid array growing bug

 pango/opentype/hb-ot-layout.cc |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit d82431ec05b92cef903d02d47d8069a9427e96b9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 27 01:32:17 2009 -0400

    [HB] Simplify counting

 pango/opentype/hb-ot-layout.cc |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit 98428c0680625be6737d89bca6104ff95cd7037b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 27 01:16:28 2009 -0400

    Fix bug with lookup_index overflowing our static array

    Part of Bug 593240 - updating pango to latest git master makes
    things crash

 pango/pango-ot-info.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit ca180e1f0e2a453bd9ae16791b6bba1328cfffeb
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 27 00:21:04 2009 -0400

    [HB] Indent

 pango/opentype/hb-blob.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit b16c2664af5be02dfa987f3e8449dcb04d108c00
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 26 18:53:43 2009 -0400

    [HB] Bug 593231 - < c99 compiler dislikes ValueRecord

 pango/opentype/hb-ot-layout-gpos-private.hh |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 364548d8014ba4e29b486a5d430f23415f27742e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 24 16:52:05 2009 -0400

    Release 1.25.5

 NEWS         |    7 +++++++
 configure.in |    2 +-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit 3831dec6ed827fb7854743413b1936ab65b578b3
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 20 15:26:12 2009 -0400

    Update git.mk

 git.mk |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 4c68b4bf575e6d02c658507374c9fb3cb0f958c6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 20 14:01:37 2009 -0400

    Bug 592484 -  invalid write in HB

    Fix off-by-one.

 pango/opentype/hb-ot-layout.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 48d7faba771a738504e0c431c29458cac305275f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 20 13:07:50 2009 -0400

    [HB][glib] Make glib unicode funcs static

 pango/opentype/hb-glib.c |   36 +++++++++++++++++-------------------
 1 files changed, 17 insertions(+), 19 deletions(-)

commit c18e50d95f6283031e9fe365d914bdcc85f339cc
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 19 18:16:50 2009 -0400

    [HB] Fix more casts

 pango/opentype/hb-open-type-private.hh |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 6f73b497a2f4d22611a136ef360b68a78547074f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 19 18:07:36 2009 -0400

    [HB] Rename CAIRO_ in macro prefix to HB_

    Hiss!

 pango/opentype/hb-private.h |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 392f1f1ddb24c0e7d1d64ee8d36c739ac6482b81
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 19 16:45:41 2009 -0400

    [HB] Remove HB_MEMORY_MODE_READONLY_NEVER_DUPLICATE

    Unlike the rest of the memory-mode enum, this one didn't only
    describe the access mode of the input memory region.  Remove it.

    If someone wants to inhibit duplicating, they can lock the blob
    and throw away the key.

    Based on mailing list discussion with Carl Worth.

 pango/opentype/hb-blob.c |   51
 ++++++++++++++++++++++-----------------------
 pango/opentype/hb-blob.h |    1 -
 2 files changed, 25 insertions(+), 27 deletions(-)

commit 446d7a2cce64aeee26b94f59a3f518e61c6d5c41
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 19 16:17:24 2009 -0400

    [HB] s/writeable/writable/g

 pango/opentype/hb-blob.c               |   38
 ++++++++++++++++----------------
 pango/opentype/hb-blob.h               |   10 ++++----
 pango/opentype/hb-open-type-private.hh |    6 ++--
 pango/pango-ot-info.c                  |    4 +-
 4 files changed, 29 insertions(+), 29 deletions(-)

commit 2bd2cd6ed88671df1d7db1ede9a8c02208cb8f48
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 19 16:07:40 2009 -0400

    [HB] Hide lig_id and component members of hb_glyph_info_t

 pango/opentype/hb-buffer.h |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit 34810eedcd0fe0c5347a69e511a16b27ef0499d6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 19 14:45:24 2009 -0400

    [HB] Fix typo

 pango/opentype/hb-font.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0a8034ea52c1297e330e75ce5cccb3a6bf602fff
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 18 18:37:36 2009 -0400

    [HB] Add font funcs prototypes

 pango/opentype/hb-font-private.h |    2 --
 pango/opentype/hb-font.cc        |   14 ++++++--------
 pango/opentype/hb-font.h         |   23 ++++++++++++++++-------
 3 files changed, 22 insertions(+), 17 deletions(-)

commit 82edd870bd4a86ceaeea93afc59e5c3096c740c9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 18 16:41:59 2009 -0400

    Fix a few other pedantic warnings

 pango/opentype/hb-ot-layout-common-private.hh |    2 +-
 pango/opentype/hb-ot-layout-gdef-private.hh   |    2 +-
 pango/opentype/hb-ot-layout-gpos-private.hh   |    4 ++--
 pango/opentype/hb-ot-layout-gsub-private.hh   |    2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

commit f397c67d5b23b35b6488c00b821f727d2e67cab4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 18 16:38:48 2009 -0400

    [HB] Fix pedantic warnings

 pango/opentype/hb-blob.h           |    2 +-
 pango/opentype/hb-buffer-private.h |   18 +++++++++---------
 pango/opentype/hb-buffer.h         |    6 +++---
 3 files changed, 13 insertions(+), 13 deletions(-)

commit 6ace51e45c90184fe62ad3efbb0d84fd8e415fde
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 18 16:32:31 2009 -0400

    [HB] Fix more wrong method signatures

 pango/opentype/hb-ot-layout-common-private.hh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 602c83982359f98916967dc88da6b5731fc06798
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 18 16:27:48 2009 -0400

    [HB] Fix wrong method signature

 pango/opentype/hb-ot-layout-common-private.hh |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 8f6e589aaab62f384c6c8dbc4d0087147bc22237
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 18 15:49:23 2009 -0400

    Bug 592194 -  Fix missing _SC_PAGE_SIZE macro

    Autoconfiscate a simple call to mprotect() even more.

 configure.in             |    1 +
 pango/opentype/hb-blob.c |   94
 +++++++++++++++++++++++++++++----------------
 2 files changed, 61 insertions(+), 34 deletions(-)

commit a90b692a43bc94a7d204ff36422e3b0b3c5ba27d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 17 19:16:53 2009 -0400

    Release 1.25.4

 NEWS         |   13 +++++++++++++
 configure.in |    2 +-
 2 files changed, 14 insertions(+), 1 deletions(-)

commit cad422da3d653dae3f55eb9fc93d09b8a9530c9d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 17 19:13:30 2009 -0400

    AM_V_GEN ChangeLog too

 Makefile.am |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit d4f8da3f4855db24484a8924d883df362561b7ce
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 17 18:39:00 2009 -0400

    Bug 592131 -  Add AM_SILENT_RULES

    And sprinkle some $(AM_V_GEN) around. Silent rules are disabled by
    default.

 configure.in           |    1 +
 modules/Makefile.am    |    2 +-
 pango-view/Makefile.am |    3 +--
 pango/Makefile.am      |   44
 ++++++++++++++++++++++----------------------
 4 files changed, 25 insertions(+), 25 deletions(-)

commit caed415f553a60176b33e30ee37e891cb720e9c6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 17 18:29:37 2009 -0400

    Make pango_interface_age automatic

    For unstable releases, we act as if each micro release has new API.
    For stable releases, no micro release adds new API.

 configure.in |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit 5f256c2fd14b2cd18978a3963c8b49a2b68966f5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 17 17:10:04 2009 -0400

    [introspection] Don't this gir files, really

 pango/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 59fbdf8efd88d72c587dc55a22b6eabd7184284b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 17 17:07:12 2009 -0400

    [Makefile] Remove GIR files from EXTRA_DIST

 pango/Makefile.am |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 078300ef69ab0855a7cc39503880cbc8b2e23494
Author: Colin Walters <walters@verbum.org>
Date:   Mon Aug 17 16:50:57 2009 -0400

    Re-enable introspection, delete PangoX

    This patch relies on the latest GObject Introspection; bump
    requirement to 0.6.4.

    First, delete the PangoX.gir since it's "incredibly deprecated"
    in Owen's words =)

    Next, clean up the PangoCairo.gir logic; we need to include the .gir
    for the relevant font backend (currently just FT2), because the
    font object gets expanded.

 configure.in      |    2 +-
 pango/Makefile.am |   69
 ++++++++++++++++++++--------------------------------
 2 files changed, 28 insertions(+), 43 deletions(-)

commit f1d8d01c81b10a8c5ed47fef7a3fba10aa66140c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 17 16:48:13 2009 -0400

    [HB] Avoid int overflow in GPOS

    Bug 592036 - integer overflow bug causes misrendering of Nepali
    characters

 pango/opentype/hb-ot-layout-gpos-private.hh |   20 ++++++++++----------
 pango/opentype/hb-private.h                 |    3 +++
 2 files changed, 13 insertions(+), 10 deletions(-)

commit a465d3c1854033f2c3c05616bde7762ff0cf2d5b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 14 19:37:18 2009 -0400

    [HB] Simplify loop

 pango/opentype/hb-ot-layout-gpos-private.hh |   31
 ++++++++++++--------------
 1 files changed, 14 insertions(+), 17 deletions(-)

commit 400a17544e80d46ef9d7aaca4d1c33a6e11f5f97
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 14 19:33:24 2009 -0400

    [HB] Merge mark positionin code between three types of lookups

 pango/opentype/hb-ot-layout-gpos-private.hh |   95
 ++++++++------------------
 1 files changed, 29 insertions(+), 66 deletions(-)

commit ae76417677db1d7a8daf454bf043269479b7910d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 14 18:42:42 2009 -0400

    [HB] More minor shuffling

 pango/opentype/hb-open-type-private.hh        |    3 ---
 pango/opentype/hb-ot-layout-common-private.hh |    5 +++++
 2 files changed, 5 insertions(+), 3 deletions(-)

commit 1b91a23d57d1aef4349f28e0154aff68ad855357
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 14 18:40:56 2009 -0400

    [HB] Move code around

 pango/opentype/hb-open-type-private.hh        |   21
 +++++++++++++++++++++
 pango/opentype/hb-ot-layout-common-private.hh |   19 -------------------
 2 files changed, 21 insertions(+), 19 deletions(-)

commit 165203e4f57c39d292f4a010561948b58c6196ab
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 14 18:32:56 2009 -0400

    [HB] Correctly sanitize LigatureAttach

 pango/opentype/hb-open-type-private.hh        |   14 ++++++++++----
 pango/opentype/hb-ot-layout-common-private.hh |    4 ++++
 pango/opentype/hb-ot-layout-gdef-private.hh   |    4 ++--
 pango/opentype/hb-ot-layout-gpos-private.hh   |    6 +++---
 4 files changed, 19 insertions(+), 9 deletions(-)

commit 8aa69042d86497c1dd45bd4ad89e7f0e247f244f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 14 18:14:03 2009 -0400

    [HB] Simplify MarkBase and MarkLig too

 pango/opentype/hb-ot-layout-gpos-private.hh |  127
 ++++++++++-----------------
 1 files changed, 48 insertions(+), 79 deletions(-)

commit 279a5bd1bbd085493a1ce882274481a80a443e46
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 14 17:53:31 2009 -0400

    [HB] Simplify MarkMark

 pango/opentype/hb-ot-layout-gpos-private.hh |   29
 ++++++++++++++------------
 1 files changed, 16 insertions(+), 13 deletions(-)

commit 10bc378f81fb2fd21fd7ef5f8d6242ad18b88132
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 14 17:31:16 2009 -0400

    [HB] Fix possible int overflows during sanitize

 pango/opentype/TODO                         |    1 -
 pango/opentype/hb-open-type-private.hh      |   22 ++++++++++++++++++++++
 pango/opentype/hb-ot-layout-gpos-private.hh |   15 ++++++++-------
 3 files changed, 30 insertions(+), 8 deletions(-)

commit 23dd984c1647179d8431c0879e8477f52a626ed0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 14 16:41:00 2009 -0400

    [HB] Debug output for SANITIZE_MEM()

 pango/opentype/hb-open-type-private.hh |   34
 +++++++++++++++++++++----------
 1 files changed, 23 insertions(+), 11 deletions(-)

commit 397196a3758a4f0e645df876937ccc88d529b865
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 14 16:25:33 2009 -0400

    [HB] Use inline function for SANITIZE_MEM()

 pango/opentype/hb-open-type-private.hh |   33
 +++++++++++++++++++------------
 1 files changed, 20 insertions(+), 13 deletions(-)

commit 6e5affe549e571c4bfa46be48963001bcc1b3d74
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 14 16:17:32 2009 -0400

    [HB] Use SANITIZE_THIS() when applicable

 pango/opentype/hb-open-type-private.hh |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 578e321d3b5a08b86e6f1576f09973a94924e448
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 14 16:12:22 2009 -0400

    [HB] Add note about auditing sanitize code for overflows

 pango/opentype/TODO                         |    1 +
 pango/opentype/hb-ot-layout-gpos-private.hh |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

commit d683b37b8817aef334281aada550bf8974fde1a8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 13 17:13:25 2009 -0400

    [HB] Add empty hb_shape() API

 pango/opentype/Makefile.am |    2 +
 pango/opentype/hb-shape.c  |   40 +++++++++++++++++++++++++++++++++
 pango/opentype/hb-shape.h  |   53
 ++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 95 insertions(+), 0 deletions(-)

commit f4868084a55e3abd0b45ee2fb7b477e038a81d1a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 13 11:47:08 2009 -0400

    [HB] Bitfield packing *is* very delicate

    Fix the second instance.

 pango/opentype/hb-buffer.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ea608c0bd7721d3019bed7ef2472289b1ea6fa53
Author: David E. Hollingsworth <deh@curl.com>
Date:   Thu Aug 13 15:55:50 2009 +0300

    [basic-win32] Increase performance of Uniscribe code

    A few weeks ago I reported a performance issue regarding the use of
    Uniscribe in the win32 basic shaper.

    It turns out that the issue was with the use of Uniscribe's
    SCRIPT_CACHE.  Despite the name, this value is for caching
    per-font-plus-size values, not per-script values.  See:

      http://msdn.microsoft.com/en-us/library/dd317726(VS.85).aspx

    Since shaping occurs on runs containing a single font, we only need
    one SCRIPT_CACHE in uniscribe_shape.  I'm including a patch below that
    does this.  With the patch applied, the time for one of my tests went
    from 20s to .3s.

 modules/basic/basic-win32.c |   13 ++++++-------
 1 files changed, 6 insertions(+), 7 deletions(-)

commit b4f10583ea84d02ed0278fc2cb2846aaf075864d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 13 05:25:23 2009 -0400

    Bug 591511 – hh-blob.c does not compile using mingw on windows

    Check for sys/mman.h, not mprotect().

 configure.in             |    2 +-
 pango/opentype/hb-blob.c |    8 ++++----
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 87f9fedcd27baa62043cb59b03dfd5ce0a9214db
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 13 05:20:46 2009 -0400

    [HB] Fix buffer sizing issue with mingw gcc

    Bit field packing is a delicate field.  Issue reported in comment
    3 here:
    http://bugzilla.gnome.org/show_bug.cgi?id=591511

 pango/opentype/hb-buffer-private.h |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit c4f35720bc1310c37b41af134dace628ff35a221
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 12 19:56:26 2009 -0400

    Release 1.25.3

 NEWS         |   16 ++++++++++++++++
 configure.in |    4 ++--
 2 files changed, 18 insertions(+), 2 deletions(-)

commit 4770396ca172bab95dd4d0b34a272816f1b26922
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 12 19:45:50 2009 -0400

    Bug 591413 – needs to link with libstdc++

    Enforce -fno-exceptions better.

 configure.in               |   29 ++++++++++++++++++++++++++---
 pango/opentype/Makefile.am |    2 +-
 2 files changed, 27 insertions(+), 4 deletions(-)

commit 7380a171e933b8690146d2976caf0c5abafbed91
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 12 19:36:29 2009 -0400

    Bug 591511 – hb-blob.c does not compile using mingw on windows

    Only call mprotect() when available.  For optimal performance, a win32
    way to make memory writeable needs to be added.

 configure.in             |    3 ++-
 pango/opentype/hb-blob.c |    8 ++++++++
 2 files changed, 10 insertions(+), 1 deletions(-)

commit 2059465b5d9440126d99a78aae7f785d89572194
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 12 19:23:16 2009 -0400

    [HB] Add comment

 pango/opentype/hb-buffer-private.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7b1b94b255d616759672b03b2cf4b88aa013271a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 12 18:36:36 2009 -0400

    New public API: pango_glyph_item_get_logical_widths()

 docs/pango-sections.txt  |    1 +
 docs/tmpl/glyphs.sgml    |   10 +++++++
 pango/glyphstring.c      |   39 +++--------------------------
 pango/pango-glyph-item.c |   60
 ++++++++++++++++++++++++++++++++++++++++++++++
 pango/pango-glyph-item.h |    3 ++
 pango/pango-layout.c     |    5 +--
 pango/pango.def          |    1 +
 7 files changed, 81 insertions(+), 38 deletions(-)

commit 1f1b4df1d08f5b9a8e85d9282240aaaf3d8d8023
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 12 18:13:37 2009 -0400

    Fix compiler warnings

 pango/pangoft2.c      |    2 +-
 pango/pangoxft-font.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit a38803a01f9e7f0cddd98c9b14ce8f9c1d878620
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 12 18:11:03 2009 -0400

    Remove G_GNUC_PURE attr from pango_glyph_string_get_width()

    Since the glyph widths can be adjusted directly.

 pango/pango-glyph.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 075e9925cc9d4675e5a6be65e599e4ee97f2d018
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 12 17:50:19 2009 -0400

    [OT] Enlarge lookup array

    We'll fix it properly later when ruleset logic is moved into HarfBuzz.
    In the mean time, IranNastaliq was hitting the 100 limit.

 pango/pango-ot-info.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 68b88d292b4be0bffe321c3da84891c4a7b3ba6f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 12 16:51:46 2009 -0400

    [layout] clear state->log_widths after freeing

 pango/pango-layout.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 1e53d4d5904445c740a374ea8492935f95bf1654
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 12 16:50:28 2009 -0400

    [HB] Always clear positions if dirty, before returning to user

 pango/opentype/hb-buffer.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 141dfa186403bb22e1e3875fdc263d402b2abb1d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 12 16:47:27 2009 -0400

    [HB] Fix _hb_buffer_next() when positioning

    We were copying glyphs to output.  This should not happen when in
    GPOS.  Back then it was fine, then some optimizations broke then
    assumption.

 pango/opentype/hb-buffer-private.h |    1 +
 pango/opentype/hb-buffer.c         |   12 ++++++++++++
 2 files changed, 13 insertions(+), 0 deletions(-)

commit 996eab4e5f35432692fc76939a2f586a1298c1da
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 12 15:55:23 2009 -0400

    [HB] Fixed signedness warnings

 pango/opentype/hb-open-type-private.hh |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 4d5bd658c7b78392d24ad4cc82d800b6d0fc8434
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 12 15:48:44 2009 -0400

    [HB] Ouch.  Fix compilation.

 pango/opentype/hb-ot-layout-gpos-private.hh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ebdcfbeb5aeb3e827326844f2f942570e503e26a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 12 15:40:04 2009 -0400

    [HB] Fix invalid access / overflow on x86-64

    Bug 591557 – [HB] crash scrolling the evolution message list
    Bug 591576 – crashed with SIGSEGV at pango

 pango/opentype/hb-ot-layout-gpos-private.hh |   21 ++++++++++++---------
 pango/opentype/hb-ot-layout-gsub-private.hh |    2 --
 2 files changed, 12 insertions(+), 11 deletions(-)

commit 6b7265c4d6fab1181d0453a845b67ab53fb19d2e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 11 17:06:57 2009 -0400

    Bug 591465 – Gimp crashes upon opening the font selection dialog

    Initialize count variables.

 pango/pango-ot-info.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit c556ca970a90850b6c6a96033bb862e1ceb00866
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 11 11:13:04 2009 -0400

    [doc] Update doc templates

 docs/tmpl/atsui-fonts.sgml |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit c99c7784e5c65e9c67721ec7335bce57cbd59fe3
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 11 10:29:49 2009 -0400

    Release 1.25.2

 NEWS         |    8 ++++++++
 configure.in |    4 ++--
 2 files changed, 10 insertions(+), 2 deletions(-)

commit 6035823cb335de9b05c4446935ea1d09d58c8921
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 11 10:31:22 2009 -0400

    [doc] Update for ATSUI change

    Bug 562100 – docs check fails

 docs/pango-sections.txt |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 954319c6eb2eb3dc74a3e271ee5ae6f1ce12ee32
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 11 10:09:19 2009 -0400

    Bug 591409 – crash in firefox.  Handle non-mmapped FT_Face

 pango/pango-ot-info.c |   50
 +++++++++++++++++++++++++++++++++++++++---------
 1 files changed, 40 insertions(+), 10 deletions(-)

commit 620858ee966c7999b206dd3a883542a1057a8d41
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 10 23:50:51 2009 -0400

    [HB] Add hb_font_funcs_make_immutable()

 pango/opentype/hb-font-private.h |    4 ++++
 pango/opentype/hb-font.cc        |   17 +++++++++++++++--
 pango/opentype/hb-font.h         |    3 +++
 3 files changed, 22 insertions(+), 2 deletions(-)

commit 3f57b1a9e78a50651a6dcca7443085bf9fc307b2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 10 23:45:57 2009 -0400

    [HB] Add missing initializer

 pango/opentype/hb-font.cc |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 106c0db2c0d88d956a3e2184259c19948d9ea4b5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 10 23:40:28 2009 -0400

    [OT] Hookup glib unicode funcs

 pango/opentype/hb-buffer.c     |   14 +++++++-------
 pango/opentype/hb-glib.c       |    4 +++-
 pango/opentype/hb-glib.h       |    4 ++--
 pango/opentype/hb-ot-layout.cc |   10 +++++-----
 pango/opentype/hb-private.h    |    2 +-
 pango/pango-ot-info.c          |    2 ++
 pango/pango-ot-private.h       |    1 +
 7 files changed, 21 insertions(+), 16 deletions(-)

commit 5586ef604f0212f8edebbbffbe7596d3bdca3474
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 10 23:35:05 2009 -0400

    [HB] Add hb-glib

 pango/opentype/Makefile.am          |    4 ++-
 pango/opentype/hb-glib.c            |   56
 +++++++++++++++++++++++++++++++++++
 pango/opentype/hb-glib.h            |   41 +++++++++++++++++++++++++
 pango/opentype/hb-unicode-private.h |    2 +-
 pango/opentype/hb-unicode.c         |   10 +++---
 pango/opentype/hb-unicode.h         |    6 ++--
 6 files changed, 109 insertions(+), 10 deletions(-)

commit e434cc3d4f720a453eaff20f8d6ab61ae098c4a0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 10 23:25:28 2009 -0400

    [HB] Add hb_unicode_funcs_make_immutable()

 pango/opentype/hb-unicode-private.h |    2 ++
 pango/opentype/hb-unicode.c         |   22 +++++++++++++++++-----
 pango/opentype/hb-unicode.h         |    2 ++
 3 files changed, 21 insertions(+), 5 deletions(-)

commit 8b3ad4afc0ce0f4db72142e1a6ee7883e5702dd6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 10 23:21:33 2009 -0400

    [HB] Use nil unicode funcs in nil face

 pango/opentype/hb-font.cc           |    7 ++++---
 pango/opentype/hb-unicode-private.h |    3 +++
 pango/opentype/hb-unicode.c         |    2 +-
 3 files changed, 8 insertions(+), 4 deletions(-)

commit 4c1f130ea8328ff492e72b9a0eebbe6a083d7b7a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 10 23:05:05 2009 -0400

    [HB] Initialize unicode funcs to nil getters

 pango/opentype/hb-unicode.c |   29 +++++++++++++++++++----------
 1 files changed, 19 insertions(+), 10 deletions(-)

commit f2fab897d32061d9a0329384cd4b0fd71748ea97
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 10 22:58:56 2009 -0400

    [HB] Flesh out Unicode funcs

 pango/opentype/hb-object-private.h  |    2 +-
 pango/opentype/hb-unicode-private.h |   12 +++----
 pango/opentype/hb-unicode.c         |   67
 ++++++++++++++++++++++++++++++----
 pango/opentype/hb-unicode.h         |    3 --
 4 files changed, 65 insertions(+), 19 deletions(-)

commit cedd227822a0c8540fff4152b302e4d701fcac81
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 10 22:47:57 2009 -0400

    [HB] Implement buffer UTF-X input

 pango/opentype/hb-buffer.c |  110
 ++++++++++++++++++++++++++++++++++++++++++++
 pango/opentype/hb-buffer.h |   12 ++--
 2 files changed, 116 insertions(+), 6 deletions(-)

commit 640709e6008ffcd9dc969aec71fcd717acbb8797
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 10 21:10:37 2009 -0400

    [HB] Add buffer UTF-X API

 pango/opentype/hb-buffer.h |   21 +++++++++++++++++++++
 1 files changed, 21 insertions(+), 0 deletions(-)

commit dfa2cfce0dac5ba1d9f87aea5ff3ab3ed36be6ce
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 10 20:59:25 2009 -0400

    [HB] Add hb_buffer_reverse()

 pango/opentype/hb-buffer.c |   32 +++++++++++++++++++++++++++++---
 pango/opentype/hb-buffer.h |    7 +++++++
 2 files changed, 36 insertions(+), 3 deletions(-)

commit 200ba28b0f0e1b90e5f958960b62b0fe657be3ba
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 10 20:24:49 2009 -0400

    [HB] Reuse the positions array as alt string array

 pango/opentype/hb-buffer-private.h |    1 -
 pango/opentype/hb-buffer.c         |   28 +++++++++-------------------
 2 files changed, 9 insertions(+), 20 deletions(-)

commit a6abd02a45946959a4f3c64fb25cb84d83913e2a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 10 20:05:16 2009 -0400

    [HB] Start adding Unicode funcs

 pango/opentype/Makefile.am          |    3 +
 pango/opentype/hb-font-private.h    |   29 +----
 pango/opentype/hb-font.cc           |  163 +++++++-------------------
 pango/opentype/hb-font.h            |  140 ++++++++---------------
 pango/opentype/hb-unicode-private.h |   54 +++++++++
 pango/opentype/hb-unicode.c         |   89 ++++++++++++++
 pango/opentype/hb-unicode.h         |  220
 +++++++++++++++++++++++++++++++++++
 pango/pango-ot-info.c               |    2 +-
 8 files changed, 464 insertions(+), 236 deletions(-)

commit 0934f1596280945c07c733cdc81acb3275835a53
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 10 19:00:36 2009 -0400

    [HB] Put C++ inline's back

    Apparetly in C++, inline means a totally different thing.

 pango/opentype/hb-open-file-private.hh          |   14 +++++++-------
 pango/opentype/hb-open-type-private.hh          |   16 ++++++++--------
 pango/opentype/hb-ot-layout-common-private.hh   |   12 ++++++------
 pango/opentype/hb-ot-layout-gdef-private.hh     |    4 ++--
 pango/opentype/hb-ot-layout-gpos-private.hh     |   12 ++++++------
 pango/opentype/hb-ot-layout-gsub-private.hh     |   12 ++++++------
 pango/opentype/hb-ot-layout-gsubgpos-private.hh |   12 ++++++------
 7 files changed, 41 insertions(+), 41 deletions(-)

commit 5a53c4d3c134dfc502a91783106374e6e158b225
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 10 14:45:44 2009 -0400

    Add CXX check to configure

 configure.in |   11 +----------
 1 files changed, 1 insertions(+), 10 deletions(-)

commit b2ff4fa41d33af6c3f784d26667d5aa2ad81ebd3
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 10 13:57:02 2009 -0400

    [HB] Don't override CXX compiler

    Just add couple of options to it (still assuming gcc)

 pango/opentype/Makefile.am |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit e6e9681411d07bbbca4c2c00052896aab3459fef
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 10 11:50:30 2009 -0400

    Release 1.25.1

 NEWS         |   18 ++++++++++++++++++
 configure.in |    4 ++--
 2 files changed, 20 insertions(+), 2 deletions(-)

commit a2017573b50a7b739dab20f343a60ee7e2ea322f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 10 11:57:15 2009 -0400

    [OT] Remove list of private (and gone) symbols from public def file

    Oops!

 pango/pangoft2.def |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 7eea3552420ab23562c44777fceba91f5da5d883
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 10 11:49:57 2009 -0400

    Revert "Build introspection again"

    This reverts commit 853f3ddd12ea2fbf3bed551ebfd542536e7f42e0.
    The introspection stuff doesn't hook into the build system correctly
    and hence breaks "distcheck".  Need to look into it again.

 pango/Makefile.am |   31 ++++++++++++++++---------------
 1 files changed, 16 insertions(+), 15 deletions(-)

commit f5a10f5ce603cdd7dc70513c09975ca0535089b2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 10 09:35:11 2009 -0400

    [HB] Indent

 pango/opentype/hb-ot-layout.h |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 7736059a852b4951ae2a14f02bb552262dd179fd
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 9 22:25:17 2009 -0400

    [HB] Remove unused code

 pango/opentype/hb-ot-layout-gdef-private.hh |   10 ----------
 1 files changed, 0 insertions(+), 10 deletions(-)

commit 845e7a7a35bd65af32a188b6cf89adb611ac35bc
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 9 22:10:39 2009 -0400

    [HB] Add a NEXT() macro

 pango/opentype/hb-open-type-private.hh          |    2 +
 pango/opentype/hb-ot-layout-common-private.hh   |    4 +-
 pango/opentype/hb-ot-layout-gsub-private.hh     |    8 +++---
 pango/opentype/hb-ot-layout-gsubgpos-private.hh |   24
 +++++++++++-----------
 4 files changed, 20 insertions(+), 18 deletions(-)

commit 4cd222b23494b2dd3511169be90f382922c5f210
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 9 18:31:47 2009 -0400

    [HB] Remove done TODO item

 pango/opentype/TODO |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 88bfabba705331762f369364bbb38becf56d83ed
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 9 13:05:08 2009 -0400

    [HB] Print mark sets in main.cc

 pango/opentype/main.cc |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 0956094754c054a9cafc7ead4bac24ca2c77439a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 8 16:57:27 2009 -0400

    [HB] Remove hb_ot_layout_table_find_feature()

    That function doesn't make much sense as multiple features in the
    table may
    have the same tag.

 pango/opentype/hb-ot-layout.cc |   16 ----------------
 pango/opentype/hb-ot-layout.h  |    6 ------
 2 files changed, 0 insertions(+), 22 deletions(-)

commit 3616d0b02412d86aa8d2370e67002c2ef5b31da3
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 8 16:53:23 2009 -0400

    [HB] Rename hb_ot_layout_feature_mask_t to hb_mask_t

 pango/opentype/TODO                         |    1 -
 pango/opentype/hb-buffer-private.h          |    4 +-
 pango/opentype/hb-buffer.c                  |   12 ++++----
 pango/opentype/hb-buffer.h                  |    4 +-
 pango/opentype/hb-common.h                  |    1 +
 pango/opentype/hb-ot-layout-gpos-private.hh |   12 ++++----
 pango/opentype/hb-ot-layout-gsub-private.hh |   14 +++++-----
 pango/opentype/hb-ot-layout.cc              |   18 +++++++-------
 pango/opentype/hb-ot-layout.h               |   34
 +++++++-------------------
 pango/pango-ot-info.c                       |    4 +-
 10 files changed, 44 insertions(+), 60 deletions(-)

commit 005058069f1638e207859c2898129fd1375458d7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 8 16:37:22 2009 -0400

    [HB] Fix bug introduced recently

 pango/opentype/hb-open-type-private.hh |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit c899bfddd1aaa0f0b4242910080f80a9889cb27c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Aug 7 19:46:30 2009 -0400

    [HB] Remove clumsy macros and improve API

 pango/opentype/TODO                             |    2 -
 pango/opentype/hb-open-file-private.hh          |   41 ++++++-
 pango/opentype/hb-open-type-private.hh          |  104 +----------------
 pango/opentype/hb-ot-layout-common-private.hh   |  103 ++++++++++++----
 pango/opentype/hb-ot-layout-gsubgpos-private.hh |   35 +++++-
 pango/opentype/hb-ot-layout.cc                  |  146
 ++++++++---------------
 pango/opentype/hb-ot-layout.h                   |  101 +++++++---------
 pango/pango-ot-info.c                           |   96 ++++++----------
 8 files changed, 274 insertions(+), 354 deletions(-)

commit ca89182f510d3627526b3f5e7379ce5a89440354
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 6 18:34:47 2009 -0400

    [HB] Fix various XXX issues

 pango/opentype/hb-open-type-private.hh      |   13 ++++++++++---
 pango/opentype/hb-ot-layout-gdef-private.hh |    5 ++---
 2 files changed, 12 insertions(+), 6 deletions(-)

commit eb3029af018c1e70a3bc387fee6a9fa7373d06c4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 6 18:28:45 2009 -0400

    [HB] Remove unused var

 pango/opentype/hb-ot-layout-private.h |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit a5e0c175ef3b63b3db53ff861f8847ffe9cea03d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 6 18:28:00 2009 -0400

    [HB] Remove another stale XXX

 pango/opentype/hb-ot-layout.cc |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 2b067b28aee93c2275644b0a1dc3b04ad751bda6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 6 18:27:28 2009 -0400

    [HB] Rebrand XXX as TODO

 pango/opentype/hb-open-file-private.hh |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit bdf7aec5550061d8924673dbebda0221eec45dfd
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 6 18:26:38 2009 -0400

    [HB] Remove stale XXX

 pango/opentype/hb-blob.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 374f30c9d62a0559d71bbd610b10249d049e7778
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 6 18:24:55 2009 -0400

    [HB] Fix unaligned access

 pango/opentype/hb-open-type-private.hh |   20 +++++++++++++++++---
 pango/opentype/hb-private.h            |   22 ++++++++++++++++++++++
 2 files changed, 39 insertions(+), 3 deletions(-)

commit d653b893b1cf5def17dda4dbcb1e0e70e8f1bae2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 6 14:28:18 2009 -0400

    [HB] Remove a few 'inline's, though the compiler mostly ignores them

 pango/opentype/hb-open-file-private.hh          |    1 -
 pango/opentype/hb-open-type-private.hh          |   16 ++++++++--------
 pango/opentype/hb-ot-layout-gsubgpos-private.hh |    6 +++---
 3 files changed, 11 insertions(+), 12 deletions(-)

commit d898dc6ff2a2ebdfcccef59ec3c044b7542b1009
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 6 13:33:51 2009 -0400

    [HB] Fix blob to use a actual mutex

 pango/opentype/hb-blob.c           |  125
 ++++++++++++++++++++++++++----------
 pango/opentype/hb-object-private.h |    4 +-
 pango/opentype/hb-private.h        |   20 ++++--
 3 files changed, 106 insertions(+), 43 deletions(-)

commit 991de7d8d973cf914b4038348370c2ad86c7ce7f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 6 12:32:35 2009 -0400

    [HB] Use glib again

 pango/opentype/Makefile.am         |    5 ++-
 pango/opentype/hb-blob.c           |    4 +-
 pango/opentype/hb-object-private.h |   19 ++++----------
 pango/opentype/hb-private.h        |   45
 ++++++++++++++++++++---------------
 4 files changed, 37 insertions(+), 36 deletions(-)

commit d29e8fcd57cd62627c4fdbbaf4cbcf2e58c5df89
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 6 12:12:25 2009 -0400

    [OT] Remove SFNT special-casing.  HB knows how to do that

 pango/pango-ot-info.c |   30 +++++++++++++-----------------
 1 files changed, 13 insertions(+), 17 deletions(-)

commit 6ab6f0042aa081007af8a1ae7e8871c8a6f13ab2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 6 10:40:12 2009 -0400

    [OT] Fix crash with non-SFNT fonts

 pango/pango-ot-info.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7a1539df497997a4d97b9d27cfb082454e4ab694
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 6 10:37:02 2009 -0400

    [OT] Make sure we own face generic data before using it

 pango/pango-ot-info.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 20588ed32aadba157bb2fcf1c8b2447890854234
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 6 10:27:38 2009 -0400

    [HB] Improve debug output

 pango/opentype/hb-open-type-private.hh |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 6caa02aee9d614077c9ae4b5dfe8fec0058f7356
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Aug 6 10:24:49 2009 -0400

    [HB] Minor

 pango/opentype/hb-private.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1761cd11cb12b033df73ae265900733c0d8f4231
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 5 15:35:02 2009 -0400

    [HB] Add a few TODO items

 pango/opentype/TODO |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit 895a98508dc408bd232dadb33bb5ac313b96ffbb
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 5 15:27:42 2009 -0400

    [HB] Improve debug output

 pango/opentype/hb-open-type-private.hh |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 1aab84b8b2ed0f35fcf5265e6b8432d8ecc07162
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 5 15:21:48 2009 -0400

    [HB] Fix blob unlock

 pango/opentype/hb-blob.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 77bde84243e5e03ffaf6940678ca920e00eea253
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 5 15:20:34 2009 -0400

    [HB] Improve debug output and fix mprotect bug

 pango/opentype/hb-blob.c               |   57
 +++++++++++++++++++++++++++----
 pango/opentype/hb-open-type-private.hh |   30 ++++++++---------
 pango/opentype/hb-private.h            |    3 +-
 3 files changed, 65 insertions(+), 25 deletions(-)

commit 0fc28b73eb32a6ac7566fb1d4ee0a3e07eac1b16
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 5 14:52:03 2009 -0400

    [HB] Minor

 pango/opentype/hb-private.h |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit c96b2a6a3b2b2bb106163254b034a8fdcc3081e5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Aug 5 14:49:25 2009 -0400

    [HB] Fix build of main.cc

 pango/Makefile.am          |    4 ++--
 pango/opentype/Makefile.am |    8 ++++----
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 413af41134a5a1686191fdfe30dab2179f8c042d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 23:43:40 2009 -0400

    [HB] turn debugging off

 pango/opentype/hb-private.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f250cc489b961d77e5104c16d030ed495c1c4b46
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 23:42:57 2009 -0400

    Update doc templates

 docs/tmpl/atsui-fonts.sgml |    9 ---------
 docs/tmpl/opentype.sgml    |    2 +-
 2 files changed, 1 insertions(+), 10 deletions(-)

commit 85c2e96bee9c19cec66f2b7fefabcab1bb1fe57f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 23:30:32 2009 -0400

    [HB] Fix another sanitize() bug;  hopefully it's the last one

 pango/opentype/hb-ot-layout-common-private.hh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2e28925934eac99d59ba3a9257071e0e735d0819
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 23:24:35 2009 -0400

    [HB] Fix a couple other sanitize() bugs

 pango/opentype/hb-ot-layout-gpos-private.hh |    4 ++--
 pango/opentype/hb-ot-layout-gsub-private.hh |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 4928a22c1eb696d4f9b2d52837ac229c0eb63307
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 23:01:23 2009 -0400

    [HB] More debugging output

 pango/opentype/hb-open-type-private.hh |   45
 ++++++++++++++++++++++++++++---
 1 files changed, 40 insertions(+), 5 deletions(-)

commit a990ba0d2b8599ee3eab8bea6ac96aec99b1ee1d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 22:55:44 2009 -0400

    [HB] Fix fatal Sanitizer bug

 pango/opentype/hb-open-type-private.hh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7762880223a110e41cb1f1c256564f6809747fb8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 22:43:47 2009 -0400

    [HB] Add missing sanitize

 pango/opentype/hb-open-file-private.hh |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit b4c1057497e2498a3391b2536aa1fbc7efe9723a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 22:35:36 2009 -0400

    [HB] Add sanitize debugging facilities

 pango/opentype/hb-open-file-private.hh          |    4 ++
 pango/opentype/hb-open-type-private.hh          |   43
 ++++++++++++++++++++---
 pango/opentype/hb-ot-layout-common-private.hh   |   17 +++++++++
 pango/opentype/hb-ot-layout-gdef-private.hh     |   10 +++++
 pango/opentype/hb-ot-layout-gpos-private.hh     |   28 +++++++++++++++
 pango/opentype/hb-ot-layout-gsub-private.hh     |   18 +++++++++
 pango/opentype/hb-ot-layout-gsubgpos-private.hh |   16 ++++++++
 pango/opentype/hb-private.h                     |    6 +++-
 8 files changed, 136 insertions(+), 6 deletions(-)

commit 076b06fdb85cd64e2a460ccb383b964dee31ebd7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 22:06:57 2009 -0400

    [HB] Rename open-types to open-type; beauty

 pango/opentype/Makefile.am                    |    2 +-
 pango/opentype/hb-open-file-private.hh        |    2 +-
 pango/opentype/hb-open-type-private.hh        |  565
 +++++++++++++++++++++++++
 pango/opentype/hb-open-types-private.hh       |  565
 -------------------------
 pango/opentype/hb-ot-layout-common-private.hh |    2 +-
 5 files changed, 568 insertions(+), 568 deletions(-)

commit b4cfda4e811852a1ad11aa3686c95600b1d5d0c0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 21:47:29 2009 -0400

    [HB] Save edit even if not writeable

 pango/opentype/hb-open-types-private.hh |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit c63d3b1b1fbe7a796f2722b467830ce726b78619
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 21:45:40 2009 -0400

    Fix warnings

 pango/pangofc-fontmap.c |    5 +----
 pango/querymodules.c    |    2 +-
 2 files changed, 2 insertions(+), 5 deletions(-)

commit 50295f03b7684e5fb72e3446d0ae3dcf3cacb384
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 21:42:23 2009 -0400

    [HB] Fix warnings

 pango/opentype/hb-open-file-private.hh      |    1 +
 pango/opentype/hb-open-types-private.hh     |    5 +++++
 pango/opentype/hb-ot-layout-gsub-private.hh |    3 +--
 3 files changed, 7 insertions(+), 2 deletions(-)

commit cb971493ec7013eaee032cbc6e3f399a413808fb
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 21:35:32 2009 -0400

    [HB] Avoid infinite recusion in Extension sanitize()

 pango/opentype/hb-ot-layout-gpos-private.hh |    1 +
 pango/opentype/hb-ot-layout-gsub-private.hh |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit 23663fe3b506d0f9b44168dcf0b0a80d102b0877
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 21:32:57 2009 -0400

    [HB] Hook Sanitizer up.  Hell's breaking loose right now

 pango/opentype/hb-font.cc               |    7 ++-----
 pango/opentype/hb-open-types-private.hh |    2 +-
 pango/opentype/hb-ot-layout.cc          |   12 ++++++------
 3 files changed, 9 insertions(+), 12 deletions(-)

commit d55d065f2ad518879ae1992f13d1b86e109548a1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 21:32:06 2009 -0400

    [HB] Fix leak

 pango/opentype/hb-ot-layout.cc |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit c04edb57948948bc2fcb24060bf12bdb6dfcebb9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 20:52:47 2009 -0400

    [HB] Add Sanitizer

 pango/opentype/hb-open-types-private.hh |   58
 ++++++++++++++++++++++++++++---
 1 files changed, 53 insertions(+), 5 deletions(-)

commit 64563fcff29aeac442f152c4643328730184763a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 20:50:18 2009 -0400

    [HB] Add XXX

 pango/opentype/hb-open-file-private.hh |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 02c12b3802bfe4163d1b19a6a3a1daaf947f192d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 20:27:05 2009 -0400

    [HB] Minor cleanup

 pango/opentype/hb-ot-layout-gdef-private.hh     |    2 +-
 pango/opentype/hb-ot-layout-gpos-private.hh     |    2 +-
 pango/opentype/hb-ot-layout-gsub-private.hh     |    2 +-
 pango/opentype/hb-ot-layout-gsubgpos-private.hh |    4 ++--
 4 files changed, 5 insertions(+), 5 deletions(-)

commit 782943efe043e2bc1ecf973271505471b469f185
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 19:31:02 2009 -0400

    [HB] Shuffle code around

 pango/opentype/hb-open-types-private.hh |  127
 ++++++++++++++++---------------
 1 files changed, 65 insertions(+), 62 deletions(-)

commit d327d7fed4068f0fd69673cbc73b22d57476baa2
Merge: 6a4933a 091be0f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 15:59:23 2009 -0400

    Merge branch 'master' into harfbuzz-ng

commit 6a4933ab14b6786fc7f347f1e1c41c0b038a0a6f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 15:28:49 2009 -0400

    [HB] More sanitize infrastructure

 pango/opentype/hb-open-types-private.hh |   29
 ++++++++++++++++++++++++++++-
 1 files changed, 28 insertions(+), 1 deletions(-)

commit f92f7d301c7219cc1478759e2a5729cfba821529
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 15:07:24 2009 -0400

    [HB] open-file sanitize()

 pango/opentype/hb-open-file-private.hh  |   46
 ++++++++++++++++++++++++++++---
 pango/opentype/hb-open-types-private.hh |   13 +++++++++
 2 files changed, 55 insertions(+), 4 deletions(-)

commit c436b687c4d9ba59d0badbd8edb37c936cc3bcc9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 14:42:46 2009 -0400

    [HB] Tag sanitize()

 pango/opentype/hb-open-types-private.hh       |    8 ++++++++
 pango/opentype/hb-ot-layout-common-private.hh |    6 +-----
 2 files changed, 9 insertions(+), 5 deletions(-)

commit 7e7f9f5a7f6aef9bacd9782b943883e127aae49b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 14:33:23 2009 -0400

    [HB] GDEF sanitize()

 pango/opentype/hb-ot-layout-gdef-private.hh     |   54
 +++++++++++++++++++++++
 pango/opentype/hb-ot-layout-gpos-private.hh     |    2 +-
 pango/opentype/hb-ot-layout-gsub-private.hh     |    2 +-
 pango/opentype/hb-ot-layout-gsubgpos-private.hh |    2 +-
 4 files changed, 57 insertions(+), 3 deletions(-)

commit 091b0e7a2f0799235b95ed80ab35302d1eaf849c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 14:27:56 2009 -0400

    [HB] Fix Extension sanitize()

 pango/opentype/hb-ot-layout-gpos-private.hh     |    3 ++-
 pango/opentype/hb-ot-layout-gsub-private.hh     |    3 ++-
 pango/opentype/hb-ot-layout-gsubgpos-private.hh |    2 +-
 3 files changed, 5 insertions(+), 3 deletions(-)

commit 14ac615c743186c8aa86691b99d7fef8bfa73f32
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 14:12:46 2009 -0400

    [HB] Remove stale TODO

 pango/opentype/hb-ot-layout.cc |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 7a0a97bc1b8ee09004140fdec8529d52f5702c18
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 14:10:39 2009 -0400

    [HB] Hookup NEUTER()

 pango/opentype/hb-open-types-private.hh |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit b2eb172416f9ad32a60bb33a26df6bf40ae69453
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 13:57:41 2009 -0400

    [HB] Fix mix warnings

 pango/opentype/Makefile.am                    |    2 +-
 pango/opentype/hb-font.cc                     |   15 +++------------
 pango/opentype/hb-open-types-private.hh       |    2 +-
 pango/opentype/hb-ot-layout-common-private.hh |    6 +++---
 pango/opentype/hb-ot-layout-gdef-private.hh   |    2 +-
 pango/opentype/hb-ot-layout-gpos-private.hh   |    9 ++++-----
 pango/opentype/hb-ot-layout.cc                |    2 +-
 pango/opentype/main.cc                        |    4 +---
 8 files changed, 15 insertions(+), 27 deletions(-)

commit 36c73171738ce9e51c370ad54753a8f882172e75
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 13:30:49 2009 -0400

    [HB] GPOS sanitize()

 pango/opentype/hb-open-types-private.hh     |   22 +++-
 pango/opentype/hb-ot-layout-gpos-private.hh |  195
 ++++++++++++++++++++++++++-
 pango/opentype/hb-ot-layout-gsub-private.hh |    2 -
 3 files changed, 213 insertions(+), 6 deletions(-)

commit b78fad2673a7477c4ee16ffa416409cd1a2eac5b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 12:26:26 2009 -0400

    [HB] Sanitize DeviceTable

 pango/opentype/hb-open-types-private.hh       |    8 ++++----
 pango/opentype/hb-ot-layout-common-private.hh |   17 ++++++++++++++---
 pango/opentype/hb-ot-layout-gsub-private.hh   |    2 +-
 3 files changed, 19 insertions(+), 8 deletions(-)

commit ff0047094bbea056c99c9b500c10234b579ff0ba
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 12:13:52 2009 -0400

    [HB] More casts

 pango/opentype/hb-ot-layout-gsub-private.hh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7d0dc6328b60b9a1244dca21d1bc2ffe7411f5d3
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 12:05:24 2009 -0400

    [HB] Fix couple of bugs

 pango/opentype/hb-open-types-private.hh |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 7c897c7a2452ec740ac434561d2334c72c1ffdd8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 11:38:50 2009 -0400

    [HB] More cast cleanup

 pango/opentype/hb-open-types-private.hh         |   23 +++++---
 pango/opentype/hb-ot-layout-common-private.hh   |    7 +--
 pango/opentype/hb-ot-layout-gsub-private.hh     |   27 ++++------
 pango/opentype/hb-ot-layout-gsubgpos-private.hh |   64
 ++++++++--------------
 4 files changed, 50 insertions(+), 71 deletions(-)

commit 5e8a31e45cd4b837e1c5e2fa5fb6e78dda1d1df8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 11:04:32 2009 -0400

    [Hb] Use reinterpret casts instead of direct casts to char *

 pango/opentype/hb-open-file-private.hh          |    4 +-
 pango/opentype/hb-open-types-private.hh         |   19 +++++++---
 pango/opentype/hb-ot-layout-common-private.hh   |    8 ++--
 pango/opentype/hb-ot-layout-gpos-private.hh     |   12 +++---
 pango/opentype/hb-ot-layout-gsub-private.hh     |   20 +++++-----
 pango/opentype/hb-ot-layout-gsubgpos-private.hh |   44
 +++++++++++-----------
 6 files changed, 57 insertions(+), 50 deletions(-)

commit c8c04266568d23e2efa12b7c073562ac7b5b0b2f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 10:41:32 2009 -0400

    [HB] Merge more templates

 pango/opentype/hb-open-types-private.hh |  167
 ++++++++++---------------------
 1 files changed, 55 insertions(+), 112 deletions(-)

commit a501ac401398cc85d2c9695bb2fc41dc4f7efb39
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 10:23:01 2009 -0400

    [HB] Simplify indirect sanitize()

 pango/opentype/hb-open-types-private.hh       |   52
 ++++++++++++-------------
 pango/opentype/hb-ot-layout-common-private.hh |   11 +-----
 2 files changed, 26 insertions(+), 37 deletions(-)

commit 477a991e5e89462fc186cc1d797af7d05ee9fd89
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 02:27:37 2009 -0400

    [HB] Finish GSUB sanitize()

 pango/opentype/hb-ot-layout-gsub-private.hh |   21 ++++++++++++++++++++-
 1 files changed, 20 insertions(+), 1 deletions(-)

commit 8c48985195d3b1cafb7852f2d70b9d82a01d1d78
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 02:14:24 2009 -0400

    [HB] Add comment

 pango/opentype/hb-ot-layout-common-private.hh |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 15e1f268f52a61ebdcdcf0d3c7cd643f897cdcde
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 02:10:48 2009 -0400

    [HB] Optimize sanitize()

 pango/opentype/hb-open-types-private.hh |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit f786c9d501099f3c989fb6e34469381f4be8681f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 02:09:34 2009 -0400

    [HB] More sanitize()

 pango/opentype/hb-open-file-private.hh          |    2 +-
 pango/opentype/hb-open-types-private.hh         |   12 +++--
 pango/opentype/hb-ot-layout-common-private.hh   |   64
 ++++++++++++++++++++---
 pango/opentype/hb-ot-layout-gdef-private.hh     |    2 +-
 pango/opentype/hb-ot-layout-gsubgpos-private.hh |   15 +++++-
 5 files changed, 79 insertions(+), 16 deletions(-)

commit dc6fe7c38db8c74453770d74961e708722d7621e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Aug 4 00:58:28 2009 -0400

    [HB] Start sanitize()

 pango/opentype/hb-open-types-private.hh         |  105
 ++++++++++++++++++-
 pango/opentype/hb-ot-layout-common-private.hh   |   48 ++++++++-
 pango/opentype/hb-ot-layout-gsub-private.hh     |  125
 ++++++++++++++++++++++-
 pango/opentype/hb-ot-layout-gsubgpos-private.hh |  104
 +++++++++++++++++++
 4 files changed, 376 insertions(+), 6 deletions(-)

commit 2f19c9ae2e1e7f2d13b8e78d09fb992f55caf00b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 3 22:43:02 2009 -0400

    [HB] Remove use of typeof()

 pango/opentype/hb-blob.c           |    4 ++--
 pango/opentype/hb-buffer.c         |    2 +-
 pango/opentype/hb-font.cc          |   14 +++++++-------
 pango/opentype/hb-object-private.h |    4 ++--
 4 files changed, 12 insertions(+), 12 deletions(-)

commit 832cb0e4680d4274869ee67b84418e5ec06de247
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 3 22:01:47 2009 -0400

    [HB] Make it all work again

 pango/opentype/hb-font.cc             |   23 ++++++++------
 pango/opentype/hb-ot-layout-private.h |    9 ++++--
 pango/opentype/hb-ot-layout.cc        |   51
 ++++++++++++++++-----------------
 3 files changed, 44 insertions(+), 39 deletions(-)

commit b638ece392bb64c1f43767d98ddc3f446b282d43
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 3 21:40:20 2009 -0400

    [HB] Use face_t directly instead of ot_layout_t

 pango/opentype/TODO                             |    1 +
 pango/opentype/hb-font-private.h                |    4 +
 pango/opentype/hb-font.cc                       |   74 ++++++--
 pango/opentype/hb-font.h                        |    3 +
 pango/opentype/hb-object-private.h              |   36 +++--
 pango/opentype/hb-ot-layout-gdef-private.hh     |    2 +
 pango/opentype/hb-ot-layout-gpos-private.hh     |   14 +-
 pango/opentype/hb-ot-layout-gsub-private.hh     |   32 ++--
 pango/opentype/hb-ot-layout-gsubgpos-private.hh |    8 +-
 pango/opentype/hb-ot-layout-private.h           |   40 +++--
 pango/opentype/hb-ot-layout.cc                  |  220
 ++++++++++-------------
 11 files changed, 237 insertions(+), 197 deletions(-)

commit da2a76270a0109111b465ec6ae0041ec09a2b554
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 3 21:27:08 2009 -0400

    [HB] Simplify sub-blob support

 pango/opentype/hb-blob.c |  172
 +++++++++++++++++----------------------------
 pango/opentype/hb-blob.h |   14 +++--
 2 files changed, 74 insertions(+), 112 deletions(-)

commit ab5a714897efa61da57d8a7fc060b57a6ff4991c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Aug 3 17:53:29 2009 -0400

    [HB] Add sub-blobs

 pango/opentype/hb-blob.c |  162
 +++++++++++++++++++++++++++++++++++++++-------
 pango/opentype/hb-blob.h |   12 +++-
 2 files changed, 147 insertions(+), 27 deletions(-)

commit 48cc6e95b7b16c56ebad8636204b0f9599400ac5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 2 20:06:48 2009 -0400

    [HB] Rename hb-font.c to hb-font.cc

 pango/opentype/Makefile.am |    2 +-
 pango/opentype/hb-font.c   |  349
 --------------------------------------------
 pango/opentype/hb-font.cc  |  349
 ++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 350 insertions(+), 350 deletions(-)

commit c71d6fc16863a662dad7eba81832624201a16533
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 2 20:03:12 2009 -0400

    [OT] Rename C++ header files from *.h to *.hh

 pango/opentype/Makefile.am                      |   14 +-
 pango/opentype/hb-open-file-private.h           |  145 ---
 pango/opentype/hb-open-file-private.hh          |  145 +++
 pango/opentype/hb-open-types-private.h          |  386 -------
 pango/opentype/hb-open-types-private.hh         |  386 +++++++
 pango/opentype/hb-ot-layout-common-private.h    |  447 --------
 pango/opentype/hb-ot-layout-common-private.hh   |  447 ++++++++
 pango/opentype/hb-ot-layout-gdef-private.h      |  320 ------
 pango/opentype/hb-ot-layout-gdef-private.hh     |  320 ++++++
 pango/opentype/hb-ot-layout-gpos-private.h      | 1355
 -----------------------
 pango/opentype/hb-ot-layout-gpos-private.hh     | 1355
 +++++++++++++++++++++++
 pango/opentype/hb-ot-layout-gsub-private.h      |  751 -------------
 pango/opentype/hb-ot-layout-gsub-private.hh     |  751 +++++++++++++
 pango/opentype/hb-ot-layout-gsubgpos-private.h  |  773 -------------
 pango/opentype/hb-ot-layout-gsubgpos-private.hh |  773 +++++++++++++
 pango/opentype/hb-ot-layout.cc                  |    8 +-
 pango/opentype/main.cc                          |    6 +-
 17 files changed, 4191 insertions(+), 4191 deletions(-)

commit ed1f17cc19458b5a5e775a004cb53c3c89f6b7a4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 2 19:57:00 2009 -0400

    [HB] Move OT file handling out of ot-layout

 pango/opentype/Makefile.am                   |    3 +-
 pango/opentype/hb-open-file-private.h        |  145 ++++++++
 pango/opentype/hb-open-types-private.h       |  386 ++++++++++++++++++++
 pango/opentype/hb-ot-layout-common-private.h |    4 +-
 pango/opentype/hb-ot-layout-open-private.h   |  495
 --------------------------
 pango/opentype/hb-ot-layout.cc               |    2 +-
 pango/opentype/main.cc                       |    4 +-
 7 files changed, 539 insertions(+), 500 deletions(-)

commit 6624880f1dc2d14187c4548f7bbddd78f3dbf64d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 2 17:41:36 2009 -0400

    [HB] Port ot-layout to new public API

 pango/opentype/TODO                            |    1 +
 pango/opentype/hb-common.h                     |    1 +
 pango/opentype/hb-font.c                       |    9 +
 pango/opentype/hb-font.h                       |    3 +
 pango/opentype/hb-ot-layout-gdef-private.h     |   32 ++--
 pango/opentype/hb-ot-layout-gpos-private.h     |  106 ++++----
 pango/opentype/hb-ot-layout-gsub-private.h     |   50 ++--
 pango/opentype/hb-ot-layout-gsubgpos-private.h |   12 +-
 pango/opentype/hb-ot-layout-private.h          |   36 ++-
 pango/opentype/hb-ot-layout.cc                 |  342
 +++++++++++++-----------
 pango/opentype/hb-ot-layout.h                  |  207 +++++++--------
 pango/pango-ot-buffer.c                        |    6 +-
 pango/pango-ot-info.c                          |  110 ++++----
 pango/pango-ot-private.h                       |    6 +-
 14 files changed, 485 insertions(+), 436 deletions(-)

commit 5bb23c0024827fb180e17c9b8dde13e872eed464
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 2 15:35:31 2009 -0400

    [HB] Add top-level header files

 pango/opentype/Makefile.am |    2 ++
 pango/opentype/hb-ot.h     |   34 ++++++++++++++++++++++++++++++++++
 pango/opentype/hb.h        |   35 +++++++++++++++++++++++++++++++++++
 3 files changed, 71 insertions(+), 0 deletions(-)

commit fac416667fed565d3d61b25b6736e39b266e22f0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Aug 2 15:20:22 2009 -0400

    [HB] Add XXX marks

 pango/opentype/hb-ot-layout-private.h |    2 ++
 pango/opentype/hb-ot-layout.cc        |    7 ++-----
 2 files changed, 4 insertions(+), 5 deletions(-)

commit 43514625e82ace469b2d2612bc8f890d192e7b78
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 1 23:06:27 2009 -0400

    [HB] Rename _duplicate to _copy

    To be in line with cairo

 pango/opentype/hb-font.c |    4 ++--
 pango/opentype/hb-font.h |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit e8238d14ed452b3e402fa65a9d3997254c1570d7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 1 22:55:11 2009 -0400

    [HB] Cleanup TODO

 pango/opentype/TODO |   10 +---------
 1 files changed, 1 insertions(+), 9 deletions(-)

commit 55b6ef4545bda8f12ae4c82aba3a61e8e7c47868
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 1 22:53:04 2009 -0400

    [HB] Cleanup public buffer structs

 pango/opentype/hb-buffer-private.h         |   46
 +++++++++++++++++++++----
 pango/opentype/hb-buffer.c                 |   49
 ++++++++++++++-------------
 pango/opentype/hb-buffer.h                 |   35 ++++++++++----------
 pango/opentype/hb-ot-layout-gpos-private.h |    8 ++--
 pango/opentype/hb-ot-layout-private.h      |    5 ++-
 pango/opentype/hb-ot-layout.cc             |   20 ++++++------
 6 files changed, 97 insertions(+), 66 deletions(-)

commit 019d335ec7710eea286ed0294cda69aace4ebb96
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 1 22:25:04 2009 -0400

    [OT] Match struct with HB's

 pango/opentype/hb-buffer.c     |    6 +++---
 pango/opentype/hb-buffer.h     |    2 +-
 pango/opentype/hb-ot-layout.cc |   12 ++++++------
 pango/pango-ot.h               |    5 +++--
 4 files changed, 13 insertions(+), 12 deletions(-)

commit b522838694c10d2f4055ff0a22167c0ace546e04
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 1 22:19:06 2009 -0400

    [HB] Port buffert to new object API

 pango/opentype/hb-buffer-private.h |   24 +++++++++++--
 pango/opentype/hb-buffer.c         |   65
 +++++++++++++++++++++++++++--------
 pango/opentype/hb-buffer.h         |   53 ++++++++++++++++++-----------
 pango/pango-ot-buffer.c            |   33 +++++++++++-------
 pango/pango-ot-info.c              |   10 +++---
 5 files changed, 129 insertions(+), 56 deletions(-)

commit b0285768b9ea64f0d523edf14232ab870deacb9c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 1 21:38:39 2009 -0400

    [HB] Move typedef's around

 pango/opentype/hb-blob.h   |    2 ++
 pango/opentype/hb-common.h |    9 ---------
 pango/opentype/hb-font.h   |   10 ++++++++++
 3 files changed, 12 insertions(+), 9 deletions(-)

commit 7f5ea9cb73607efaa77923f43e0636a3b051218c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 1 21:36:15 2009 -0400

    [HB] Add get_reference_count()

 pango/opentype/hb-blob.c           |    6 ++++++
 pango/opentype/hb-blob.h           |    3 +++
 pango/opentype/hb-font.c           |   24 ++++++++++++++++++++++++
 pango/opentype/hb-font.h           |   12 ++++++++++++
 pango/opentype/hb-object-private.h |    7 +++++++
 5 files changed, 52 insertions(+), 0 deletions(-)

commit fe17dd9e5df9a7f0b118b42efc6bc0978842216b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 1 21:11:33 2009 -0400

    [Makefile] Fix MOSTLYCLEANFILES

 pango/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 0ae1b78e7694204cb973c633d665d1f3e3d20dc4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 1 21:06:11 2009 -0400

    [HB] Remove glib dependency

 pango/opentype/Makefile.am  |    7 ++-----
 pango/opentype/hb-buffer.c  |    2 +-
 pango/opentype/hb-private.h |   30 ++++++++++++++++++------------
 pango/opentype/main.cc      |    1 +
 4 files changed, 22 insertions(+), 18 deletions(-)

commit 30791d4cac4b6b1222942a9a6ca32e7ddae768b1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 1 20:46:02 2009 -0400

    [HB] Assorted compiler macros

 pango/opentype/hb-ot-layout-open-private.h |    4 +-
 pango/opentype/hb-private.h                |   88
 +++++++++++++++++++++------
 2 files changed, 70 insertions(+), 22 deletions(-)

commit 308259613a34f54151c20d616cd5c940d69de980
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 1 20:29:22 2009 -0400

    [HB] Simplify object creation

 pango/opentype/Makefile.am           |    2 +-
 pango/opentype/hb-blob.c             |    6 +--
 pango/opentype/hb-font-private.h     |    1 -
 pango/opentype/hb-font.c             |   37 ++++---------
 pango/opentype/hb-object-private.h   |   97
 ++++++++++++++++++++++++++++++++++
 pango/opentype/hb-private.h          |    2 +
 pango/opentype/hb-refcount-private.h |   87
 ------------------------------
 7 files changed, 112 insertions(+), 120 deletions(-)

commit 661ade98a2930ad00d1383302a41a3984ef50ac8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 1 19:54:49 2009 -0400

    [HB] Add abstract font and face API

    Not used yet.

 pango/opentype/Makefile.am           |    3 +
 pango/opentype/hb-blob.c             |    6 +-
 pango/opentype/hb-font-private.h     |  108 +++++++++++
 pango/opentype/hb-font.c             |  331
 ++++++++++++++++++++++++++++++++++
 pango/opentype/hb-font.h             |  182 +++++++++++++++++++
 pango/opentype/hb-refcount-private.h |   14 +-
 6 files changed, 636 insertions(+), 8 deletions(-)

commit 3ebf3e536b645f86f7dea8d68be08d7b99498f35
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 1 19:30:31 2009 -0400

    [HB] Simplify refcounting functions

 pango/opentype/hb-blob.c             |   32
 ++++++++++----------------------
 pango/opentype/hb-common.h           |    2 ++
 pango/opentype/hb-private.h          |    2 ++
 pango/opentype/hb-refcount-private.h |   31
 ++++++++++++++++++++++++++++++-
 4 files changed, 44 insertions(+), 23 deletions(-)

commit 7257d6625638eaeffa13acd614c0eb53875e8172
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 1 19:10:41 2009 -0400

    [HB] Fix for dfont's with multiple faces

 pango/opentype/hb-ot-layout-open-private.h |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 86f7ff9415d71de495f6257edad2ba991692e042
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Aug 1 19:05:44 2009 -0400

    [HB] Use calloc instead of malloc where feasible

 pango/opentype/hb-blob.c   |    8 +++++---
 pango/opentype/hb-buffer.c |    4 ++--
 2 files changed, 7 insertions(+), 5 deletions(-)

commit 2ea66938b387b3d492e45f6277666258366cf003
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 30 16:28:45 2009 -0400

    [HB] Remove hinting setting and use ppem==0 to mean "no hinting"

 pango/opentype/hb-blob.h                   |    3 --
 pango/opentype/hb-common.h                 |    9 +++++++
 pango/opentype/hb-ot-layout-gpos-private.h |   36
 ++++++++++++++++++---------
 pango/opentype/hb-ot-layout-private.h      |    2 -
 pango/opentype/hb-ot-layout.cc             |    7 -----
 pango/opentype/hb-ot-layout.h              |    4 ---
 pango/pango-ot-info.c                      |   12 +++++----
 7 files changed, 40 insertions(+), 33 deletions(-)

commit 112f0d741a24237e83922f8eee735b7f1ae74019
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Jul 30 15:33:57 2009 -0400

    [HB] Add a "blob" manager

 pango/opentype/Makefile.am           |    5 +-
 pango/opentype/hb-blob.c             |  181
 ++++++++++++++++++++++++++++++++++
 pango/opentype/hb-blob.h             |   74 ++++++++++++++
 pango/opentype/hb-private.h          |    2 +
 pango/opentype/hb-refcount-private.h |   54 ++++++++++
 5 files changed, 315 insertions(+), 1 deletions(-)

commit 7444dad9ea3dde39b5276fef4f844237d1e661b1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jul 29 18:41:25 2009 -0400

    [HB] Move direction to buffer

 pango/opentype/hb-buffer.c                 |    9 +++++++++
 pango/opentype/hb-buffer.h                 |   14 ++++++++++++++
 pango/opentype/hb-ot-layout-gpos-private.h |    2 +-
 pango/opentype/hb-ot-layout-private.h      |    1 -
 pango/opentype/hb-ot-layout.cc             |    7 -------
 pango/opentype/hb-ot-layout.h              |    5 -----
 pango/pango-ot-buffer.c                    |    2 ++
 pango/pango-ot-info.c                      |    2 --
 8 files changed, 26 insertions(+), 16 deletions(-)

commit 7f734d99a5f9cef1362a6f9f0257a683e01ceb48
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jul 29 18:37:57 2009 -0400

    [HB] Rename internal vars

 pango/opentype/hb-ot-layout-gsubgpos-private.h |   56
 ++++++++++++------------
 1 files changed, 28 insertions(+), 28 deletions(-)

commit 11c229d522b9bda910805d571eb29a564b81e926
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jul 28 15:50:58 2009 -0400

    [HB] Adapt to new buffer API

 pango/pango-ot-buffer.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 603479e35c849285078238275510c0c89170ff9d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jul 28 15:50:42 2009 -0400

    [HB] Fix buffer enlargement.  Ouch

 pango/opentype/hb-buffer.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 59f8868cf32691cce37060b30c3d16503a003df7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jul 28 15:43:34 2009 -0400

    Apply patch from Jonathan Kew

 pango/opentype/hb-buffer.c     |   75
 +++++++++++++++++++++-------------------
 pango/opentype/hb-buffer.h     |    6 +++-
 pango/opentype/hb-ot-layout.cc |   31 ++++++++++++++++
 pango/opentype/hb-ot-layout.h  |   15 ++++++++
 pango/opentype/hb-private.h    |    2 +-
 5 files changed, 91 insertions(+), 38 deletions(-)

commit 091be0f7d8d06d38bf72c8f2521b2ab8808043d5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Jul 28 14:33:02 2009 -0400

    Bug 590042 – pango-view.1 manpage should not be gzipped

 pango-view/Makefile.am |    6 ------
 1 files changed, 0 insertions(+), 6 deletions(-)

commit 01783de926a09dd8a3b11699bc8b1a6b6dce0556
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Jul 26 23:54:28 2009 -0400

    [atsui] Port to use CoreText instead of ATS

    Patch from http://trac.macports.org/ticket/17049

 modules/basic/basic-atsui.c  |    6 +++---
 pango/pangoatsui-private.h   |    4 ++--
 pango/pangoatsui.c           |   16 ++++++++--------
 pango/pangoatsui.h           |    2 +-
 pango/pangocairo-atsuifont.c |   33 +++++++++++++++++----------------
 5 files changed, 31 insertions(+), 30 deletions(-)

commit 2ea6180b690c885b5436629596e2a7d236e6653e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Jul 25 19:09:01 2009 -0400

    Revert "XX"

    This reverts commit c939f6aff405ca7b10b1f1538f46148bff719fcb.

 pango/opentype/Makefile.am                     |    2 -
 pango/opentype/hb-buffer.c                     |    9 --
 pango/opentype/hb-buffer.h                     |   14 ---
 pango/opentype/hb-common.h                     |    3 -
 pango/opentype/hb-ot-layout-gdef-private.h     |   32 ++++----
 pango/opentype/hb-ot-layout-gpos-private.h     |  108
 ++++++++++++------------
 pango/opentype/hb-ot-layout-gsub-private.h     |   46 +++++-----
 pango/opentype/hb-ot-layout-gsubgpos-private.h |   68 ++++++++--------
 pango/opentype/hb-ot-layout-private.h          |   28 +++----
 pango/opentype/hb-ot-layout.cc                 |   30 +++++++
 pango/opentype/hb-ot-layout.h                  |    5 +
 pango/opentype/hb-private.h                    |   16 ----
 12 files changed, 174 insertions(+), 187 deletions(-)

commit a1fb36307d0e7fe9f1b282da831ec7c551f37296
Merge: c939f6a 7280086
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Jul 25 19:08:41 2009 -0400

    Merge branch 'master' into harfbuzz-ng

commit 72800869fb784189bac1066265d95a1226bcf212
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jul 22 16:26:52 2009 -0400

    [docs] Add index of symbols new in 1.24 and 1.26

 docs/pango-docs.sgml |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit ac2ce962e9c257657eeceaf08d6aeeddd6faaa83
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Jul 22 16:24:43 2009 -0400

    Bug 410169 – gravity problem with Common chars

    Only show wide chars (as in g_unichar_iswide()) upright.
    This improves rendering of 1) digits in CJK context, and 2) Narrow
    Hangul characters.

    New public API:

	pango_gravity_get_for_script_and_width()

 docs/pango-sections.txt |    1 +
 docs/tmpl/vertical.sgml |   12 +++++++++
 pango/pango-context.c	 |   13 ++++------
 pango/pango-gravity.c	 |   58
 ++++++++++++++++++++++++++++++++++++++++++-----
 pango/pango-gravity.h	 |    5 ++++
 pango/pango.def	 |    1 +
 6 files changed, 76 insertions(+), 14 deletions(-)

commit 0df5c40d43a8d87a917991780595d9fadd19afb6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jul 22 16:24:01 2009 -0400

    Remove DOS newline

 pango/pangox.def |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a9a416de60ce42fea78e8283253d07a018bf2778
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jul 22 13:39:41 2009 -0400

    Bug 589113 – Some characters rotated incorrectly in vertical text

    Always show full-width Unicode characters upright.

 pango-view/test-mixed.markup |    2 +-
 pango-view/test-mixed.txt    |    2 +-
 pango/pango-context.c	      |   69
 ++++++++++++++++++++++++++++++++++++++++--
 3 files changed, 68 insertions(+), 5 deletions(-)

commit 72f2d4ac7ca20e5931f4b33e67598d0059ad1527
Author: Carlo Bramini <carlo.bramix@libero.it>
Date:	Tue Jul 21 10:52:56 2009 +0300

    Bug 582851 -- Little fix for compiling with Cygwin

    Use .def and .rc files on Cygwin, too. Use them for the pangox and
    pangoxft libraries, too on Cygwin.

 configure.in	      |    6 ++++--
 pango/Makefile.am    |   37 +++++++++++++++++++++++++++++++++----
 pango/pangox.def     |   35 +++++++++++++++++++++++++++++++++++
 pango/pangox.rc.in   |   30 ++++++++++++++++++++++++++++++
 pango/pangoxft.def   |   24 ++++++++++++++++++++++++
 pango/pangoxft.rc.in |   30 ++++++++++++++++++++++++++++++
 6 files changed, 156 insertions(+), 6 deletions(-)

commit 8888c1c1ba25f1c527c4e7aeb7f426e20329b165
Author: Tor Lillqvist <tml@iki.fi>
Date:	Tue Jul 21 10:10:27 2009 +0300

    Bug 588060 -- Fonts missing on Cygwin

    Use HAVE_CAIRO_WIN32 instead of G_OS_WIN32 to decide whether to
    use the built-in aliases code.

 pango/pango-utils.c |	  4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 8e348718e57d3f4ed04c9fdcb16a0019a6e13675
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jul 20 17:19:14 2009 -0400

    Bump version to 1.25.0

 configure.in |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 47ab634106a27b49085d26150999380e18bd3946
Merge: 1eadda9 a7d12be
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jul 20 17:18:19 2009 -0400

    Merge branch '1.24'

commit a7d12be6599f9e833cc1e623c8c103128adee8f2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jul 20 16:52:53 2009 -0400

    Release 1.24.5

 NEWS	      |    8 ++++++++
 configure.in |    4 ++--
 2 files changed, 10 insertions(+), 2 deletions(-)

commit c29637c366fe2229f6749cb1cb5336fa6d956790
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jul 20 16:49:16 2009 -0400

    Bug 589133 – Firefox 3.5 complains about invalid weak references

 pango/pangofc-font.c |   13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)

commit fe07285144de9146822bce5667aadcf1bc0d4111
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jul 20 16:31:33 2009 -0400

    Bug 585806 – crash during pango_fc_font_map_shutdown

 pango/pangofc-font.c	 |    3 ---
 pango/pangofc-fontmap.c |    5 -----
 2 files changed, 0 insertions(+), 8 deletions(-)

commit 1eadda908f0f9262dcb4c301f487b5a190dc0e54
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jul 20 16:49:16 2009 -0400

    Bug 589133 – Firefox 3.5 complains about invalid weak references

 pango/pangofc-font.c |   13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)

commit 5a75ce1414f43a36a5e510cc5cfac085671bfdca
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jul 20 16:31:33 2009 -0400

    Bug 585806 – crash during pango_fc_font_map_shutdown

 pango/pangofc-font.c	 |    3 ---
 pango/pangofc-fontmap.c |    5 -----
 2 files changed, 0 insertions(+), 8 deletions(-)

commit 853f3ddd12ea2fbf3bed551ebfd542536e7f42e0
Author: Colin Walters <walters@verbum.org>
Date:	Fri Jul 17 14:01:25 2009 -0400

    Build introspection again

    Remove libpangocairo_1_0_la_SOURCES for now from PangoCairo.gir;
    if we do those it pulls in parts of the PangoFT2 bits.

    This allows us to re-enable the introspection build.

 pango/Makefile.am |   31 +++++++++++++++----------------
 1 files changed, 15 insertions(+), 16 deletions(-)

commit efd34a719271d3c386d5fd4d852619829355fc88
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri Jul 17 01:41:42 2009 -0400

    Fix typo

 pango/pango-layout.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 67052645e6afcd7f72ef852c99ee88897d2022da
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jul 15 13:59:20 2009 -0400

    Handle NUL in text in places that g_utf8_strlen () was used

    While pango-layout doesn't allow NUL in text, the lower level
    API should
    handle it correctly.  We were using g_utf8_strlen() in a number of
    places.  This is problematic since that function stops processing at
    NUL even if length>1.  We now use an internal pango_utf8_strlen()
    instead.

    Inspired by:
    Bug 588678 – pango crash: install a new theme from
    gnome-appearance-properties

 pango/break.c		  |    3 ++-
 pango/ellipsize.c	  |    5 +++--
 pango/glyphstring.c	  |    6 ++++--
 pango/pango-engine.c	  |    2 +-
 pango/pango-glyph-item.c |    8 ++++----
 pango/pango-impl-utils.h |   27 +++++++++++++++++++++++++++
 pango/pango-layout.c	  |   16 ++++++++--------
 7 files changed, 49 insertions(+), 18 deletions(-)

commit 4d6f980b9f67e7e969e6f5afeb6f216c0a99e6f4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Jun 29 18:33:18 2009 -0400

    Release 1.24.4

 NEWS	      |    5 +++++
 configure.in |    4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 643b70644aabdbebd6bdfe7a5f128efde39caced
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jun 24 23:03:39 2009 -0400

    Bug 586814 – Crashes related to fontmap destruction after upgrade

    Followup patch from Morten.

 pango/pangofc-font.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit f868f085dd22f74ea43426d21b13165ebcd091b4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jun 24 22:12:37 2009 -0400

    Bug 586814 – Crashes related to fontmap destruction after upgrade

    Avoid modifying hashtable while walking it.

 pango/pangofc-fontmap.c |   14 +++++++++-----
 1 files changed, 9 insertions(+), 5 deletions(-)

commit fd5f93fc6bdf5d8985826c3caa56e2081279cf0e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri Jun 19 14:05:14 2009 -0400

    Release 1.24.3

 NEWS	      |   11 +++++++++++
 configure.in |    4 ++--
 2 files changed, 13 insertions(+), 2 deletions(-)

commit 64aaa40a1ff2e80cb9eb36eabf8f5839641c7630
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jun 10 23:28:57 2009 -0400

    Bug 585337 – Fails to install: install: will not overwrite
    just-created
    `/home/yavor/gnome-trunk/include/pango-1.0/pango/pango-ot.h' with
    `pango-ot.h'

    Remove duplicate entry for pango-ot.h.

 pango/Makefile.am |	2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0fd3bb3036fb2621c5a0f80e3a9d495b84b30449
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jun 10 23:25:57 2009 -0400

    Bug 585164 – 'man preload' shows man page for pango-view

    Fix pango-view manual installation.

 pango-view/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c939f6aff405ca7b10b1f1538f46148bff719fcb
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jun 10 23:26:51 2009 -0400

    XX

 pango/opentype/Makefile.am			|    2 +
 pango/opentype/hb-buffer.c			|    9 ++
 pango/opentype/hb-buffer.h			|   14 +++
 pango/opentype/hb-common.h			|    3 +
 pango/opentype/hb-ot-layout-gdef-private.h	|   32 ++++----
 pango/opentype/hb-ot-layout-gpos-private.h	|  108
 ++++++++++++------------
 pango/opentype/hb-ot-layout-gsub-private.h	|   46 +++++-----
 pango/opentype/hb-ot-layout-gsubgpos-private.h |   68 ++++++++--------
 pango/opentype/hb-ot-layout-private.h		|   28 ++++---
 pango/opentype/hb-ot-layout.cc			|   30 -------
 pango/opentype/hb-ot-layout.h			|    5 -
 pango/opentype/hb-private.h			|   16 ++++
 12 files changed, 187 insertions(+), 174 deletions(-)

commit 2bf2d827cf2409cd774be14ff1d94e0fb7794377
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed Jun 10 23:25:57 2009 -0400

    Bug 585164 – 'man preload' shows man page for pango-view

    Fix pango-view manual installation.

 pango-view/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6209a6230cce6c9b1af3c699f0f18335e820e1ea
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sat May 30 23:44:22 2009 -0400

    Bug 584328 – Persian sample text is not good

    Remove Alef Maksura from sample text.

 pango/pango-language-sample-table.h |	  2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f0e5e54917286dd18471d76ed099bccf0eb85053
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sat May 30 23:40:35 2009 -0400

    Bug 583250 – pango_font_metrics_get_approximate_char_width is
    wrong when LANG=fa_IR

    When computing approximate char width for context metrics use
    the actual
    size the sample string renders to.	Previously it was taking average
    over all the fonts used by the sample str.

 pango/pango-context.c |   29 ++++++++++-------------------
 1 files changed, 10 insertions(+), 19 deletions(-)

commit eae0fecefc4e294f0c182a7063348a817c111dce
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sat May 30 22:17:32 2009 -0400

    [GPOS] Advance buffer cursor in SinglePos lookups.	Ouch!

 pango/opentype/hb-ot-layout-gpos-private.h |	 4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 9fdfc9a06874820f94196c4802c96bc32d71ddc2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sat May 30 12:02:46 2009 -0400

    [HB] Improve buffer.  Don't dup out buffer unless out is longer
    than in

    That is, we work in-place even for ligatures now.

 pango/opentype/hb-buffer.c |  156
 +++++++++++++++++++-------------------------
 pango/opentype/hb-buffer.h |	 9 +--
 2 files changed, 72 insertions(+), 93 deletions(-)

commit 3dbd37431ebcf8b24a5891a04e66a2f964178c1e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed May 27 18:16:55 2009 -0400

    [GPOS] Fix property checking

 pango/opentype/hb-ot-layout-gpos-private.h |	 6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 810f4214af6438076da5014888d60d4bfe77ebd6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed May 27 00:17:37 2009 -0400

    [GPOS] Add vertical TODO

 pango/opentype/hb-ot-layout-gpos-private.h |	 2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 157af6ba32a32c941cd5be9b0b0034bf8b7327cb
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue May 26 22:29:02 2009 -0400

    [HB] Remove useless include

 pango/opentype/hb-ot-layout-private.h |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 4921800a3ff9edc8b564cd49ae6e976767a16a0f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue May 26 22:26:08 2009 -0400

    [GPOS] Remove unused variables

 pango/opentype/hb-ot-layout-gpos-private.h |	 3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 07c0e3b1d239ab041e243b0543640c9001e04931
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue May 26 22:11:32 2009 -0400

    Fall back to TT kerning if no GPOS

 pango/pango-ot-info.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 6f9bd9a0e876bc49d25fb8e892b17adfa5b12b8c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue May 26 19:48:16 2009 -0400

    [HB] Fix glyph properties

 pango/opentype/hb-ot-layout-common-private.h |    6 +++---
 pango/opentype/hb-ot-layout-open-private.h   |    2 +-
 pango/opentype/hb-ot-layout.cc		      |    2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

commit dc08fb7281b86edacc2edd521da0212acffca985
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue May 26 18:57:56 2009 -0400

    [GPOS] Fix PairPos signedness

 pango/opentype/hb-ot-layout-gpos-private.h |	11 ++++-------
 1 files changed, 4 insertions(+), 7 deletions(-)

commit 74d8c52f6ac1787efb8d87b72f47c6933abaf4ae
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue May 26 17:58:37 2009 -0400

    [GPOS] Fix mark matching

 pango/opentype/hb-ot-layout-gpos-private.h |	44
 ++++++++++++---------------
 1 files changed, 20 insertions(+), 24 deletions(-)

commit fe789092d83e6d4da43126640af0150b6bb2555c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue May 26 17:31:56 2009 -0400

    [HB] When looking back/forward, skip marks only

 pango/opentype/TODO				|    1 -
 pango/opentype/hb-ot-layout-gpos-private.h	|   13 +----
 pango/opentype/hb-ot-layout-gsub-private.h	|   38 ++++++--------
 pango/opentype/hb-ot-layout-gsubgpos-private.h |   14 +++---
 pango/opentype/hb-ot-layout-private.h		|    6 ++
 pango/opentype/hb-ot-layout.cc			|   69
 +++++++++++++++--------
 6 files changed, 76 insertions(+), 65 deletions(-)

commit 746860bb7b54c16898264b248eb93a56e8af333b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue May 26 15:58:34 2009 -0400

    [GDEF] Support MarkFilteringSets

 pango/opentype/hb-ot-layout.cc |   59
 ++++++++++++++-------------------------
 1 files changed, 21 insertions(+), 38 deletions(-)

commit 95c3fffa8a2b102a3d5f88f3940e7f93e2368fec
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue May 26 15:45:41 2009 -0400

    [HB] Simplify MarkAttachmentType handling

 pango/opentype/hb-ot-layout-gpos-private.h |	 6 +++---
 pango/opentype/hb-ot-layout-gsub-private.h |	 6 ++----
 pango/opentype/hb-ot-layout.cc		    |	18 ++++++++----------
 3 files changed, 13 insertions(+), 17 deletions(-)

commit a6e2371d5c50cafd6a433ae19fcfb93fb820f1db
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue May 26 15:38:53 2009 -0400

    [HB] Support parsing MarkFilteringSets introduced in OpenType 1.6

 pango/opentype/hb-ot-layout-gdef-private.h |	55
 ++++++++++++++++++++++++----
 pango/opentype/hb-ot-layout-gpos-private.h |	 1 +
 pango/opentype/hb-ot-layout.cc		    |	 6 ++--
 3 files changed, 51 insertions(+), 11 deletions(-)

commit d877d91e5c0617a82620a6a47406cd196e16e5d6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue May 26 13:08:00 2009 -0400

    [HB] More de-C++'ization

 pango/opentype/hb-ot-layout-gsubgpos-private.h |   24
 ++++++++++++------------
 1 files changed, 12 insertions(+), 12 deletions(-)

commit 3b1a840d2726772fb3a6ec0daedaf698fce29c52
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue May 26 13:04:59 2009 -0400

    [HB] Start MarkFilteringSet support

 pango/opentype/hb-ot-layout-common-private.h |   24
 +++++++++++++++++++-----
 1 files changed, 19 insertions(+), 5 deletions(-)

commit fb8da04aac1fe1b11b8a617342f1532e12c595db
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue May 26 12:40:10 2009 -0400

    [HB] Implement get_lig_carets()

 pango/opentype/hb-ot-layout-gdef-private.h |	57
 ++++++++++++++++++++++------
 pango/opentype/hb-ot-layout.cc		    |	17 ++++++--
 pango/opentype/hb-ot-layout.h		    |	 8 +++-
 pango/opentype/main.cc			    |	 9 +----
 4 files changed, 66 insertions(+), 25 deletions(-)

commit 807581741d5331235004f2252de92a6de3ce23d0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue May 26 12:24:16 2009 -0400

    [HB] Add get_attach_points()

 pango/opentype/Makefile.am		    |	 2 +-
 pango/opentype/hb-ot-layout-gdef-private.h |	35
 ++++++++++++++++++++--------
 pango/opentype/hb-ot-layout-gpos-private.h |	28 +++++----------------
 pango/opentype/hb-ot-layout-gsub-private.h |	28 +++++----------------
 pango/opentype/hb-ot-layout-open-private.h |	12 ++-------
 pango/opentype/hb-ot-layout.cc		    |	 9 +++++++
 pango/opentype/hb-ot-layout.h		    |	 6 ++++
 pango/opentype/main.cc			    |	 8 +++---
 8 files changed, 62 insertions(+), 66 deletions(-)

commit 298dadbd395a594176ed4cda4b9cf7004b724b66
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue May 26 12:00:28 2009 -0400

    [HB] Remove more macros

 pango/opentype/hb-ot-layout-gdef-private.h |	18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit 7b3f038ada310ac1f113d898a637df188177f8bb
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon May 25 04:04:24 2009 -0400

    [HB] More buffer cleanup

 pango/opentype/hb-buffer-private.h		|   39 ++-----
 pango/opentype/hb-buffer.c			|  138
 ++++++++++++------------
 pango/opentype/hb-buffer.h			|   22 ++--
 pango/opentype/hb-ot-layout-gpos-private.h	|   29 +++---
 pango/opentype/hb-ot-layout-gsub-private.h	|   10 +-
 pango/opentype/hb-ot-layout-gsubgpos-private.h |    8 +-
 pango/opentype/hb-ot-layout-private.h		|   13 +--
 pango/opentype/hb-ot-layout.cc			|   16 ++--
 pango/opentype/hb-private.h			|   29 -----
 pango/pango-ot-buffer.c			|   18 ++--
 pango/pango-ot-info.c				|    3 +-
 pango/pango-ot.h				|    2 +-
 12 files changed, 138 insertions(+), 189 deletions(-)

commit 76d05e87fb34a3f6cc5d914e91f755e964c690dc
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon May 25 03:39:11 2009 -0400

    [HB] Cleanup buffer

 pango/opentype/hb-buffer-private.h		|    2 +-
 pango/opentype/hb-buffer.c			|   26 +++++----
 pango/opentype/hb-ot-layout-gsub-private.h	|   26 +++------
 pango/opentype/hb-ot-layout-gsubgpos-private.h |    2 +-
 pango/opentype/hb-ot-layout.cc			|   71
 ------------------------
 5 files changed, 25 insertions(+), 102 deletions(-)

commit fdb536bbfd1575465abf4cdfa08706685a466244
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon May 25 03:30:31 2009 -0400

    [HB] Clean more

 pango/opentype/hb-ot-layout-private.h |   10 ++++------
 pango/opentype/hb-ot-layout.cc        |    8 ++++----
 2 files changed, 8 insertions(+), 10 deletions(-)

commit 8f0881c5d40224e820ce19e67259f75e8c82adb7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon May 25 03:24:19 2009 -0400

    [HB] Remove one XXX, add another

 pango/opentype/hb-buffer.h	       |    2 ++
 pango/opentype/hb-ot-layout-private.h |    3 +--
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 8c864af4b508feac57896fe4e0124d9031670b93
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon May 25 03:22:19 2009 -0400

    [HB] Update copyright years

 pango/opentype/hb-buffer-private.h    |    2 +-
 pango/opentype/hb-buffer.h	       |    2 +-
 pango/opentype/hb-common.h	       |    2 +-
 pango/opentype/hb-ot-layout-private.h |    2 +-
 pango/opentype/hb-ot-layout.h	       |    2 +-
 pango/opentype/hb-private.h	       |    2 +-
 6 files changed, 6 insertions(+), 6 deletions(-)

commit 6e506f425a89d0ff330497b38ec8227e30d5681b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon May 25 03:20:18 2009 -0400

    [HB] Would have helped if I actually knew C++ before using it...

 pango/opentype/hb-ot-layout-gsubgpos-private.h |    4 ++--
 pango/opentype/hb-ot-layout-open-private.h	|   24
 ++++++++++++------------
 2 files changed, 14 insertions(+), 14 deletions(-)

commit 40c6f897dbdc4020c5aec07b7022caadb45cf3f1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon May 25 03:10:06 2009 -0400

    [HB] More cleanup

 pango/opentype/hb-ot-layout-common-private.h |    4 ++--
 pango/opentype/hb-ot-layout-open-private.h   |    9 +++++----
 2 files changed, 7 insertions(+), 6 deletions(-)

commit c783d19c9cee230e20cf4df504e729b5233ebe17
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon May 25 02:41:49 2009 -0400

    [HB] Simplify Tag

 pango/opentype/hb-ot-layout-open-private.h |	46
 +++++++++++-----------------
 1 files changed, 18 insertions(+), 28 deletions(-)

commit c53ed30cddcf3ed56ffb2756f2d8650ad012ff44
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon May 25 02:34:25 2009 -0400

    [HB] Simplify more

 pango/opentype/hb-ot-layout-open-private.h |	31
 +++++++++-------------------
 1 files changed, 10 insertions(+), 21 deletions(-)

commit d63d5c6cfc6e1584ca426e469e3a35c46aa4605f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon May 25 02:27:29 2009 -0400

    [HB] Simplify some basic things

 pango/opentype/hb-ot-layout-open-private.h |	90
 ++++++++++++++++++----------
 pango/opentype/main.cc			    |	 8 ++-
 2 files changed, 64 insertions(+), 34 deletions(-)

commit 8690ed7d482374c3d05eb52419d68ed7d29bee81
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun May 24 15:01:16 2009 -0400

    [HB] simplify macros

 pango/opentype/hb-buffer-private.h    |    4 ++--
 pango/opentype/hb-buffer.h	       |    4 ++--
 pango/opentype/hb-common.h	       |    8 ++++----
 pango/opentype/hb-ot-layout-private.h |    4 ++--
 pango/opentype/hb-ot-layout.h	       |    4 ++--
 5 files changed, 12 insertions(+), 12 deletions(-)

commit ed60b2d914254d10765fae72a85e191a9a696bc7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun May 24 14:27:24 2009 -0400

    [HB] Update text files

 pango/opentype/COPYING |    7 -------
 pango/opentype/README	|   13 ++-----------
 2 files changed, 2 insertions(+), 18 deletions(-)

commit f4ad4d87cba90c1d02255c34247b9ce09d0b6d67
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun May 24 14:24:35 2009 -0400

    [HB] Remove stale makefile.msc too

 pango/opentype/makefile.msc |	 19 -------------------
 1 files changed, 0 insertions(+), 19 deletions(-)

commit a7a715480db66148b1f487528887508a7991dcd0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun May 24 14:22:22 2009 -0400

    [HB] Remove old code!

    Goodbye 16 thousand lines of ten-year old code!

 pango/opentype/harfbuzz-dump-main.c	  |   97 -
 pango/opentype/harfbuzz-dump.c		  |  768 ----
 pango/opentype/harfbuzz-dump.h		  |   41 -
 pango/opentype/harfbuzz-gdef-private.h   |  124 -
 pango/opentype/harfbuzz-gdef.c		  | 1160 ------
 pango/opentype/harfbuzz-gdef.h		  |  135 -
 pango/opentype/harfbuzz-global.h	  |   84 -
 pango/opentype/harfbuzz-gpos-private.h   |  712 ----
 pango/opentype/harfbuzz-gpos.c		  | 6071
 ------------------------------
 pango/opentype/harfbuzz-gpos.h		  |  174 -
 pango/opentype/harfbuzz-gsub-private.h   |  476 ---
 pango/opentype/harfbuzz-gsub.c		  | 4304 ---------------------
 pango/opentype/harfbuzz-gsub.h		  |  140 -
 pango/opentype/harfbuzz-impl.c		  |   84 -
 pango/opentype/harfbuzz-impl.h		  |  126 -
 pango/opentype/harfbuzz-open-private.h   |  102 -
 pango/opentype/harfbuzz-open.c		  | 1405 -------
 pango/opentype/harfbuzz-open.h		  |  282 --
 pango/opentype/harfbuzz-stream-private.h |   83 -
 pango/opentype/harfbuzz-stream.c	  |  257 --
 pango/opentype/harfbuzz.c		  |   31 -
 pango/opentype/harfbuzz.h		  |   35 -
 22 files changed, 0 insertions(+), 16691 deletions(-)

commit 4b90aa823cf91c586d0fd8a5d6154f46516a87ce
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun May 24 14:21:27 2009 -0400

    [HB] Remove stale TODO mark

 pango/opentype/hb-ot-layout-open-private.h |	 1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit d11f8e6d41213d38b2b3ea2ec4843e2b6f34697b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun May 24 12:30:40 2009 -0400

    [HB] Add FixedVersion cast to int

 pango/opentype/hb-ot-layout-open-private.h |	 2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 8ff827848f63ac61446735c8516a452177c16336
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun May 24 12:29:55 2009 -0400

    [HB] Simplify tag

 pango/opentype/hb-ot-layout-open-private.h |	10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit f89367b83225a5c0a2804ec122d66290a8feb8d5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun May 24 01:03:24 2009 -0400

    [HB] Remove unused data types

 pango/opentype/hb-ot-layout-gdef-private.h	|    2 +-
 pango/opentype/hb-ot-layout-gsubgpos-private.h |    2 +-
 pango/opentype/hb-ot-layout-open-private.h	|   54
 ++---------------------
 3 files changed, 7 insertions(+), 51 deletions(-)

commit 8259e8735babe30eaf3c017e022368bf796b411e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun May 24 00:53:28 2009 -0400

    [HB] Simplify version check in GSUB/GPOS

 pango/opentype/hb-ot-layout-gpos-private.h |	 5 ++++-
 pango/opentype/hb-ot-layout-gsub-private.h |	 5 ++++-
 2 files changed, 8 insertions(+), 2 deletions(-)

commit d36c93ee99362940c929e20282d2fab440265711
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sun May 24 00:50:27 2009 -0400

    [HB] Check for GDEF/GSUB/GPOS versions

 pango/opentype/hb-ot-layout-gdef-private.h	|    3 +--
 pango/opentype/hb-ot-layout-gpos-private.h	|    3 +--
 pango/opentype/hb-ot-layout-gsub-private.h	|    3 +--
 pango/opentype/hb-ot-layout-gsubgpos-private.h |    5 ++---
 pango/opentype/hb-ot-layout-open-private.h	|   11 ++++++++++-
 5 files changed, 15 insertions(+), 10 deletions(-)

commit 5c8fd8cb98e4f20ce02dd10f5b3edbbb15b1d91d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sat May 23 22:39:42 2009 -0400

    [HB] Minor

 pango/opentype/hb-ot-layout-gdef-private.h |	 6 +++---
 pango/opentype/hb-ot-layout-open-private.h |	 4 ++--
 2 files changed, 5 insertions(+), 5 deletions(-)

commit eca339bbb73aa1b826f3c1e12d1a27f53ee034db
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Sat May 23 18:50:44 2009 -0400

    [HB] Add TODO items

 pango/opentype/TODO |	  6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit d2b11bb9bf3cfa3e1cdcf79a473626ec4ed51846
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri May 22 18:54:24 2009 -0400

    [GDEF] Add some get_carret_value() code

 pango/opentype/hb-ot-layout-gdef-private.h |	36
 ++++++++++++++--------------
 1 files changed, 18 insertions(+), 18 deletions(-)

commit 191cfb73b04955d9af757d47dc85b1ae0ab6c6c5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri May 22 18:29:45 2009 -0400

    [GPOS] MarkLigPosFormat1

    GPOS is complete now!  Yay!

 pango/opentype/hb-ot-layout-gpos-private.h |  128
 ++++++++++++++++++++--------
 1 files changed, 92 insertions(+), 36 deletions(-)

commit 31f627d786003824d189c786db532600d8701114
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri May 22 17:58:09 2009 -0400

    [HB] Remove apply_subtables() again

 pango/opentype/hb-ot-layout-gpos-private.h |	31
 +++++++++-----------------
 pango/opentype/hb-ot-layout-gsub-private.h |	33
 ++++++++++-----------------
 2 files changed, 23 insertions(+), 41 deletions(-)

commit fb963a1a1e8f7c337af6b7fee4718c3f65bc8c51
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu May 21 22:31:33 2009 -0400

    [HB] Share Extension lookup code between GSUB and GPOS

 pango/opentype/hb-ot-layout-gpos-private.h	|   64 +++---------------
 pango/opentype/hb-ot-layout-gsub-private.h	|   83
 ++++--------------------
 pango/opentype/hb-ot-layout-gsubgpos-private.h |   52 +++++++++++++++
 3 files changed, 77 insertions(+), 122 deletions(-)

commit a9688760104e24339e8c956bbdfc3e12387f02b8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu May 21 15:51:04 2009 -0400

    [GPOS] Remove printf.  MarkMarkPos1 is working

    The "bug" was in the font.

 pango/opentype/hb-ot-layout-gpos-private.h |	 1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 541e8ad0c666f895649fbe1df2393ef0f04f2655
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu May 21 12:46:29 2009 -0400

    [HB] Ouch.	Add files.

 pango/opentype/hb-common.h  |	 53 +++++++++++++++++
 pango/opentype/hb-private.h |	132
 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 185 insertions(+), 0 deletions(-)

commit 6e1a2662b3f9d5514c99a82f70e037749d95dc3c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu May 21 08:27:07 2009 -0400

    [GPOS] MarkMarkPosFormat1

    Still not quite working.

 pango/opentype/TODO			    |	 4 +-
 pango/opentype/hb-ot-layout-gpos-private.h |  105
 ++++++++++++++++++++--------
 2 files changed, 79 insertions(+), 30 deletions(-)

commit 7c4677ad4d628a943066782df30720b6ae2f79c6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu May 21 06:32:01 2009 -0400

    [GPOS] MarkBasePosFormat1

 pango/opentype/TODO			    |	 1 +
 pango/opentype/hb-ot-layout-gpos-private.h |	62
 +++++++++++++++++++++++++--
 2 files changed, 58 insertions(+), 5 deletions(-)

commit 180781efd0691964cc5b823c6b9274f208fd083c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu May 21 04:58:24 2009 -0400

    [GPOS] Implement MarkArray interface

 pango/opentype/hb-ot-layout-gpos-private.h |	 5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 164137a18e4b10c240c8d63bf676872cfdc934c3
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu May 21 04:54:01 2009 -0400

    [GPOS] Implement Device support in AnchorFormat3

 pango/opentype/hb-ot-layout-gpos-private.h |	11 ++++++++---
 1 files changed, 8 insertions(+), 3 deletions(-)

commit 361cdf36b00a7e4632de45a8ad9697d3cb1b8670
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu May 21 04:49:04 2009 -0400

    [GPOS] Remove apply_value() return value

 pango/opentype/hb-ot-layout-gpos-private.h |	75
 +++++++++++++---------------
 1 files changed, 34 insertions(+), 41 deletions(-)

commit 93e5da2de8070410b5e8978dfa3a261e6d7f00a4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu May 21 04:47:05 2009 -0400

    [GPOS] Start MarkBasePosFormat1

 pango/opentype/TODO			    |	 1 +
 pango/opentype/hb-ot-layout-gpos-private.h |	38
 ++++++++++++---------------
 2 files changed, 18 insertions(+), 21 deletions(-)

commit 25494c523822e837716bc1000b1d94ff06ca476f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed May 20 15:46:12 2009 -0400

    [HB] Add TODO item

 pango/opentype/hb-ot-layout-gpos-private.h |	 1 +
 pango/opentype/hb-ot-layout-gsub-private.h |	 1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit 6fb8dab583378de48a39b1b25459e24b0162e5d4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed May 20 06:15:23 2009 -0400

    [HB] Add TODO item

 pango/opentype/TODO |	  1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 5687dd7511fbf8503dcb6d7c215455e1f999cf03
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed May 20 06:01:16 2009 -0400

    [HB] Remove last dependence on the old code base!

 pango/opentype/hb-buffer-private.h	    |	88
 ++++++++++++++--------------
 pango/opentype/hb-buffer.c		    |	47 +++++++--------
 pango/opentype/hb-ot-layout-gpos-private.h |	11 +--
 pango/opentype/hb-ot-layout-gsub-private.h |	12 ++--
 pango/opentype/hb-ot-layout.cc		    |	16 +++---
 5 files changed, 85 insertions(+), 89 deletions(-)

commit c141180297254ef341e3e557c26b51eb7e964706
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed May 20 05:42:12 2009 -0400

    [HB] Rename harfbuzz-buffer to hb-buffer

 pango/opentype/Makefile.am			|    5 +-
 pango/opentype/harfbuzz-buffer-private.h	|  106 -------
 pango/opentype/harfbuzz-buffer.c		|  349
 ------------------------
 pango/opentype/harfbuzz-buffer.h		|   94 -------
 pango/opentype/hb-buffer-private.h		|  106 +++++++
 pango/opentype/hb-buffer.c			|  347
 +++++++++++++++++++++++
 pango/opentype/hb-buffer.h			|   94 +++++++
 pango/opentype/hb-ot-layout-gsubgpos-private.h |    2 +-
 pango/opentype/hb-ot-layout-private.h		|    2 +-
 pango/opentype/hb-ot-layout.cc			|    5 +-
 pango/opentype/hb-ot-layout.h			|    2 +-
 11 files changed, 556 insertions(+), 556 deletions(-)

commit 336bb3201096bdd0494d29926dd44e8cca8bed26
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed May 20 05:35:14 2009 -0400

    [HB] Remove all references to the old code!

 pango/opentype/Makefile.am	       |   76 +++++-----------
 pango/opentype/harfbuzz-buffer.c      |  154
 +++++++++++++-------------------
 pango/opentype/harfbuzz-buffer.h      |   80 +++++++++---------
 pango/opentype/hb-ot-layout-private.h |    6 +-
 pango/opentype/hb-ot-layout.cc        |   17 ++---
 pango/opentype/hb-ot-layout.h	       |    1 +
 pango/pango-ot-buffer.c	       |   14 ++--
 pango/pango-ot-info.c		       |   14 ++--
 pango/pango-ot-private.h	       |   10 +-
 9 files changed, 156 insertions(+), 216 deletions(-)

commit 15a0220c336113a2df8de91ec0513b1bdde35a89
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed May 20 04:51:30 2009 -0400

    [GPOS] Finally it's working, up to Cursive

    Wow, IranNastaliq renders perfectly again!

 pango/opentype/hb-ot-layout.cc |   24 ++++++++++++++++++++++++
 pango/opentype/hb-ot-layout.h	|   12 ++++++++++++
 pango/pango-ot-info.c		|   15 +++++++++++++--
 3 files changed, 49 insertions(+), 2 deletions(-)

commit ac8ad1e1c8958246add90cf6d7b6da4ad2a2ea87
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed May 20 04:16:35 2009 -0400

    [GPOS] Fix more brokenness

 pango/opentype/Makefile.am		    |	 2 +-
 pango/opentype/hb-ot-layout-gpos-private.h |	37
 +++++++++++++++-------------
 pango/opentype/hb-ot-layout.cc		    |	 7 +++++
 pango/opentype/hb-ot-layout.h		    |	 5 ++++
 pango/pango-ot-info.c			    |	 2 +
 5 files changed, 35 insertions(+), 18 deletions(-)

commit b77c4990efcd6f6ef77dc6e956bb3f1df9bf6bff
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed May 20 03:59:33 2009 -0400

    [GPOS] Fix GPOS feature lookup lookups and application

 pango/pango-ot-info.c |   51
 ++++++++++++++++++++++++-------------------------
 1 files changed, 25 insertions(+), 26 deletions(-)

commit 25db8f6de85f6f8ee11adbf423edb22e6259c543
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed May 20 03:53:00 2009 -0400

    [HB] Move lookup types enum into subtable class

 pango/opentype/hb-ot-layout-gpos-private.h |	66
 ++++++++++++++--------------
 pango/opentype/hb-ot-layout-gsub-private.h |	44 +++++++++---------
 2 files changed, 55 insertions(+), 55 deletions(-)

commit e97278164b1939d4b76128ff8bf520ca02b1debb
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Wed May 20 00:00:09 2009 -0400

    [GDEF] Simplify Device access

 pango/opentype/hb-ot-layout-gdef-private.h |	12 +++---------
 1 files changed, 3 insertions(+), 9 deletions(-)

commit 0b092ed02b6cda94c1a4df87c25f88142f967f4f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue May 19 23:58:54 2009 -0400

    [HB] Indentation

 pango/opentype/hb-ot-layout-common-private.h	|  170
 ++++++++++++------------
 pango/opentype/hb-ot-layout-gdef-private.h	|   65 +++++----
 pango/opentype/hb-ot-layout-gsubgpos-private.h |  150
 ++++++++++++---------
 pango/opentype/hb-ot-layout-open-private.h	|  159
 +++++++++++-----------
 pango/opentype/hb-ot-layout-private.h		|    9 +-
 5 files changed, 288 insertions(+), 265 deletions(-)

commit 2b57f9a6cbaeee708d19a4eda410fef15e4738c5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue May 19 23:43:04 2009 -0400

    [HB] Remove unused methods

 pango/opentype/hb-ot-layout-common-private.h |    6 ------
 1 files changed, 0 insertions(+), 6 deletions(-)

commit 066d6ab77a5a95187f5865dd409c8b1ee0b79f7b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue May 19 23:42:30 2009 -0400

    [HB] Indentation

 pango/opentype/hb-ot-layout-gpos-private.h |  253
 +++++++++++++++------------
 pango/opentype/hb-ot-layout-gsub-private.h |  262
 +++++++++++++++-------------
 2 files changed, 284 insertions(+), 231 deletions(-)

commit 852a03873cf0266cc1acadafc60ef2f4132b2019
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue May 19 23:25:41 2009 -0400

    [GPOS] CursivePosFormat1

 pango/opentype/hb-ot-layout-gpos-private.h |  174
 +++++++++++++++++++++++++++-
 pango/opentype/hb-ot-layout-private.h	    |	 2 +-
 2 files changed, 169 insertions(+), 7 deletions(-)

commit da5b04ad92c37846ace5ecd9a91c18e836759a23
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue May 19 22:30:09 2009 -0400

    [GSUB] PairPosFormat2

 pango/opentype/hb-ot-layout-gpos-private.h |	43
 ++++++++++++++++++++++++---
 1 files changed, 38 insertions(+), 5 deletions(-)

commit 10ddad5aa5c15d589b3dd9330d75562abc21c03a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Tue May 19 22:16:04 2009 -0400

    [GPOS] PairPosFormat1

 pango/opentype/hb-ot-layout-gpos-private.h |	91
 ++++++++++++++++++++++------
 1 files changed, 73 insertions(+), 18 deletions(-)

commit 9c25dfbd235bd155ad62f3a8d03e27af9a17b810
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon May 18 19:47:52 2009 -0400

    [GPOS] Start filling apply() functions in

 pango/opentype/harfbuzz-buffer-private.h     |    1 +
 pango/opentype/harfbuzz-buffer.c	      |    3 -
 pango/opentype/hb-ot-layout-common-private.h |   35 +++++---
 pango/opentype/hb-ot-layout-gpos-private.h   |  125
 +++++++++++++++++++-------
 4 files changed, 115 insertions(+), 49 deletions(-)

commit 51d81548dd52fbb6c90775eb3bc83289c0329ddf
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon May 18 18:44:54 2009 -0400

    [HB] Use enums

 pango/opentype/hb-ot-layout-common-private.h |   14 ++++++++------
 pango/opentype/hb-ot-layout-gdef-private.h   |   22
 +++++++++++++---------
 2 files changed, 21 insertions(+), 15 deletions(-)

commit 4c83d55575d3d05a29bb551dfc41b92b76e48a44
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon May 18 18:30:25 2009 -0400

    [HB] More reference cast simplification

 pango/opentype/hb-ot-layout-gsub-private.h	|    8 +++---
 pango/opentype/hb-ot-layout-gsubgpos-private.h |   28
 ++++++++++++------------
 pango/opentype/hb-ot-layout-open-private.h	|    2 +-
 3 files changed, 19 insertions(+), 19 deletions(-)

commit 3112f9e9ce1a7e69ac9c95a029f5b6b65025e666
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon May 18 18:22:44 2009 -0400

    [HB] Rename LOOKUP_ARGS to APPLY_ARGS

 pango/opentype/hb-ot-layout-gpos-private.h	|   88
 ++++++++++++------------
 pango/opentype/hb-ot-layout-gsub-private.h	|   84
 +++++++++++-----------
 pango/opentype/hb-ot-layout-gsubgpos-private.h |   90
 ++++++++++++------------
 3 files changed, 131 insertions(+), 131 deletions(-)

commit c08a686375ab4f3173a649f9bf825d24a5870096
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon May 18 18:21:44 2009 -0400

    [HB] Internally rename position() and substitute() to apply()

 pango/opentype/hb-ot-layout-gpos-private.h |  110
 ++++++++++++++--------------
 pango/opentype/hb-ot-layout-gsub-private.h |  104
 +++++++++++++-------------
 2 files changed, 107 insertions(+), 107 deletions(-)

commit 293b1f902f9a730b486d9d92412dd6a1c13eef4c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon May 18 18:01:19 2009 -0400

    [HB] Simplify casts

 pango/opentype/hb-ot-layout-gdef-private.h |	 2 +-
 pango/opentype/hb-ot-layout-gpos-private.h |	 6 +++---
 pango/opentype/hb-ot-layout-gsub-private.h |	 6 +++---
 pango/opentype/hb-ot-layout-open-private.h |	10 +++++-----
 4 files changed, 12 insertions(+), 12 deletions(-)

commit a483de8e2774ecf9bc281b46fdd21b4d58ed61a2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon May 18 17:43:49 2009 -0400

    Switch Pango to new, defunt, GPOS

 pango/opentype/hb-ot-layout-gpos-private.h |	22 ++++--
 pango/opentype/hb-ot-layout.cc		    |	13 ++++
 pango/opentype/hb-ot-layout.h		    |	 5 ++
 pango/pango-ot-info.c			    |	97
 ++++++++++++++++++----------
 pango/pango-ot-private.h		    |	 5 +-
 pango/pango-ot-ruleset.c		    |	32 +--------
 6 files changed, 102 insertions(+), 72 deletions(-)

